<?php
c_include('enlace');
e_include('ext_shop/class/fabricante');
class IdElementInputfabricante
{
	protected $_enlace=null;
	protected $_vista=null;
	protected $_opciones=null;
	
	public function __construct($enlace=null,$vista=null, $opciones=array())
    {
		if (!empty($enlace) && !empty($vista)){
			$this->_enlace = $enlace;
			$this->_vista = $vista;
			$this->_opciones = $opciones;
		}
	}
	
	function getInput(){
		if (($this->_enlace==null) || ($this->_vista==null))
			return '';
			
		$rand = rand();
		
		$output = '';
		$output .= '<label id="id_elemento_enlace-lbl" for="id_elemento_enlace" class="tip-e" title="'.__('Producto').'::'.__('Fabricante a mostrar en la página').'">'.__('Fabricante').'</label>';
		$output .= '<br clear="all" />';
		if (empty($this->_opciones)){
			$fabricantes = new FabricanteShop();
			$fabricantes_count = $fabricantes->ListarCount('estado=1');
			$fabricantes = $fabricantes->Listar('estado=1','nombre','ASC');
			
			$output .= '<select name="id_elemento_enlace" id="id_elemento_enlace_'.$rand.'">';
			if ($fabricantes_count > 0){
				foreach ($fabricantes as $fabricante){
					if ($fabricante->id == $this->_enlace->id_elemento){
						$txt_selected = ' selected="selected"';
					} else {
						$txt_selected = '';
					}
					$output .= '<option value="'.$fabricante->id.'"'.$txt_selected.'>'.SistemaIdioma::Imprimir($fabricante->nombre).'</option>';
				}
			} else {
				$output .= '<option value="-1">'.__('No hay fabricantes').'</option>';
			}
			$output .= '</select>';
		}
		return $output;
	}
}