<?php
c_include('enlace');
e_include('ext_shop/class/producto');
class IdElementInputproducto
{
	protected $_enlace=null;
	protected $_vista=null;
	protected $_opciones=null;
	
	public function __construct($enlace=null,$vista=null, $opciones=array())
    {
		if (!empty($enlace) && !empty($vista)){
			$this->_enlace = $enlace;
			$this->_vista = $vista;
			$this->_opciones = $opciones;
		}
	}
	
	function getInput(){
		if (($this->_enlace==null) || ($this->_vista==null))
			return '';
			
		$rand = rand();
		
		$output = '';
		$output .= '<label id="id_elemento_enlace-lbl" for="id_elemento_enlace" class="tip-e" title="'.__('Producto').'::'.__('Producto a mostrar en la página').'">'.__('Producto').'</label>';
		$output .= '<br clear="all" />';
		if (empty($this->_opciones)){
			$productos = new Producto();
			$productos_count = $productos->ListarCount('estado=1');
			$productos = $productos->Listar('estado=1','nombre','ASC');
			
			$output .= '<select name="id_elemento_enlace" id="id_elemento_enlace_'.$rand.'">';
			if ($productos_count > 0){
				foreach ($productos as $producto){
					if ($producto->id == $this->_enlace->id_elemento){
						$txt_selected = ' selected="selected"';
					} else {
						$txt_selected = '';
					}
					$output .= '<option value="'.$producto->id.'"'.$txt_selected.'>'.SistemaIdioma::Imprimir($producto->nombre).'</option>';
				}
			} else {
				$output .= '<option value="-1">'.__('No hay productos').'</option>';
			}
			$output .= '</select>';
		}
		return $output;
	}
}