<?php include(CONF_REALPATH_TEMPLATES_ADMIN.'bootstrap/class/layoutBootstrap.class.php');
e_include('ext_shop/class/helper'); 
?>
<nav class="navbar <?php echo $GLOBALS['AppAdminTpl']->params['clase_subnavbar'];?> subnavbar-estilo-custom" data-spy="affix" data-offset-top="60" data-offset-bottom="200"role="navigation">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-2"> <span class="sr-only"><?php echo __('Cambiar modo de Navegación'); ?></span> <span class="fa fa-bar"></span> <span class="fa fa-bar"></span> <span class="fa fa-bar"></span> </button>
      <div class="navbar-brand">
        <h4>
        <?php echo __('Tienda'); ?>
        </h3>
      </div>
    </div>
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-2">
      <div class="btn-toolbar pull-right" id="toolbar-config">
        <div class="btn-group"> <a href="?extension=configuracion&load=ext_shop&popup=1" class="btn btn-sm btn-primary navbar-btn iframe-config"> <i class="fa fa-cog"></i> <?php echo __('Opciones');?> </a> </div>
        <div class="btn-group"> <a href="?extension=ext_shop&vista=nuevo" class="btn btn-sm btn-success navbar-btn"> <i class="fa fa-plus"></i> <?php echo __('Nuevo Producto');?> </a> </div>
      </div>
    </div>
  </div>
</nav>
<div class="container-fluid">
  <div class="row">
    <mdoc:include type="widgets" name="top" />
    
    <!-- /.navbar-static-top -->
    
    <div class="col-md-12">
      <div class="shortcuts row">
        <div class="col-md-2 shortcut"> <a class="btn btn-large-dim dim btn-primary btn-block" href="?extension=ext_shop&vista=lista_pedidos"> <i class="fa fa-lg fa-shopping-cart"></i>
          <h5><?php echo __('Pedidos');?> <span class="badge green"></span></h5>
          </a> </div>
        <div class="col-md-2 shortcut"> <a class="btn btn-large-dim dim btn-primary btn-block" href="?extension=ext_shop&vista=lista"> <i class="fa fa-lg fa-barcode"></i>
          <h5><?php echo __('Productos');?></h5>
          </a> </div>
        <div class="col-md-2 shortcut"> <a class="btn btn-large-dim dim btn-primary btn-block" href="?extension=ext_shop&vista=lista_impuestos"> <i class="fa fa-lg fa-money"></i>
          <h5><?php echo __('Impuestos');?></h5>
          </a> </div>
        <div class="col-md-2 shortcut"> <a class="btn btn-large-dim dim btn-primary btn-block" href="?extension=ext_shop&vista=lista_envios"> <i class="fa fa-lg fa-road"></i>
          <h5><?php echo __('Métodos de Envío');?></h5>
          </a> </div>
        <div class="col-md-2 shortcut"> <a class="btn btn-large-dim dim btn-primary btn-block" href="?extension=ext_shop&vista=lista_reglas_precios"> <i class="fa fa-lg fa-list"></i>
          <h5><?php echo __('Reglas de Precios');?></h5>
          </a> </div>
        <div class="col-md-2 shortcut"> <a class="btn btn-large-dim dim btn-primary btn-block iframe-config" href="?extension=configuracion&load=ext_shop&popup=1"> <i class="fa fa-lg fa-cogs"></i>
          <h5><?php echo __('Configuración');?></h5>
          </a> </div>
      </div>
      <div class="ibox float-e-margins">
        <div class="ibox-title">
          <h5><?php echo __('Pedidos');?></h5>
          <div class="pull-right">
            <div class="btn-group">
              <button type="button" class="btn btn-xs btn-white active"><?php echo __('Mensual');?></button>
              <button type="button" class="btn btn-xs btn-white"><?php echo __('Anual');?></button>
            </div>
          </div>
        </div>
        <div class="ibox-content">
          <div class="row">
            <div class="col-lg-9">
              <div class="flot-chart" id="stats-chart"> </div>
            </div>
            <div class="col-lg-3">
              <ul class="stat-list">
                <li>
                  <h2 class="no-margins"><?php echo number_format($total_pedidos, 0, ',', '.');?></h2>
                  <small><?php echo __('Pedidos en el período');?></small>
                  <?php /*?><div class="stat-percent">48% <i class="fa fa-level-up text-navy"></i></div>
                                            <div class="progress progress-mini">
                                                <div style="width: 48%;" class="progress-bar"></div>
                                            </div><?php */?>
                </li>
                <li>
                  <h2 class="no-margins "><?php echo number_format($importe_pedidos, 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></h2>
                  <small><?php echo __('Importe total de los pedidos en el período');?></small>
                  <?php /*?><div class="stat-percent">60% <i class="fa fa-level-down text-navy"></i></div>
                                            <div class="progress progress-mini">
                                                <div style="width: 60%;" class="progress-bar"></div>
                                            </div><?php */?>
                </li>
                <?php /*?><li>
                                            <h2 class="no-margins ">9,180</h2>
                                            <small>Monthly income from orders</small>
                                            <div class="stat-percent">22% <i class="fa fa-bolt text-navy"></i></div>
                                            <div class="progress progress-mini">
                                                <div style="width: 22%;" class="progress-bar"></div>
                                            </div>
                                        </li><?php */?>
              </ul>
            </div>
          </div>
        </div>
      </div>
      <?php $GLOBALS['AppDoc']->AddScriptDeclaration("
$(document).ready(function() {
	var visits = ".json_encode($graph).";
	$('#stats-chart').css({
		height: '400px',
		width: '100%'
	});
	$.plot($('#stats-chart'),[
			{ label: '".__('Pedidos')."', data: visits }
		],{
	        lines: { show: true },
	        points: { show: true },
			xaxis: { mode: 'time', timeformat: '".SistemaIdioma::formatoFecha('corta',true)."' },
			colors: ['#1ab394'],
			grid: {
				color: '#999999',
				hoverable: true,
				clickable: true,
				tickColor: '#D4D4D4',
				borderWidth:0
			}
	});
	
	$('<div id=\'tooltip\'></div>').css({
			position: 'absolute',
			display: 'none',
			border: '1px solid #fdd',
			padding: '2px',
			'background-color': '#fee',
			opacity: 0.80
		}).appendTo('body');
		$('#stats-chart').bind('plothover', function (event, pos, item) {
			if ($('#enablePosition:checked').length > 0) {
				var str = '(' + pos.x.toFixed(2) + ', ' + pos.y.toFixed(2) + ')';
				$('#hoverdata').text(str);
			}
			if (item) {
				var x = item.datapoint[0],
					y = parseInt(item.datapoint[1]);
					
				var fecha_obj = new Date(x);
				var fecha_format = fecha_obj.getDate() + '-' + (fecha_obj.getMonth()+1) + '-' + fecha_obj.getFullYear();
				$('#tooltip').html(item.series.label + ' ".__('del')." ' + fecha_format + ' = ' + y)
					.css({top: item.pageY+5, left: item.pageX+5})
					.fadeIn(200);
			} else {
				$('#tooltip').hide();
			}
		});
		$('#stats-chart').bind('plotclick', function (event, pos, item) {
			if (item) {
				$('#clickdata').text(' - click point ' + item.dataIndex + ' in ' + item.series.label);
				plot.highlight(item.series, item.datapoint);
			}
		});
	
});
"); ?>
      <div class="row">
        <div class="col-md-6">
          <div class="ibox float-e-margins">
            <div class="ibox-title">
              <h5><?php echo __('Últimos 10 Pedidos');?></h5>
            </div>
            <!-- /.panel-heading -->
            <div class="ibox-content">
              <table class="table table-hover no-margins">
                <thead>
                  <tr>
                    <th class="order_id"><?php echo __('ID');?></th>
                    <th class="order_date"><?php echo __('Fecha');?></th>
                    <th class="order_customer"><?php echo __('Cliente');?></th>
                    <th class="order_status"><?php echo __('Estado');?></th>
                    <th class="order_total"><?php echo __('Total');?></th>
                  </tr>
                  <tr> </tr>
                </thead>
                <tbody>
                  <?php if (!empty($pedidos) && is_array($pedidos)){?>
                  <?php foreach ($pedidos as $pedido){?>
                  <tr>
                    <td class="order_td_first order_id"><?php echo $pedido->id;?></td>
                    <td class="order_date"><a href="?extension=ext_shop&vista=editar_pedido&id=<?php echo $pedido->id;?>"><?php echo strftime("%d-%m-%Y %H:%M",strtotime($pedido->fecha));?></a></td>
                    <td class="order_customer"><?php echo $pedido->datos['facturacion']['nombre'] . ' ' . $pedido->datos['facturacion']['apellidos'];?></td>
                    <td class="order_status"><?php echo $pedido->get_estado_con_pago();?></td>
                    <td class="order_total"><?php echo number_format($pedido->datos['total']['total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></td>
                  </tr>
                  <?php } ?>
                  <?php } else {?>
                  <tr>
                    <td colspan="6" align="center"><?php echo __('No hay pedidos');?></td>
                  </tr>
                  <?php } ?>
                </tbody>
              </table>
              <!-- /.list-group -->
              <hr>
              <a href="?extension=ext_shop&vista=lista_pedidos" class="btn btn-default btn-block"><?php echo __('Ver todos los pedidos');?></a> </div>
            <!-- /.panel-body --> 
          </div>
        </div>
        <div class="col-lg-6">
          <div class="ibox float-e-margins">
            <div class="ibox-title">
              <h5><?php echo __('Estadísticas');?></h5>
            </div>
            <!-- /.panel-heading -->
            <div class="ibox-content">
              <div class="tabbable">
                <ul class="nav nav-tabs">
                  <li class="active"><a href="#tab-flot-usuarios" data-toggle="tab"><i class="fa fa-user"></i> <?php echo __('Histórico de Registro de Usuarios');?> </a>
                </ul>
                <div class="tab-content">
                  <div class="tab-pane active" id="tab-flot-usuarios">
                    <div id="stackchart" class="center" style="height:200px; width: 100%;"> </div>
                    <?php $GLOBALS['AppDoc']->AddScriptDeclaration('
$(document).ready(function() {
	var visits2 = '.json_encode($graph2).';
	$("#stackchart").css({
		height: "420px",
		width: "100%"
	});
	$.plot($("#stackchart"),[
			{ label: "'.__('Registro de usuarios').'", data: visits2 }
		],{
	        lines: { show: true },
	        points: { show: true },
			xaxis: { mode: "time", timeformat: "'.SistemaIdioma::formatoFecha('corta',true).'" },
			colors: ["#1ab394"],
			grid: {
				color: "#999999",
				hoverable: true,
				clickable: true,
				tickColor: "#D4D4D4",
				borderWidth:0
			}
	});
	
	$("<div id=\'tooltip2\'></div>").css({
			position: "absolute",
			display: "none",
			border: "1px solid #fdd",
			padding: "2px",
			"background-color": "#fee",
			opacity: 0.80
		}).appendTo("body");
		$("#stackchart").bind("plothover", function (event, pos, item) {
			if ($("#enablePosition:checked").length > 0) {
				var str = "(" + pos.x.toFixed(2) + ", " + pos.y.toFixed(2) + ")";
				$("#hoverdata").text(str);
			}
				if (item) {
					var x = item.datapoint[0],
						y = parseInt(item.datapoint[1]);
						
					var fecha_obj = new Date(x);
					var fecha_format = fecha_obj.getDate() + "-" + (fecha_obj.getMonth()+1) + "-" + fecha_obj.getFullYear();
					$("#tooltip2").html(item.series.label + " '.__('del').' " + fecha_format + " = " + y)
						.css({top: item.pageY+5, left: item.pageX+5})
						.fadeIn(200);
				} else {
					$("#tooltip2").hide();
				}
		});
		$("#stackchart").bind("plotclick", function (event, pos, item) {
			if (item) {
				$("#clickdata").text(" - click point " + item.dataIndex + " in " + item.series.label);
				plot.highlight(item.series, item.datapoint);
			}
		});
	
});');?> </div>
                </div>
              </div>
            </div>
            <!-- /.panel-body --> 
          </div>
          <!-- /.panel --> 
        </div>
      </div>
      <!-- /.row --> 
    </div>
    <!-- /#col-md-9 col-lg-9 col-sm-9 col-xs-12 --> 
    
  </div>
</div>
