<?php
$all_ext = Helpers::getExtensionsElements();
$this_ext = $_GET['extension'];
if (is_array($all_ext[$this_ext]['item'])){
	$titulo_pagina_defecto = !empty($all_ext[$this_ext]['item']['name_plural']) ? Helpers::__xml($all_ext[$this_ext]['item']['name_plural']) : Helpers::__xml($all_ext[$this_ext]['item']['name']);
	$class_item = $all_ext[$this_ext]['item']['class'];
	$fileclass_item = $all_ext[$this_ext]['item']['file_class'];
	$vista_item = $all_ext[$this_ext]['item']['vista'];
	
	e_include($this_ext.'/class/'.$fileclass_item);
	
	if (is_array($all_ext[$this_ext]['category'])){
		$class_category = $all_ext[$this_ext]['category']['class'];
		$fileclass_category = $all_ext[$this_ext]['category']['file_class'];
		$vista_category = $all_ext[$this_ext]['category']['vista'];
		
		e_include($this_ext.'/class/'.$fileclass_category);
	}
}
if (!empty($_POST)){
	include(CONF_REALPATH_APP_ADMIN.'tools/default/acciones_masivas.php');
}
$options = array(
	"titulo" => $titulo_pagina_defecto,
	"categoria" => ""
);
$txt_cm = '';
if (isset($GLOBALS['custom_menu'])){
	$txt_cm = '&custom_menu='.$GLOBALS['custom_menu']->id;
	if (!empty($GLOBALS['custom_menu']->params)){
		$cm_params = Helpers::toArray(json_decode($GLOBALS['custom_menu']->params));
		
		if (!empty($cm_params['params'])){
			parse_str(trim($cm_params['params']), $parametros_custom);
			
			foreach ($parametros_custom as $kparam=>$param){
				if (array_key_exists($kparam, $options))
					$options[$kparam] = utf8_decode($param);
			}
		}
	}
	$last_url = Helpers::getSesion()->get('lastURL', null, 'admin');
	if (strpos($last_url, $GLOBALS['custom_menu']->enlace)){
		$options['titulo'] = SistemaIdioma::Imprimir($GLOBALS['custom_menu']->titulo);
	}
}
if (!class_exists('ListadoAdminModel')) {
    echo "Error 500: No se ha encontrado la clase de la extensión.";
    return false;
}
$cat_id = 0;
if (!empty($options["categoria"])){
	$cat_id = $options["categoria"];
} elseif (!empty($_GET['filtro_categoria'])){
	$cat_id = $_GET['filtro_categoria'];
}
$opts = array("keyword_where_exp" => "(nombre LIKE '%##KEYWORD##%' OR contenido LIKE '%##KEYWORD##%' OR creador_alias LIKE '%##KEYWORD##%')");
if (!empty($_GET['stock'])){
	if ($_GET['stock'] == 'out'){
		$opts['sql_extra'] = 'stock <= "0"';
	} elseif ($_GET['stock'] == 'low'){
		$opts['sql_extra'] = 'stock < "5" AND stock > "0"';
	} elseif ($_GET['stock'] == 'full'){
		$opts['sql_extra'] = 'stock >= "5"';
	}
}
$items = new ListadoAdminModel($cat_id, $class_item, $opts);
$columnas_tabla = $items->getColumnasListado();
$categorias = new CategoriasHelper();
if ($instancia = $categorias->getInstance('id', 'padre', 'nombre', $this_ext . '/class/' . $fileclass_category, $class_category, $this_ext, $vista_category, '')) {
	$categorias_select_html = '<option value="">'.__('Ninguna categoría').'</option>';
	$categorias_select_html .= $categorias->display_optionselect_nodes(0, 0, $cat_id);
}

$tipo_stock = array('full'=>__('Sin problemas de stock'), 'low'=>__('Casi sin stock'), 'out'=>__('Fuera de stock'));
$sel_txt = '';
if (empty($_GET['stock'])){
	$sel_txt = ' selected="selected"';
}
$stock_filtro_options = '<option'.$sel_txt.' value="">'.__('Stock').'</option>';
foreach ($tipo_stock as $ks=>$ts){
	$sel_txt = '';
	if (!empty($_GET['stock']) && $_GET['stock'] == $ks){
		$sel_txt = ' selected="selected"';
	}
	$stock_filtro_options .= '<option'.$sel_txt.' value="'.$ks.'">'.$ts.'</option>';
}

$items->vista_config['listado_extra_filtros'][] = '<div class="form-group">
          <select name="stock" id="filtro_stock_top" class="form-control filtro_categorias_items" data-refresh-url="'.$items->construir_url_listado_admin(true,array("stock"=>""),true).'stock=" data-contenedor-items="form#itemsFrm">
            '.$stock_filtro_options.'
          </select>
        </div>'; 

$items->vista_config['listado_extra_toolbar'] = array(
    array(
        "titulo" => __('Herramientas'),
        "icono" => "fa fa-cogs",
        "descripcion" => __('Herramientas de productos'),
        "clase_css" => "btn btn-sm btn-default navbar-btn",
        "dropdown" => true,
        "children" => array(
            array(
                "titulo" => __('Recalcular stock'),
                "icono" => "fa fa-refresh",
                "descripcion" => __('Recalcular el stock de todos los productos'),
                "attr" => ' data-toggle="modal"',
                "href" => "#modal-recalcular-stock-productos"
            )
        )
    )
);

$items->vista_config['listado_extra_html']    = '<div id="modal-recalcular-stock-productos" class="modal fade">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button onclick="$(\'#modal-recalcular-stock-productos\').modal(\'hide\');return false;" class="close">&times;</button>
        <h4 class="modal-title">' . __('Recalcular stock de todos los productos') . '</h4>
      </div>
      <div class="modal-body">
        <p>' . __('Se va a recalcular el stock de todos los productos.') . '</p>
        <p>' . __('¿Quiere continuar con esta operación?') . '</p>
      </div>
      <div class="modal-footer">
        <form method="post" action="'.CONF_URL_APP.'api/shop/producto/recalcularStock.json" id="frm_recalcular_stock_productos" target="_blank">
          <input type="hidden" name="accion" value="recalcular_stock" />
		  <input type="hidden" name="token" value="'.Helpers::getFormToken().'" />
          <a href="javascript:;" data-accion-item="form" data-form-id="#frm_recalcular_stock_productos" data-script-url="'.CONF_URL_APP.'api/shop/producto/recalcularStock.json" data-token="'.Helpers::getFormToken().'" data-titulo="'.__('¿Seguro que quieres recalcular el stock? Este proceso puede durar unos minutos.').'" data-refresh="form#itemsFrm" data-refresh-url="'.Helpers::currentURL().'" data-es-modal="1" id="btn-recalcular-stock-productos" class="btn btn-danger">' . __('Sí') . '</a>
          <a href="javascript:$(\'#modal-recalcular-stock-productos\').modal(\'hide\')" class="btn btn-default">' . __('No') . '</a>
        </form>
      </div>
    </div>
  </div>
</div>';