<?php
$options = array(
	"titulo" => __('Pedidos'),
	"nivel_acceso" => ""
);
$txt_cm = '';
if (isset($GLOBALS['custom_menu'])){
	$txt_cm = '&custom_menu='.$GLOBALS['custom_menu']->id;
	if (!empty($GLOBALS['custom_menu']->params)){
		parse_str(trim($GLOBALS['custom_menu']->params), $parametros_custom);
		
		foreach ($parametros_custom as $kparam=>$param){
			if (array_key_exists($kparam, $options))
				$options[$kparam] = utf8_decode($param);
		}
	}
	$options['titulo'] = SistemaIdioma::Imprimir($GLOBALS['custom_menu']->titulo);
}
c_include('usuario', 'helpers/templateHelper');
e_include('ext_shop/class/pedidoShop');
if (!class_exists('ListadoAdminModel')) {
    echo "Error 500: No se ha encontrado la clase de la extensión.";
    return false;
}
if (!empty($_POST)){
	if ($_POST['accion'] == 'facturar_pedidos'){
		include CONF_REALPATH_APP . "extensions/ext_shop/admin/tools/facturar_pedidos.php";
	} elseif ($_POST['accion'] == 'facturar_pedido' && !empty($_POST['pedido_id'])){
		include CONF_REALPATH_APP . "extensions/ext_shop/admin/tools/facturar_pedido.php";
	}
}
$cat_id = 0;
$class_obj = new PedidoShop();
$opts = array("keyword_where_exp" => "(email LIKE '%##KEYWORD##%' OR datos_facturacion LIKE '%##KEYWORD##%' OR datos_envio LIKE '%##KEYWORD##%')");
$opts['vista_config'] = array("url_nuevo" => "?extension=##EXT##&vista=nuevo_pedido",
		"url_editar" => "?extension=##EXT##&vista=##VISTA##&id=##id##",
        "url_opciones" => "?extension=configuracion&load=##EXT##&popup=1",
        "vista_url_editar" => "editar_pedido",
        "tipo_vista" => "tabla",
        "clase_tabla" => "table-striped"
    );
$items = new ListadoAdminModel($cat_id, $class_obj, $opts);
$items->vista_config['listado_mostrar_nuevo'] = false;
$items->vista_config['listado_extra_toolbar'] = array(array("titulo"=>__('Facturar pedidos'), "icono"=>"fa fa-bolt", "descripcion"=>__('Facturar todos los pedidos pendientes'), "clase_css"=>"btn btn-sm btn-default navbar-btn", "attr"=>' data-toggle="modal"', "href"=>"#modal-facturar-pedidos"));
$items->vista_config['listado_extra_html'] = '<div id="modal-facturar-pedidos" class="modal fade">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button onclick="$(\'#modal-facturar-pedidos\').modal(\'hide\');return false;" class="close">&times;</button>
        <h4 class="modal-title">'.__('Facturar Pedidos').'</h4>
      </div>
      <div class="modal-body">
        <p>'.__('Se van a crear automáticamente las facturas de los pedidos con estado Completado que aun no se hayan generado con anterioridad.').'</p>
        <p>'.__('¿Quiere continuar con creación de las facturas?').'</p>
      </div>
      <div class="modal-footer"> <a href="javascript:;" id="btn-modal-facturar-pedidos" class="btn btn-danger">'.__('Sí').'</a> <a href="javascript:$(\'#modal-facturar-pedidos\').modal(\'hide\')" class="btn secondary">'.__('No').'</a> </div>
    </div>
  </div>
</div>';
$GLOBALS['AppDoc']->AddScriptDeclaration('
			$(document).ready(function() {
                $("#btn-modal-facturar-pedidos").click(function(){
					$.post("'.$_SESSION[CLAVE_SECRETA]["admin"]["lastURL"].'", { accion: "facturar_pedidos" }, function(data){
						try {
							var resJSON = $.parseJSON(data);
							
							if (resJSON.respuesta == "ok"){
								$("#modal-facturar-pedidos").modal("hide");
								bootbox.alert(resJSON.mensaje);
							} else {
								bootbox.alert(resJSON.mensaje);
							}
							return false;
							
						}catch(err){
							bootbox.alert("'.__("Se ha producido un error inesperado: ").'" + err.message);
							return false;
						};
						alert(data);
					});
				});
				
				$(".btn-facturar-pedido").click(function(){
					
					var pedido_id = $(this).data("pedido-id");
					
					if (pedido_id != "" && pedido_id != undefined){
					
						$.post("'.$_SESSION[CLAVE_SECRETA]["admin"]["lastURL"].'", { accion: "facturar_pedido", pedido_id: pedido_id }, function(data){
							try {
								var resJSON = $.parseJSON(data);
								
								if (resJSON.respuesta == "ok"){
									alert(resJSON.mensaje);
									window.location.reload();
								} else {
									bootbox.alert(resJSON.mensaje);
								}
								return false;
								
							}catch(err){
								bootbox.alert("Se ha producido un error inesperado: " + err.message);
								return false;
							};
							alert(data);
						});
					
					} else {
						bootbox.alert("No se ha elegido ningún pedido a facturar");
					}
				});
            });');
			
$items->vista_config['listado_extra_opts'] = array(	
													array("titulo"=>__('Facturar'), "icono"=>"", "descripcion"=>__('Facturar pedido'), "clase_css"=>"btn-facturar-pedido", "attr"=>' data-pedido-id="##id##"', "href"=>"javascript:;"));
$items->columnas_config['estado_pedido'] = array("allow_ordering"=>false, "width"=>"5%", "class"=>"nowrap", "class_td"=>"small");
$items->columnas_config['pedido_html'] = array("allow_ordering"=>false, "show_opts_box"=>true, "width"=>"25%", "class"=>"nowrap", "class_td"=>"small");
$items->columnas_config['datos_facturacion'] = array("allow_ordering"=>false, "width"=>"25%", "class"=>"nowrap", "class_td"=>"small");
$items->columnas_config['datos_envio'] = array("allow_ordering"=>false, "class"=>"nowrap", "class_td"=>"small");
$items->columnas_config['total_pedido'] = array("allow_ordering"=>false, "width"=>"5%", "class"=>"nowrap", "class_td"=>"small");
$items->parsea_config_vista();
$items->columnas_listado = array("estado_pedido"=>__('Estado'), "pedido_html"=>__('Pedido'), "datos_facturacion"=>__('Datos de facturación'), "datos_envio"=>__('Datos de envío'), "total_pedido"=>__('Total'), "id"=>__('ID'));
$columnas_tabla = $items->getColumnasListado();
?>