<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
	
if ($_POST['accion'] != 'facturar_pedido'){
	Helpers::Panic(__('Acción no válida'));
}
if (empty($_POST['pedido_id'])){
	Helpers::Panic(__('Pedido no seleccionado'));
}
c_include('sistemaIdioma');
e_include('ext_shop/class/facturaShop','ext_shop/class/pedidoShop');
if (!class_exists('PedidoShop'))
	Helpers::Panic();
	
$respuesta = array();
$ps = new PedidoShop();
$ps->setid($_POST["pedido_id"]);
$ps = $ps->BuscarId();
if ($ps->esta_facturado()){
	$respuesta["respuesta"] = "error";
	$respuesta["mensaje"] = __('¡El pedido ya está facturado!');
	
	Helpers::Panic(json_encode($respuesta));
}
if ($ps instanceof PedidoShop && $ps->id == $_POST['pedido_id'] && $ps->puede_facturarse()){
	try {
			$ps->facturar();
		}catch (Exception $e) {
			$respuesta["respuesta"] = "error";
			$respuesta["mensaje"] = sprintf(__('Se ha producido un error al intentar facturar el pedido # %s: %s'), $ps->id, $e->getMessage());
			
			Helpers::Panic(json_encode($respuesta));
		}
		$respuesta["respuesta"] = "ok";
		$respuesta["mensaje"] = sprintf(__("Se ha facturado el pedido #%s."), $ps->id);
} else {
	$respuesta["respuesta"] = "error";
	$respuesta["mensaje"] = __('No se ha encontrado ningún pedido a facturar');
}
Helpers::Panic(json_encode($respuesta));
?>