<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
c_include('sistemaIdioma');
e_include('ext_shop/class/facturaShop','ext_shop/class/facturaLineaShop');
if (!class_exists('FacturaShop'))
	Helpers::Panic();
	
$factura = new FacturaShop();
if ($_POST['borrar'] == "true"){
	if (!empty($_POST['id'])){
		
		$factura->setid($_POST["id"]);
		if ($factura=$factura->BuscarId()){
			
			$factura->loadLineas();
			
			$lineas_factura = $factura->lineas;
			foreach ($lineas_factura as $lf){
				$lf->Borrar();
			}
			
			if ($factura->Borrar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Se ha producido un error al intentar borrar la factura'));
			}
		} else {
			Helpers::Panic();
		}
	} else {
			Helpers::Panic();
	}
} else {
	$lineas_ids = array();
	if ($_POST["ext_shop"]['detalles']['accion'] == 'editar'){
		$factura->setid($_POST["ext_shop"]['detalles']['id']);
		$factura->setejercicio($_POST["ext_shop"]['detalles']['ejercicio']);
		if ($factura = $factura->BuscarId()){
			if ($_POST["ext_shop"]['detalles']['codigo'] != $factura->codigo){
				$prueba_fact = new FacturaShop();
				$prueba_fact = $prueba_fact->ListarCount("ejercicio='".$factura->ejercicio."' AND codigo='".$_POST["ext_shop"]['detalles']['codigo']."'");
				if ($prueba_fact > 0){
					Helpers::Panic(__('Ya existe otra factura con ese código de factura en el mismo ejercio'));
				}
			}
			
			$lineas_fact = $factura->loadLineas();
			
			if (is_array($factura->lineas) && sizeof($factura->lineas) > 0){
				foreach ($factura->lineas as $flinea){
					if (!array_key_exists($flinea->id, $_POST["ext_shop"]['detalles']['lineas']['lineas'])){
						$flinea->Borrar();
					}
				}
			}
		} else {
			Helpers::Panic();
		}
	}
	
	$bimp_dec = explode(".", $_POST["ext_shop"]['detalles']['lineas']['base_imponible']);
	if (sizeof($bimp_dec) == 2){
		$b_imp = $bimp_dec[0] . "." . substr($bimp_dec[1], 0, 2);
	} else {
		$b_imp = $_POST["ext_shop"]['detalles']['lineas']['base_imponible'];
	}
	
	$tdesc_dec = explode(".", $_POST["ext_shop"]['detalles']['lineas']['total_descuento']);
	if (sizeof($tdesc_dec) == 2){
		$t_desc = $tdesc_dec[0] . "." . substr($tdesc_dec[1], 0, 4);
	} else {
		$t_desc = $_POST["ext_shop"]['detalles']['lineas']['total_descuento'];
	}
	
	$timp_dec = explode(".", $_POST["ext_shop"]['detalles']['lineas']['total_impuesto']);
	if (sizeof($timp_dec) == 2){
		$t_imp = $timp_dec[0] . "." . substr($timp_dec[1], 0, 4);
	} else {
		$t_imp = $_POST["ext_shop"]['detalles']['lineas']['total_impuesto'];
	}
	
	$trec_dec = explode(".", $_POST["ext_shop"]['detalles']['lineas']['total_recargo']);
	if (sizeof($trec_dec) == 2){
		$t_rec = $trec_dec[0] . "." . substr($trec_dec[1], 0, 4);
	} else {
		$t_rec = $_POST["ext_shop"]['detalles']['lineas']['total_recargo'];
	}
	
	$tret_dec = explode(".", $_POST["ext_shop"]['detalles']['lineas']['total_retencion']);
	if (sizeof($tret_dec) == 2){
		$t_ret = $tret_dec[0] . "." . substr($tret_dec[1], 0, 4);
	} else {
		$t_ret = $_POST["ext_shop"]['detalles']['lineas']['total_retencion'];
	}
	
	$ttot_dec = explode(".", $_POST["ext_shop"]['detalles']['lineas']['total']);
	if (sizeof($ttot_dec) == 2){
		$t_tot = $ttot_dec[0] . "." . substr($ttot_dec[1], 0, 2);
	} else {
		$t_tot = $_POST["ext_shop"]['detalles']['lineas']['total'];
	}
	
	if ($_POST["ext_shop"]['detalles']['accion'] == 'editar' && $_POST["ext_shop"]['detalles']['cliente'] != $factura->usuario_id){
		e_include('ext_shop/class/cliente');
		$client = new ClienteShop();
		$client->setid_usuario($_POST["ext_shop"]['detalles']['cliente']);
		
		if ($client = $client->BuscarIdUsuario()){
			if (!empty($client->id)){
				if (!empty($client->datos_facturacion)){
					$_POST["ext_shop"]['detalles']['datos_facturacion'] = Helpers::toArray(json_decode($client->datos_facturacion));
				}
			}
		}
	}
	
	if (empty($_POST["ext_shop"]['detalles']['ejercicio'])){
		$_POST["ext_shop"]['detalles']['ejercicio'] = strftime("%Y", strtotime($_POST["ext_shop"]['detalles']['fecha']));
	}
	
	$params_factura = json_encode($_POST["ext_shop"]['avanzadas']);
	
	$factura->setcodigo($_POST["ext_shop"]['detalles']['codigo']);
	$factura->settitulo($_POST["ext_shop"]['detalles']['titulo']);
	$factura->setejercicio($_POST["ext_shop"]['detalles']['ejercicio']);
	$factura->setusuario_id($_POST["ext_shop"]['detalles']['usuario_id']);
	$factura->setdatos_facturacion(json_encode($_POST["ext_shop"]['detalles']['datos_facturacion']));
	$factura->setcreador_id(Helpers::getSesion()->get('usuario.id', '', 'admin'));
	$factura->setpedido_id($_POST["ext_shop"]['detalles']['pedido_id']);
	$factura->setestado($_POST["ext_shop"]['detalles']['estado']);
	$factura->setfecha($_POST["ext_shop"]['detalles']['fecha']);
	$factura->setvencimiento($_POST["ext_shop"]['detalles']['vencimiento']);
	$factura->setcomentarios($_POST["ext_shop"]['detalles']['comentarios']);
	$factura->setbase_imponible($b_imp);
	$factura->settotal_descuento($t_desc);
	$factura->setpercent_descuento($_POST["ext_shop"]['detalles']['lineas']['percent_descuento']);
	$factura->settotal_impuesto($t_imp);
	$factura->settotal_recargo($t_rec);
	$factura->setpercent_recargo($_POST["ext_shop"]['detalles']['lineas']['percent_recargo']);
	$factura->settotal_retencion($t_ret);
	$factura->setpercent_retencion($_POST["ext_shop"]['detalles']['lineas']['percent_retencion']);
	$factura->settotal($t_tot);
	$factura->setforma_pago($_POST["ext_shop"]['detalles']['forma_pago']);
	$factura->setparams($params_factura);
	
	switch ($_POST["ext_shop"]['detalles']['accion']){
		case 'editar':
			if ($factura->Modificar()){
				
				$fact_id = $factura->id;
				
				if (is_array($_POST["ext_shop"]['detalles']['lineas']['lineas']) && sizeof($_POST["ext_shop"]['detalles']['lineas']['lineas']) > 0){
					$orden_linea = 0;
					foreach ($_POST["ext_shop"]['detalles']['lineas']['lineas'] as $linea){
						$obj_linea = new FacturaLineaShop();
						if (!empty($linea["id"])){
							$obj_linea->setid($linea['id']);
							$obj_linea = $obj_linea->BuscarId();
						}
						
						$sub_dec = explode(".", $linea['precio_ud']);
						if (sizeof($sub_dec) == 2){
							$t_sub = $sub_dec[0] . "." . substr($sub_dec[1], 0, 2);
						} else {
							$t_sub = $linea['precio_ud'];
						}
						
						$imp_dec = explode(".", $linea['impuesto']);
						if (sizeof($imp_dec) == 2){
							$t_simp = $imp_dec[0] . "." . substr($imp_dec[1], 0, 2);
						} else {
							$t_simp = $linea['impuesto'];
						}
						
						$subtotal_linea = $t_sub * $linea['cantidad'];
						$impuesto_linea = ($t_sub * $linea['cantidad']) * ($t_simp / 100);
						
						$implin_dec = explode(".", $impuesto_linea);
						if (sizeof($implin_dec) == 2){
							$t_limp = $implin_dec[0] . "." . substr($implin_dec[1], 0, 2);
						} else {
							$t_limp = $impuesto_linea;
						}
						
						$obj_linea->setfactura_id($fact_id);
						$obj_linea->setejercicio($factura->ejercicio);
						$obj_linea->setproducto_id($linea['producto_id']);
						$obj_linea->setnombre_producto(utf8_decode($linea['descripcion']));
						$obj_linea->setcantidad($linea['cantidad']);
						$obj_linea->setlinea_total($subtotal_linea);
						$obj_linea->setlinea_impuesto($t_limp);
						$obj_linea->setlinea_subtotal($subtotal_linea);
						$obj_linea->setlinea_subtotal_impuesto($t_limp);
						$obj_linea->setorden($orden_linea);
						
						if (!empty($linea["id"])){
							$obj_linea->Modificar();
						} else {
							$obj_linea->Guardar();
						}
						
						$orden_linea ++;
					}
				}
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido guardar la factura'));
			}
			break;
			
		case 'nuevo':
			if ($fact_id = $factura->Guardar()){
				$fact_id_old = $fact_id;
				
				if (is_array($_POST["ext_shop"]['detalles']['lineas']['lineas']) && sizeof($_POST["ext_shop"]['detalles']['lineas']['lineas']) > 0){
					foreach ($_POST["ext_shop"]['detalles']['lineas']['lineas'] as $linea){
						$obj_linea = new FacturaLineaShop();
						if (!empty($linea["id"])){
							$obj_linea->setid($linea['id']);
							$obj_linea = $obj_linea->BuscarId();
							$fact_id = $linea['id'];
						} else {
							$fact_id = $fact_id_old;
						}
						
						$subtotal_linea = $linea['precio_ud'] * $linea['cantidad'];
						$impuesto_linea = ($linea['precio_ud'] * $linea['cantidad']) * ($linea['impuesto'] / 100);
						
						$obj_linea->setfactura_id($fact_id);
						$obj_linea->setejercicio($factura->ejercicio);
						$obj_linea->setproducto_id($linea['producto_id']);
						$obj_linea->setnombre_producto(utf8_decode($linea['descripcion']));
						$obj_linea->setcantidad($linea['cantidad']);
						$obj_linea->setlinea_total($subtotal_linea);
						$obj_linea->setlinea_impuesto($impuesto_linea);
						$obj_linea->setlinea_subtotal($subtotal_linea);
						$obj_linea->setlinea_subtotal_impuesto($impuesto_linea);
						
						if (!empty($linea["id"])){
							$obj_linea->Modificar();
						} else {
							$obj_linea->Guardar();
						}
					}
				}
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido crear la factura'));
			}
			break;
	}
}
?>