<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
c_include('sistemaIdioma');
e_include('ext_shop/class/pedidoShop');
if (!class_exists('PedidoShop'))
	Helpers::Panic();
	
$pedido = new PedidoShop();
if ($_POST['borrar'] == "true"){
	if (!empty($_POST['id'])){
		$pedido->setid($_POST["id"]);
		if ($pedido = $pedido->BuscarId()){
			
			if ($pedido->estado == 'completado' || $pedido->estado == 'entregado'){
				Helpers::Panic(__('No se pueden borrar los pedidos con estado Completado o Entregado'));
			}
			
			$error = false;
			if (is_array($pedido->lineas) && sizeof($pedido->lineas) > 0){
				foreach ($pedido->lineas as $lin){
					$del_linea = $lin->Borrar();
					if ($del_linea == false)
						$error = true;
				}
			}
			if ($pedido->Borrar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Se ha producido un error al intentar borrar el pedido'));
			}
		} else {
			Helpers::Panic(__('No se ha encontrado el pedido'));
		}
	} else {
			Helpers::Panic();
	}
} else {
	if ($_POST["ext_pedidos"]['detalles']['accion'] == 'editar'){
		$pedido->setid($_POST["ext_pedidos"]['detalles']['id']);
		if ($pedido = $pedido->BuscarId()){
		} else {
			Helpers::Panic();
		}
	}
	
	$estado_old = $pedido->estado;
	$estado_new = $_POST["ext_pedidos"]['detalles']['estado'];
	
	$estado_new_obj = new EstadoPedidoShop($estado_new);
	
	if ($estado_old != $estado_new && $estado_old == $GLOBALS['opciones']['ext_shop']['venta']['estado_completado']){
		if ($pedido->add_nota_pedido(SistemaIdioma::Imprimir($estado_new_obj->nombre) . ': ' . strftime("%d-%m-%Y %H:%M"), 0, $estado_new)){
			$pedido = new PedidoShop();
			$pedido->setid($_POST["ext_pedidos"]['detalles']['id']);
			$pedido = $pedido->BuscarId();
		}
		$pedido->setestado($estado_new);
		$pedido->setcomentarios($_POST["ext_pedidos"]['detalles']['comentarios']);
		$pedido->Modificar();
		
		$pedido->restaurar_stock_pedido();
		Helpers::Panic('ok');
		
	} elseif ($estado_old != $estado_new){
		if ($pedido->add_nota_pedido(SistemaIdioma::Imprimir($estado_new_obj->nombre) . ': ' . strftime("%d-%m-%Y %H:%M"), 0, $estado_new)){
			$pedido = new PedidoShop();
			$pedido->setid($_POST["ext_pedidos"]['detalles']['id']);
			$pedido = $pedido->BuscarId();
		}
		
		$notificar = $GLOBALS['opciones']['ext_shop']['notificaciones']['notificar'];
		$notificables = array(	'nuevo'=>$GLOBALS['opciones']['ext_shop']['venta']['estado_creado'],
								'en_proceso'=>$GLOBALS['opciones']['ext_shop']['venta']['estado_procesando'],
								'enviado'=>$GLOBALS['opciones']['ext_shop']['venta']['estado_enviado'],
								'completado'=>$GLOBALS['opciones']['ext_shop']['venta']['estado_completado'],
								'fallido'=>$GLOBALS['opciones']['ext_shop']['venta']['estado_fallido'],
								'cancelado'=>$GLOBALS['opciones']['ext_shop']['venta']['estado_cancelado']);
								
		foreach ($notificables as $kn=>$n){
			if ($estado_new == $n && in_array($kn, $notificar)){
				$pedido->enviar_email_pedido($kn);
			}
		}
		
		if ($estado_new == $GLOBALS['opciones']['ext_shop']['venta']['estado_completado']){
			$pedido->pago_completo($estado_new);
			Helpers::Panic('ok');
		}
		$pedido->setestado($estado_new);
	} else {
		$pedido->setestado($estado_new);
	}
	
	$pedido->setcomentarios($_POST["ext_pedidos"]['detalles']['comentarios']);
	
	switch ($_POST["ext_pedidos"]['detalles']['accion']){
		case 'editar':
			if ($pedido->Modificar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido guardar el pedido'));
			}
			break;
			
		case 'nuevo':
			if ($pedido->Guardar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido crear el pedido'));
			}
			break;
	}
}
?>