<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
c_include('sistemaIdioma');
e_include('ext_shop/class/producto','ext_shop/class/productoVariacion');
if (!class_exists('ProductoVariacion'))
	Helpers::Panic();
	
$producto = new ProductoVariacion();
if ($_POST['borrar'] == "true"){
	if (!empty($_POST['id'])){
		$producto->setid($_POST['id']);
		if ($producto=$producto->BuscarId()){
			if ($producto->Borrar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Se ha producido un error al intentar borrar la variación del producto'));
			}
		} else {
			Helpers::Panic();
		}
	} else {
			Helpers::Panic();
	}
} else {
	if ($_POST["ext_shop"]['detalles']['accion'] == 'editar'){
		$producto->setid($_POST["ext_shop"]['detalles']['id']);
		if ($producto = $producto->BuscarId()){
		} else {
			Helpers::Panic();
		}
	}
	
	foreach ($_POST["ext_shop"]["detalles"]["alias"] as $klang=>$lang_alias){
		if (empty($lang_alias))
			$_POST["ext_shop"]["detalles"]["alias"][$klang] = Helpers::parseaTexto($_POST["ext_shop"]["detalles"]["nombre"][$klang]);
	}
	
	$array_nombre = array();
	$array_alias = array();
	$array_contenido = array();
	$array_texto_corto = array();
	$array_params = array();
	$string_categorias = '';
	
	$array_nombre = Helpers::to_utf8($_POST["ext_shop"]["detalles"]["nombre"]);
	$array_nombre = json_encode($array_nombre);
	
	$array_alias = Helpers::to_utf8($_POST["ext_shop"]["detalles"]["alias"]);
	$array_alias = json_encode($array_alias);
		
	$array_contenido = Helpers::to_utf8($_POST["ext_shop"]["detalles"]["contenido"]);
	$array_contenido = json_encode($array_contenido);
	
	$array_texto_corto = Helpers::to_utf8($_POST["ext_shop"]["detalles"]["texto_corto"]);
	$array_texto_corto = json_encode($array_texto_corto);
	
	$array_params = Helpers::to_utf8($_POST["ext_shop"]["avanzadas"]);
	$array_params['params'] = $_POST["ext_shop"]["params"];
	
	$array_params = json_encode($array_params);
		
	$string_categorias = json_encode($_POST["ext_shop"]["detalles"]["categorias"]);
	
	$_POST["ext_shop"]["detalles"]["sku"] = Helpers::parseaTexto($_POST["ext_shop"]["detalles"]["sku"]);
	
	$producto->setnombre($array_nombre);
	$producto->setproducto_id($_POST["ext_shop"]["detalles"]["producto_id"]);
	$producto->setsku($_POST["ext_shop"]["detalles"]["sku"]);
	$producto->setalias($array_alias);
	$producto->setcontenido($array_contenido);
	$producto->settexto_corto($array_texto_corto);
	$producto->setcategorias($string_categorias);
	$producto->setcreador($_POST["ext_shop"]["detalles"]["creador"]);
	$producto->setcreador_alias(utf8_decode($_POST["ext_shop"]["detalles"]["creador_alias"]));
	$producto->setestado($_POST["ext_shop"]["detalles"]["estado"]);
	$producto->setdestacado($_POST["ext_shop"]["detalles"]["destacado"]);
	$producto->setstock($_POST["ext_shop"]["detalles"]["stock"]);
	$producto->setimpuesto($_POST["ext_shop"]["detalles"]["impuesto"]);
	$producto->setpeso($_POST["ext_shop"]["detalles"]["peso"]);
	$producto->setimagen_destacada($_POST["ext_shop"]["detalles"]["imagen_destacada"]);
	$producto->setparams($array_params);
	$producto->setfecha_publicacion(strftime('%Y-%m-%d', strtotime($_POST["ext_shop"]["detalles"]["fecha_publicacion"])).' '.strftime('%H:%M:%S',time()));
	$producto->setprecio($_POST["ext_shop"]["detalles"]["precio"]);
	$producto->setprecio_rebajado($_POST["ext_shop"]["detalles"]["precio_rebajado"]);
	$producto->setdesde_precio_rebajado($_POST["ext_shop"]["detalles"]["desde_precio_rebajado"]);
	$producto->sethasta_precio_rebajado($_POST["ext_shop"]["detalles"]["hasta_precio_rebajado"]);
	
	if (!empty($_POST['atributo']) && is_array($_POST['atributo'])){
		$atributos = json_encode($_POST['atributo']);
		
		$producto->setatributos($atributos);
	}
	
	switch ($_POST["ext_shop"]['detalles']['accion']){
		case 'editar':
			if ($producto->Modificar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido guardar la variación del producto'));
			}
			break;
			
		case 'nuevo':
			if ($producto->Guardar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido crear la variación del producto'));
			}
			break;
	}
}
?>