<?php
defined('CONF_URL_APP') or die;
class CategoriaProducto extends CatModel
{
	protected $dbt_const = "DBT_PRODUCTOS_CATEGORIAS";
	protected $dbt = "shop_productos_categorias";
	
	protected $ext_folder = "ext_shop";
	protected $ext_vista_categoria = "categoria_productos";
	protected $ext_vista_item = "producto";
	
	protected $ext_item_class = "Producto";
	protected $ext_categoria_class = "CategoriaProducto";
	protected $ext_categoria_campoextra_class = "CategoriaProductoCampoExtra";
	
	protected $idx_vars = array("id");
	protected $update_vars = array("nombre","alias","contenido","estado","padre","creador","creador_alias","imagen_destacada","icono","params","idioma");
	
	protected $ignore_vars = array("dbt_const","dbt","ext_folder","ext_vista_categoria","ext_vista_item","ext_item_class","ext_categoria_class","ext_categoria_campoextra_class","idx_vars","update_vars","ignore_vars");
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		e_include('ext_shop/class/producto');
	}
}
?>