<?php
e_include('ext_shop/class/reglaPrecioCondicion');
class CestaMetodoEnvioReglaPrecioCondicion extends ReglaPrecioCondicion
{
	protected $grupo = 'cesta';
	protected $id = 'metodoEnvio';
	protected $nombre = 'Método de envío elegido';
	
	
	public function __construct($operacion, $valor){
		if ($this->checkOperacion($operacion) && $this->checkValor($valor)){
			$this->resultado = $this->checkCondicion($operacion,$valor);
		}
	}
	
	private function checkCondicion($op,$val){
		$_metodo = Helpers::getSesion()->get('shop._metodo_envio_elegido');
		if (!empty($_metodo) && $this->evaluaOperacion($_metodo, $val, $op)){
			return true;
		} else {
			return false;
		}
	}
}