<?php
e_include('ext_shop/class/reglaPrecioCondicion');
class ClienteUsuarioReglaPrecioCondicion extends ReglaPrecioCondicion
{
	protected $grupo = 'cliente';
	protected $id = 'usuario';
	protected $nombre = 'ID de Usuario';
	
	
	public function __construct($operacion, $valor){
		if ($this->checkOperacion($operacion) && $this->checkValor($valor)){
			$this->resultado = $this->checkCondicion($operacion,$valor);
		}
	}
	
	private function checkCondicion($op,$val){
		c_include('usuario');
		if (!Usuario::isLoged())
			return false;
			
		$id_usr = Usuario::getLogedId();
		
		if ($this->evaluaOperacion($id_usr, $val, $op)){
			return true;
		} else {
			return false;
		}
	}
}