<?php
defined('CONF_URL_APP') or die;
class EnvioShop extends EntidadModel
{
	protected $dbt_const = "DBT_SHOP_ENVIOS";
	protected $dbt = "shop_envios";
	
	protected $ext_folder = "ext_shop";
	
	protected $all_vars = array("id","titulo","estado_impuestos","disponibilidad","paises","zona","codigo_postal","fecha","tipo","cuota","cuota_minima","cantidad_minima","tasa_manipulacion","activo","coste","opciones","tarifas_planas","metodo_envio","transportista");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("titulo","estado_impuestos","disponibilidad","paises","zona","codigo_postal","tipo","cuota","cuota_minima","cantidad_minima","tasa_manipulacion","activo","coste","opciones","tarifas_planas","metodo_envio","transportista");
	
	protected $campos_multilang = array("titulo");
	protected $campos_array = array("paises","opciones");
	
	public function __construct() {
		parent::__construct();
	}
	
    function getcuota_minima($print=false, $separador=', ', $object=false)
    {
       	return $this->cuota_minima;
    }
	
	function getMetodoEnvio(){
		e_include('ext_shop/class/metodoEnvio');
		e_include('ext_shop/class/envio/'.$this->metodo_envio);
			
		$metodoClass = $this->metodo_envio;
		
		if (!class_exists($metodoClass)){
			include(CONF_REALPATH_APP.'extensions/ext_shop/class/envio/'.$metodoClass.'.class.php');
		}
		
		$load_method = new $metodoClass();
		$load_method->db_object = $this;
		$load_method->init();
		
		return $load_method;
	}
	
	function getTransportista(){
		if (empty($this->transportista))
			return false;
			
		$path_transportistas = CONF_REALPATH_APP . 'extensions/ext_shop/class/transportistas/';
		
		$files_transportistas = Helpers::dir_list($path_transportistas, '', '.class.php', false, false);
		
		foreach ($files_transportistas as $trans_files){
				
			foreach ($trans_files as $tran){
				
				$filename_arr = explode('.', $tran);
				$filename = $filename_arr[0];
				
				$class_trans = ucfirst($filename) . 'TransportistaShop';
				
				if (!class_exists($class_trans))
					include($path_transportistas . $tran);
					
				if (class_exists($class_trans)){
				
					$trans_obj = new $class_trans();
					
					$id_trans = $trans_obj->getId();
					
					if ($id_trans == $this->transportista)
						return $trans_obj;
					
				}
			}
		}
		
		return false;
	}
}
?>