<?php
abstract class ReglaPrecioCondicion {
	protected $grupo;
	protected $nombre;
	protected $id;
	
	protected $resultado = false;
	
	public function __construct($operacion,$valor){
		if ($this->checkOperacion($operacion) && $this->checkValor($valor)){
			$this->resultado = $this->checkCondicion($operacion,$valor);
		}
	}
	
	private function checkCondicion($op,$val){
		
	}
	
	function checkOperacion($op){
		$operaciones_disponibles = array("=",">",">=","<","<=");
		
		if (empty($op) || !in_array($op, $operaciones_disponibles)){
			return false;
		}
		
		return true;
	}
	
	function checkValor($val){
		if (empty($val)){
			return false;
		}
		
		return true;
	}
	
	function getInfo(){
		return array("id"=>$this->id,"grupo"=>$this->grupo,"nombre"=>$this->nombre);
	}
	
	function get_resultado(){
		return $this->resultado;
	}
	
	function evaluaOperacion($valor1,$valor2,$operacion){
		switch ($operacion){
			case '=':
				if ($valor1 == $valor2){
					return true;
				} else {
					return false;
				}
				break;
			case '>':
				if ($valor1 > $valor2){
					return true;
				} else {
					return false;
				}
				break;
			case '>=':
				if ($valor1 >= $valor2){
					return true;
				} else {
					return false;
				}
				break;
			case '<':
				if ($valor1 < $valor2){
					return true;
				} else {
					return false;
				}
				break;
			case '<=':
				if ($valor1 <= $valor2){
					return true;
				} else {
					return false;
				}
				break;
			default:
				return false;
				break;
		}
	}
}