<?php
defined('CONF_URL_APP') or die;
class ProductoAtributoTipoColor extends ProductoAtributoTipo
{
	protected $nombre = 'Color o textura';
	protected $id = 'color';
	
	public function __construct($params){
		$this->params = array(	
								"color"		=>		array(	
														"label"			=>			__("Color"),
														"type"			=>			"colorpicker",
														"class_div"		=>			"col-xs-6",
														"pretext"		=>			"#"
													),
								"textura"	=>		array(	
														"label"			=>			__("Textura"),
														"type"			=>			"text",
														"filemanager"	=>			"true",
														"upload"		=>			"true",
														"image"			=>			"true",
														"btn_borrar_valor"	=>		"true",
														"upload_path"	=>			"imagenes/shop/atributos/",
														"class_div"		=>			"col-xs-6"
													)
						);
						
		$this->list_params = array( "id", "valor", "color" );
		
		parent::__construct($params);
	}
	
	public function printFormFrontend($obj, $valor, $txt_empty='', $input_name='atributos', $opciones=null){
		if (!is_object($obj))
			return false;
			
		if (is_null($opciones)){
			return false;
		} else {
			$valores_atr = $opciones;	
		}
		
		$html = '<label>'.SistemaIdioma::Imprimir($obj->titulo).'</label>';
		$html .= '<div class="color_chooser btn-group btn-group-list clearfix" data-toggle="buttons" data-name="'.$input_name.'['.$obj->id.']" style="display: inline-block; width: 100%; margin-bottom: 10px;">';
		if (is_array($valores_atr) && sizeof($valores_atr) > 0){
			foreach ($valores_atr as $va){
				$html .= '<a href="javascript:;" class="btn btn-success" title="'.SistemaIdioma::Imprimir($va->valor).'" style="padding: 2px; margin-right: 5px;">'.$va->printTextura(32,32).'<input type="radio" class="hidden" value="'.$va->id.'" name="'.$input_name.'['.$obj->id.']"></a>';
			}
		}
		
		$html .= '</div>';
			
		return $html;
	}
}