<?php
class ImpuestoShopListadoAdminModel extends ListadoAdminModel {
	var $columnas = array("tarifa", "envio");
	
	public static function getValorCampo($id_columna, $obj) {
		
		$txt_cm = '';
		if (isset($GLOBALS['custom_menu'])){
			$txt_cm = '&custom_menu='.$GLOBALS['custom_menu']->id;
		}
        $valor_campo = '';
        switch ($id_columna) {
			case 'tarifa';
				$valor_campo = number_format($obj->tarifa, 2, ',', '.') . '%';
				break;
				
			case 'envio':
				$valor_campo = LayoutBootstrap::getActivoImg($obj->$id_columna, __('Sí'), __('No'));
                break;
		}
		
		if (Helpers::is_json($valor_campo)) {
            $tmp_val = (array) json_decode($valor_campo);
            if (isset($tmp_val[SistemaIdioma::getIdiomaSesion(true)]))
                $valor_campo = $tmp_val[SistemaIdioma::getIdiomaSesion(true)];
        }
        return $valor_campo;
	}
}