<?php
class ProductoListadoAdminModel extends ListadoAdminModel {
	var $columnas = array("precio", "stock");
	
	public static function getValorCampo($id_columna, $obj) {
		
		$txt_cm = '';
		if (isset($GLOBALS['custom_menu'])){
			$txt_cm = '&custom_menu='.$GLOBALS['custom_menu']->id;
		}
        $valor_campo = '';
        switch ($id_columna) {
			case 'precio':
				e_include('ext_shop/class/helper');
				$valor_campo = '<span class="label precio '; 
				if ($obj->getprecio_rebajado(true) > 0){ 
					$valor_campo .= 'label-danger'; 
				} else { 
					$valor_campo .= 'label-primary'; 
				}
				$valor_campo .='">'; 
				if ($obj->getprecio_rebajado(true) > 0){
					$valor_campo .= '<small class="oldprice" style="text-decoration:line-through;">'.Helpers::Importe($obj->getprecio(true, 'no_rebajado', true)). ShopHelper::get_shop_moneda_simbolo().'</small> '; } $valor_campo .= Helpers::Importe($obj->getprecio(true, 'actual', true)) . ShopHelper::get_shop_moneda_simbolo() . '</span>';
				break;
			case 'stock':
				e_include('ext_shop/models/producto');
				$pm = new ProductoModel($obj->id, false);
				
				if (sizeof($pm->variaciones_atributos) > 0 && is_array($pm->variaciones_atributos)){
					$val_tmp = 0;
					foreach ($pm->variaciones_atributos as $va){
						$val_tmp += $va->stock;
					}
				} else {
					$val_tmp = (int) $obj->stock;
				}
				
				if ($val_tmp <= 0){
					$valor_campo = '<strong class="text-danger">'.__('Fuera de stock').'</strong> <br>x '.number_format($val_tmp, 0, ',', '.');
				} elseif ($val_tmp < 5){
					$valor_campo = '<strong class="text-warning">'.__('Casi sin stock').'</strong> <br>x '.number_format($val_tmp, 0, ',', '.');
				} else {
					$valor_campo = '<strong class="text-success">'.__('En stock').'</strong> <br>x '.number_format($val_tmp, 0, ',', '.');
				}
				break;
		}
		
		if (Helpers::is_json($valor_campo)) {
            $tmp_val = (array) json_decode($valor_campo);
            if (isset($tmp_val[SistemaIdioma::getIdiomaSesion(true)]))
                $valor_campo = $tmp_val[SistemaIdioma::getIdiomaSesion(true)];
        }
        return $valor_campo;
	}
}