<?php
/**
 * Modelo del listado de artículos de una categoría, permite manejar los listados de artículos de una categoría de forma fácil
 *
 * @package		Mideas.Articulos
 * @subpackage	Model
 * @since		1.0
 */
class Categoria_fabricantesModel extends ListadoModel{
	
	protected $global_main_class = 'shop';
	
	protected $ext_folder = 'ext_shop';
	
	protected $categoria_class = 'CategoriaProducto';
	protected $item_class = 'FabricanteShop';
	
	protected $categoria_vista = 'categoria_fabricantes';
	protected $item_vista = 'fabricante';
	
	function __construct($id=''){
		parent::__construct($id);
	}
		
	public function includes(){
		//Clase requerida
		e_include('ext_shop/class/categoriaProducto','ext_shop/class/fabricante');
		$tmp_ct = new $this->categoria_class();
		$tmp_it = new $this->item_class();
	}
	
	function getTitulo(){
		if (is_object($this->objeto))
			return SistemaIdioma::Imprimir($this->objeto->nombre);
		else
			return false;
	}
}