<?php
class Procesar_pagoModel{
	protected $ext_folder = "ext_shop_procesar_pago";
	
	function __construct(){
		//Incluimos los archivos necesarios
		self::includes();
		
		//Recuperamos los parámetros de la vista
		$this->get_params();
		
		$this->get_opts();
	}
	
	public function getTitulo(){
		return __('Procesar pago');
	}
	
	private function includes(){
		//Clase requerida
		e_include('ext_shop/class/checkout');
	}
	
	private function get_params(){
	}
	
	private function get_opts(){
		if (!isset($_POST["facturacion"])){
			App::setMsg(__('No se puede acceder a esta página directamente.'), 'error');
			$cesta_link = Helpers::resolveLink(false,'ext_shop','cesta_pago',__('Envio_y_metodo_de_pago'));
			Helpers::redirect($cesta_link);
			exit;
		}
		$this->checkout = new ShopCheckout();
		$this->checkout->process_checkout();
	}
	
	/**
     * Returns a property of the object or the default value if the property is not set.
     *
     * @param   string  $property  The name of the property.
     * @param   mixed   $default   The default value.
     *
     * @return  mixed    The value of the property.
     *
     * @since   11.1
     *
     * @see     getProperties()
     */
    public function get($property, $default = null) {
        if (isset($this->$property)) {
            return $this->$property;
        }
        return $default;
    }
    /**
     * Returns a property of the object or the default value if the property is not set.
     *
     * @param   string  $property  The name of the property.
     * @param   mixed   $default   The default value.
     *
     * @return  mixed    The value of the property.
     *
     * @since   11.1
     *
     * @see     getProperties()
     */
    public function set($property, $default = null) {
        $this->$property = $default;
        return $default;
    }
	
}