<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
e_include('ext_shop/class/producto');
if (!class_exists('Producto')){
	if ($_POST['ajax'] == 'true'){
		Helpers::Panic(__("No se ha encontrado la clase de la extensión"));
	}
	$msg = __("No se ha encontrado la clase de la extensión");
	echo App::printErrorPage('500', $msg );
	Helpers::Panic();
}
global $shop;
global $carrito_shop;
if (is_object($shop->carrito)){
	$carrito1 = $shop->carrito;
} elseif (is_object($carrito_shop)){
	$carrito1 = $carrito_shop;
} else {
	$carrito1 = new Carrito();
	$carrito_shop = $carrito1;
}
$cart_url = Helpers::resolveLink(false,'ext_shop','cesta');
$redirect_url = Helpers::currentUrl();

$resultado_carrito = $carrito1->add_to_cart( $_POST['id_producto'], (int) $_POST['cantidad'], (int) $_POST['variation_id'], $_POST['atributo']);

if ($resultado_carrito === true){
	if ($_POST['ajax'] == 'true'){
		Helpers::Panic('ok');
	}
	
	if ($GLOBALS['opciones']['ext_shop']['venta']['redirigir_cesta'] == '1'){
		App::setMsg(__('El producto se ha añadido correctamente a la cesta de la compra.'), 'info');
		Helpers::redirect($cart_url);
		exit;
	} else {
		App::setMsg(__('El producto se ha añadido correctamente a la cesta de la compra.'). ' <a href="'.$cart_url.'">'.__('Ver cesta').'</a>', 'info');
		Helpers::redirect($redirect_url);
		exit;
	}
} else {
	if ($resultado_carrito == 'no_variacion'){
		$tmp_prod = new Producto();
		$tmp_prod->setid($_POST['id_producto']);
		
		if ($tmp_prod = $tmp_prod->BuscarId()){
			$redirect_url = $tmp_prod->getLink();
			
			if ($_POST['ajax'] == 'true'){
				Helpers::Panic(__('Debes elegir una opción del producto'));
			}
			App::setMsg(__('Debes elegir una opción del producto'), 'error');
			Helpers::redirect($redirect_url);
			exit;
		} else {
			if ($_POST['ajax'] == 'true'){
				Helpers::Panic(__('No se encuentra el producto'));
			}
			App::setMsg(__('No se encuentra el producto'), 'error');
			Helpers::redirect($redirect_url);
			exit;
		}
	} else {
		if ($_POST['ajax'] == 'true'){
			Helpers::Panic($resultado_carrito);
		}
			App::setMsg($resultado_carrito, 'error');
			Helpers::redirect($redirect_url);
			exit;
		}
}
?>