<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
$usr_sess = Helpers::getSesion()->get('shop.usuario');
$usr_site_sess = Helpers::getSesion()->get('site.usuario');
?>
<small><?php echo __('* Datos obligatorios')?></small>
<div id="customer_details">
  <div class="row">
    <?php if (!Usuario::isLoged() && $_GET['user_invited'] !== '1'){?>
    <div class="col-md-6 login-box">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h4 class="panel-title"><?php echo sprintf(__('Si ya tienes cuenta en %s'), $GLOBALS['opciones']['sitio']['nombre_sitio'][SistemaIdioma::getIdiomaSesion()]);?></h4>
        </div>
        <div class="panel-body">
          <p><?php echo __('Inicia sesión con tu email y tu contraseña');?></p>
          <form role="form" action="<?php echo CONF_URL_APP.'api/apps/Mideas/login.system-msg'; ?>" method="post" accept-charset="UTF-8" id="sendLoginModal" class="popupForm">
            <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>" />
            <input type="hidden" name="return" value="<?php echo Helpers::currentUrl();?>" />
            <div class="form-group"><div class="input-group"> <span class="input-group-addon"><span class="glyphicon glyphicon-user"></span></span>
              <input type="text" class="form-control" autocomplete="off" placeholder="<?php echo __('Email');?>" name="email" id="email" required autofocus />
            </div>
            </div>
            <div class="form-group"><div class="input-group"> <span class="input-group-addon"><span class="glyphicon glyphicon-lock"></span></span>
              <input class="form-control" required type="password" autocomplete="off" placeholder="<?php echo __('Contraseña');?>" name="password" />
            </div>
            </div>
            <button type="submit" class="btn btn-labeled btn-success pull-right"> <span class="btn-label"><i class="glyphicon glyphicon-ok"></i></span> <?php echo __('Acceder');?> </button>
            <div class="checkbox pull-left">
              <label>
                <input type="checkbox"  id="user_remember_me"  name="recordar" value="1">
                <?php echo __('Recordarme');?></label>
            </div>
            <div class="clearfix"></div>
            <label>
            <p style="margin-bottom:0px"><small><?php echo __('¿Perdiste tu contraseña?'); ?> | <a href="#" data-dismiss="modal" aria-hidden="true" data-toggle="modal" data-target="#frm_modal_Recuperar-contrasena"><?php echo __('Recuperar contraseña'); ?></a></small></p>
            </label>
          </form>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h4 class="panel-title"><?php echo __('¿Aún no tienes una cuenta?'); ?></h4>
        </div>
        <div class="panel-body">
          <div class="row">
            <div class="col-md-12">
              <p><?php echo __('Registro de nuevo usuario');?> *</p>
              <form role="form" id="sendLoginModal" action="<?php echo CONF_URL_APP.'api/apps/Mideas/register.system-msg'; ?>" method="post" accept-charset="UTF-8" class="popupForm">
                <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>">
                <input type="hidden" name="return" value="<?php echo Helpers::currentURL();?>">
                <div class="form-group"><div class="input-group"> <span class="input-group-addon"><span class="glyphicon glyphicon-user"></span></span>
                  <input type="text" class="form-control" autocomplete="off" placeholder="<?php echo __('Email');?>" name="email" id="email" required autofocus value="<?php echo $_SESSION[CLAVE_SECRETA]["site"]["usuario"]["email"];?>">
                </div>
                </div>
                <div class="form-group"><div class="input-group"> <span class="input-group-addon"><span class="glyphicon glyphicon-lock"></span></span>
                  <input class="form-control" required type="password" autocomplete="off" placeholder="<?php echo __('Contraseña');?>" name="password" value="<?php echo $_SESSION[CLAVE_SECRETA]["site"]["usuario"]["password"];?>">
                </div>
                </div>
                <button type="submit" class="btn btn-labeled btn-success pull-right"> <span class="btn-label"><i class="glyphicon glyphicon-ok"></i></span> <?php echo __('Registrarse');?> </button>
                <div class="checkbox pull-left">
                  <label> </label>
                </div>
                <div class="clearfix"></div>
                <label>
                <p style="margin-bottom:0px"><small>&nbsp;</small></p>
                </label>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br clear="all">
    <div class="col-md-6">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h4 class="panel-title"><?php echo __('Inicia sesion o registrate con las redes sociales'); ?></h4>
        </div>
        <div class="panel-body">
          <div class="row">
            <div class="col-md-12">
              <?php
			  $excluir_apps = array('app_mideas');
			  $apps_login = appsHelper::getApps(true, false, 'gestionar_usuarios');
		
		$output = '';
		
		if (is_array($apps_login) && sizeof($apps_login) > 0){
			foreach ($apps_login as $carpeta_app=>$ap){
				$extra_cls = '';
				if ($ap->parametros['usuarios_acceso_boton'] == '1' && !in_array($carpeta_app, $excluir_apps)){
					if (!empty($class_item)){
						$output .= '<div class="'.$class_item.'">';
					}
					if ($ap->parametros['usuarios_boton_accion'] == 'modal'){
						$output .= '<a style="background-color: #'.$ap->parametros['color'].'; border-color: #'.$ap->parametros['color'].'; color: #fff;" href="#" data-dimiss="modal" data-toggle="modal" data-target="#'.$ap->parametros['url_login_script'].'" class="btn'.$class.'" role="button"><i class="'.$ap->parametros['icono'].'"></i> '.sprintf(__('Inicia sesión con %s'), $ap->nombre).'</a>';
					} else {
						if ($ap->parametros['usuarios_boton_accion'] == 'popup'){
							$extra_cls .= ' popup';
						}
						$output .= '<a style="background-color: #'.$ap->parametros['color'].'; border-color: #'.$ap->parametros['color'].'; color: #fff;" href="'.CONF_URL_APP.$ap->parametros['url_login_script'].'" class="btn'.$class.$extra_cls.'" role="button"><i class="'.$ap->parametros['icono'].'"></i> '.sprintf(__('Inicia sesión con %s'), $ap->nombre).'</a>';
					}
					if (!empty($class_item)){
						$output .= '</div>';
					}
				}
			}
		}
		
		if (empty($output)){
			$output = '<div class="well well-sm" style="margin-bottom:0px;">'.__('No hay ninguna red social configurada').'</div>';
		}
		echo $output;
		?>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h4 class="panel-title"><?php echo __('Continuar sin registro'); ?></h4>
        </div>
        <div class="panel-body">
          <div class="row">
            <div class="col-md-12"> <a href="<?php echo Helpers::currentURL(); ?>/?user_invited=1" class="btn btn-info btn-block" role="button"> <?php echo __('Continuar como invitado'); ?></a> </div>
          </div>
        </div>
      </div>
    </div>
    <?php } else { ?>
    <form name="checkout" class="checkout popupForm" action="<?php echo Helpers::resolveLink(false,'ext_shop','procesar_pago',__('Procesar_pago'));?>" method="post" id="registerForm" target="popup">
      <div class="col-md-5">
        <?php if (!Usuario::isLoged() && $_GET['user_invited'] === '1'){?>
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title"> <?php echo __('Dirección de correo electrónico');?> </h4>
          </div>
          <div class="panel-body">
            <input type="text" name="usuario[email]" value="" placeholder="<?php echo __('Email');?> *" class="form-control" required text="">
            <input type="hidden" name="usuario[invitado]" value="1" />
          </div>
        </div>
        <?php
		} else {
			$email_usr = Usuario::getLoged();
			$email_usr = $email_usr->email;
		?>
        <input type="hidden" name="usuario[email]" value="<?php echo $email_usr;?>" />
        <?php } ?>
        <div class="panel panel-default">
          <div class="panel-heading">
            <h5 class="panel-title"> <?php echo __('Dirección de facturación');?> </h5>
          </div>
          <div class="panel-body">
            <?php 
			  $fieldsets_facturacion = $this->formularios['facturacion']->getFieldsets();
			  ?>
            <?php foreach ($fieldsets_facturacion as $fieldset){
					echo $fieldset->renderFieldset('<div id="##ID_FIELDSET##" ##ATRIBUTOS##>##CAMPOS##</div>', $this->extra->datos_cliente, array("*"=>'<label>##LABEL##</label>'), array(), '##CAMPO##', true, 'facturacion');
				}?>
          </div>
        </div>
        <div class="panel panel-default">
          <label for="envio_igual_facturacion-checkbox" class="checkbox pull-right" style="display:block">
            <input id="envio_igual_facturacion-checkbox" class="input-checkbox"<?php if ($this->extra->datos_cliente["envio_igual_facturacion"] == 1){?> checked="checked"<?php } ?> type="checkbox" name="envio_igual_facturacion" value="1" data-token="<?php echo Helpers::getFormToken();?>" data-url="<?php echo Helpers::currentUrl();?>">
            <?php echo __('Enviar a la dirección de facturación');?> </label>
          <?php $GLOBALS['AppDoc']->AddScriptDeclaration('
			jQuery(document).ready(function(e) {
                jQuery("#envio_igual_facturacion-checkbox").change(function(e) {
                    if (jQuery(this).is(":checked")){
						jQuery("#campos_envio").hide();
					} else {
						jQuery("#campos_envio").show();
					}
					return false;
                });
            });');?>
          <div class="panel-heading">
            <h5 class="panel-title"> <?php echo __('Dirección de envío');?> </h5>
          </div>
          <div class="panel-body" id="campos_envio"<?php if ($this->extra->datos_cliente["envio_igual_facturacion"] == 1){?> style="display: none;"<?php } ?>>
            <?php $fieldsets_envio = $this->formularios['envio']->getFieldsets();
			  ?>
            <?php foreach ($fieldsets_envio as $f_e){
					echo $f_e->renderFieldset('<div id="##ID_FIELDSET##" ##ATRIBUTOS##>##CAMPOS##</div>', $this->extra->datos_cliente, array("*"=>'<label>##LABEL##</label>'), array(), '##CAMPO##', true, 'envio');
				}?>
          </div>
        </div>
        <div class="panel panel-default">
          <div class="panel-heading">
            <h5 class="panel-title"> <?php echo __('Notas del pedido');?> </h5>
          </div>
          <?php $ped_sess = Helpers::getSesion()->get('shop.pedido');?>
          <textarea name="pedido[comentarios_pedido]" class="form-control" id="notas_pedido" placeholder="<?php echo __('Notas acerca de su pedido, por ejemplo, notas especiales para la entrega.');?>" cols="5" rows="2"><?php echo $ped_sess["notas"];?></textarea>
        </div>
      </div>
      <div class="col-md-7">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h5 class="panel-title"><?php echo __('Tu Pedido');?></h5>
          </div>
          <div id="ajaxCesta">
            <table width="100%" border="0" cellpadding="5" class="cesta table table-bordered table-striped shop_table cart">
              <tr>
                <?php /*?><th width="1%" scope="col"></th><?php */?>
                <th width="1%" scope="col"></th>
                <th scope="col"><?php echo __('Producto');?></th>
                <th width="17%" scope="col"><?php echo __('Precio/unidad');?></th>
                <th width="8%" scope="col"><?php echo __('Cantidad');?></th>
                <th width="16%" align="right" scope="col"><?php echo __('Precio');?></th>
              </tr>
              <?php if ( sizeof( $this->carrito->get_carrito() ) > 0 ) {?>
              <?php 
	$total_cesta = 0;
	
	$reglas_aplicadas_sistema = $this->carrito->reglas_aplicadas;
	$reglas_no_aplicadas = array();
	
	$ids_productos_anadidos = array();
	
	foreach ($this->carrito->get_carrito() as $cart_item_key=>$prod_cesta){
		$producto = new Producto();
		$producto->setid($prod_cesta['product_id']);
		$producto = $producto->BuscarId();
		
		$ids_productos_anadidos[] = $prod_cesta['product_id'];
		
		if (!empty($prod_cesta['variation_id']))
			$producto = $this->carrito->parseaVariacion($producto, $prod_cesta['variation_id']);
		
		$atributos = '';
		if (!empty($prod_cesta["variation"]) && is_array($prod_cesta["variation"])){
			$tmp_str='';
			foreach ($prod_cesta["variation"] as $k=>$v){
				$pa = new ProductoAtributo();
				$pa->setid($k);
				
				if ($pa = $pa->BuscarId()){
					if (!empty($v)){
						$pav = new ProductoAtributoValor();
						$pav->setid($v);
						
						if ($pav = $pav->BuscarId()){
							$vt = SistemaIdioma::Imprimir($pav->valor);
						}
					} else {
						$vt = __('Cualquiera');
					}
					
					$tmp_str .= SistemaIdioma::Imprimir($pa->titulo).': '.$vt.'<br>';
				}
				
			}
			$atributos = $tmp_str;
		}
		
		//$precio_total_producto = $producto->getprecio(true,'actual',true) * (int) $prod_cesta['cantidad'];
		$precio_total_producto = (float) $prod_cesta['linea_total'] + (float) $prod_cesta['linea_impuesto'];
		
		$precio_ud_producto = (float) $prod_cesta['linea_total'] / $prod_cesta['cantidad'];
		
		$total_cesta += $precio_total_producto;
		
		?>
              <tr>
                <td class="imagen_cesta"><input name="cart[<?php echo $cart_item_key;?>][producto]" value="<?php echo $prod_cesta['producto'];?>" type="hidden" />
                  <a href="<?php echo $producto->getLink();?>" style="width: 90px;"> <img width="90" height="90" src="<?php echo $producto->getimagen_destacada(90,90);?>" alt="<?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?>" title="<?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?>"> </a></td>
                <td class="nombre_cesta"><a href="<?php echo $producto->getLink();?>"><?php echo Sistemaidioma::Imprimir($producto->nombre);?></a><br />
                  <small><b><?php echo __('SKU');?>: <?php echo $producto->sku;?>
                  <?php if (!empty($atributos)){?>
                  <br />
                  <?php echo $atributos;?>
                  <?php } ?>
                  </b></small></td>
                <td class="precio_unidad_cesta"><span class="importe"><?php echo Helpers::Importe($precio_ud_producto/*$producto->getprecio(true,'actual',false)*/);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?>
                  <?php if ($producto->getprecio_rebajado(true) > 0){?>
                  <br />
                  <span class="price_stroke"><?php echo Helpers::Importe($producto->getprecio(false,'actual',false));?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span>
                  <?php } ?>
                  </span></td>
                <td class="cantidad_cesta"><input type="text" name="cart[<?php echo $cart_item_key;?>][cantidad]" value="<?php echo $prod_cesta['cantidad'];?>" size="4" title="Cantidad" class="input cantidad-cesta" disabled="disabled" maxlength="12"></td>
                <td class="precio_cesta" align="right"><span class="importe"><?php echo Helpers::Importe($precio_total_producto);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
              </tr>
              <?php } 
		
		if (is_array($reglas_aplicadas_sistema) && sizeof($reglas_aplicadas_sistema) > 0){
			foreach ( $reglas_aplicadas_sistema as $kregla=>$regla1 ) {
				if ($regla1['accion']['tipo'] == 'producto' && $regla1['estado'] == '1'){
					$reglas_no_aplicadas[$kregla] = $regla1;
					unset($reglas_aplicadas_sistema[$kregla]);
				}
			}
		}
		
		if (is_array($reglas_no_aplicadas) && sizeof($reglas_no_aplicadas) > 0){
			foreach ($ids_productos_anadidos as $idp){
				foreach ( $reglas_no_aplicadas as $kregla=>$regla1 ) {
						
					if ($regla1['accion']['tipo'] == 'producto' && $regla1['estado'] == '1'){
						
						$regla_aplicada = false;
						
						$ids_productos_disponibles = explode(',', $regla1['accion']['cantidad_descuento']);
		
							if (in_array($idp,$ids_productos_disponibles)){
								$reglas_aplicadas_sistema[$kregla] = $regla1;
								unset($reglas_no_aplicadas[$kregla]);
								$regla_aplicada = true;
								continue;
							}
					}
				}
			}
		}
		
		?>
              <?php } ?>
              <div class="clearfix"></div>
              <?php 
  if ( sizeof( $this->carrito->get_carrito() ) > 0 ) {
	  ?>
              <tr>
                <td colspan="4" class="total_cesta_lbl" align="right"><span class="importe"><?php echo __('Sub Total');?></span><br />
                  <small>(<?php echo __('sin impuestos');?>)</small></td>
                <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->subtotal_ex_impuesto);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
              </tr>
              <?php if ($this->config['impuestos']['activar_impuestos'] == '1' && $this->config['impuestos']['mostrar_impuestos_carrito'] == '1'){
		if ($this->config["mostrar_impuestos_cero"]!="0" && $this->carrito->impuesto_total > 0){
		$tarifa_obj = $this->carrito->impuesto->get_tarifas('estandar');
		?>
              <tr>
                <td colspan="4" class="total_cesta_lbl" align="right"><span class="importe"><?php echo SistemaIdioma::Imprimir($tarifa_obj[0]['nombre']);?></span></td>
                <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->impuesto_total);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
              </tr>
              <?php } } ?>
              <?php if ($this->carrito->mostrar_envio() == true && $this->carrito->necesita_envio() == true){?>
              <tr>
                <td colspan="4" class="total_cesta_lbl" align="right"><span class="importe"><?php echo SistemaIdioma::Imprimir($this->carrito->envio_nombre);?></span></td>
                <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->envio_total);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
              </tr>
              <?php if ($this->config['impuestos']['activar_impuestos'] == '1' && $this->config['impuestos']['mostrar_impuestos_carrito'] == '1'){
		if ($this->config["mostrar_impuestos_cero"]!="0" && $this->carrito->envio_impuesto_total > 0){?>
              <tr>
                <td colspan="4" class="total_cesta_lbl" align="right"><span class="importe"><?php echo sprintf(__('IVA %s'),SistemaIdioma::Imprimir($this->carrito->envio_nombre));?></span></td>
                <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->envio_impuesto_total);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
              </tr>
              <?php } } ?>
              <?php } ?>
              <?php if (is_array($reglas_aplicadas_sistema) && sizeof($reglas_aplicadas_sistema) > 0){?>
              <tr>
                <td colspan="4" class="total_cesta_lbl" align="right"><?php /*?><b><?php echo __('Promociones aplicadas');?></b><br /><?php */?>
                  <?php foreach ($reglas_aplicadas_sistema as $promo){
					  
					  	$obj_regla = new ReglaPrecio();
						$obj_regla->setid($promo['id']);
						$obj_regla = $obj_regla->BuscarId();
						
						$params_regla = Helpers::toArray(json_decode($obj_regla->params));
						
						if ($params_regla['ocultar_cesta'] != '1'){
	?>
                  <i><b><?php echo $promo['nombre'];?></b> <small><?php echo strip_tags($promo['descripcion'], '<a><b><strong>');?></small></i><br />
                  <?php } ?>
                  <?php } ?></td>
                <?php 
				  $pre_sg = '-';
		$importe_desc = Helpers::Importe($this->carrito->descuento_total);
		
		if (substr($importe_desc, 0, 1) == '-'){
			$importe_desc = substr($importe_desc, 1);
			$pre_sg = '';
		}
		?>
                <td class="total_cesta_importe"><span class="importe">
                  <?php if ((string) $importe_desc != '0,00'){?>
                  <span class="importe"><?php echo $pre_sg.$importe_desc;?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span>
                  <?php } ?></td>
              </tr>
              <?php } ?>
              <?php if (is_array($reglas_no_aplicadas) && sizeof($reglas_no_aplicadas) > 0){?>
              <tr>
                <td colspan="4" class="total_cesta_lbl" align="right"><b><?php echo __('Promociones no aplicadas');?></b><br />
                  <?php foreach ($reglas_no_aplicadas as $promo){
	?>
                  <i><b><?php echo $promo['nombre'];?></b> <small><?php echo strip_tags($promo['descripcion'], '<a><b><strong>');?></small></i><br />
                  <?php } ?></td>
                <td class="total_cesta_importe"><span class="importe"></span></td>
              </tr>
              <?php } ?>
              <tr>
                <td colspan="4" class="total_cesta_lbl importe_total" align="right"><span class="importe"><?php echo __('Total');?></span></td>
                <td class="total_cesta_importe importe_total"><span class="importe"><?php echo Helpers::Importe($this->carrito->total);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
              </tr>
              <?php } else { ?>
              <tr>
                <td colspan="6" align="center" class="noproducts"><?php echo __('No hay productos en la cesta');?></td>
              </tr>
              <?php } ?>
              <?php if ((float) $this->carrito->recargo_metodo_pago > 0 && is_object($this->carrito->metodo_pago_elegido)){
				  ?>
              <tr>
                <td colspan="6" align="right"><small><i><?php echo sprintf(__('El método de pago elegido (%s) conlleva un recargo del %s%%.'), $this->carrito->metodo_pago_elegido->titulo[SistemaIdioma::getIdiomaSesion()], $this->carrito->metodo_pago_elegido->recargo);?></i></small></td>
              </tr>
              <?php } ?>
            </table>
          </div>
        </div>
        <?php $pasarelas_disponibles = $this->pago->get_available_pasarelas_pago(); ?>
        <div class="panel panel-default">
          <div class="panel-heading">
            <h5 class="panel-title"><?php echo __('Método de Pago');?></h5>
          </div>
          <div>
            <div>
              <div id="carrito">
                <div id="payment">
                  <?php if (sizeof( $pasarelas_disponibles ) > 0){?>
                  <ul class="payment_methods methods">
                    <?php foreach ($pasarelas_disponibles as $k_pas=>$pas){
				  $sel_txt = '';
				  $_pasarela_sess = Helpers::getSesion()->get('shop._metodo_pago_elegido');
				  if (!empty($_pasarela_sess) && $_pasarela_sess == $k_pas){
					 $sel_txt = ' checked="checked"'; 
				  }
				  ?>
                    <li>
                      <div class="radio">
                        <label for="pasarela_pago_<?php echo $k_pas;?>">
                          <input type="radio" id="pasarela_pago_<?php echo $k_pas;?>" class="input-radio pasarela_pago_option" data-url="<?php echo Helpers::currentUrl();?>" data-token="<?php echo Helpers::getFormToken();?>" name="pasarela_pago" value="<?php echo $k_pas;?>"<?php echo $sel_txt;?> required>
                          <?php echo $pas->titulo[SistemaIdioma::getIdiomaSesion()];?> </label>
                      </div>
                      <div class="payment_box pasarela_pago_<?php echo $k_pas;?>" style="">
                        <p><?php echo $pas->descripcion[SistemaIdioma::getIdiomaSesion()];?></p>
                      </div>
                    </li>
                    <?php } ?>
                  </ul>
                  <?php } else { ?>
                  <p class="woocommerce_error"><?php echo __("No hay métodos de pago disponibles");?></p>
                  <?php } ?>
                </div>
                <div class="clear"></div>
              </div>
            </div>
          </div>
        </div>
        <?php if ($GLOBALS['opciones']['ext_shop']['clientes']['aceptar_condiciones'] == "1" && sizeof( $pasarelas_disponibles ) > 0){?>
        <?php $art_cond_url = '';
  
  if (!empty($GLOBALS['opciones']['ext_shop']['clientes']['articulo_condiciones'])){
	  e_include('ext_articulos/class/articulo');
	  $tmp_art = new Articulo();
	  $tmp_art->setid(mysql_escape_string($GLOBALS['opciones']['ext_shop']['clientes']['articulo_condiciones']));
	  
	  if ($tmp_art = $tmp_art->BuscarId()){
		  $art_cond_url = $tmp_art->getLink();
	  }
  }
  ?>
        <div class="row">
          <div class="col-md-12">
            <div class="checkbox pull-right">
              <label>
                <input type="checkbox" name="terms" value="1" required>
                <?php echo __('Acepto los <b>Términos y Condiciones de Compra</b>');?> </label>
              <?php if (!empty($art_cond_url)){?>
              <small><a href="<?php echo $art_cond_url;?>" class="fancyboxFrame">(<?php echo __('ver condiciones');?>)</a></small>
              <?php } ?>
            </div>
          </div>
        </div>
        <?php } ?>
        <div class="form-row place-order">
          <noscript>
          <?php echo __('Debido a que su navegador no soporta JavaScript o está desactivado, por favor, asegúrese de hacer clic en la actualización de los totales.');?>
          </noscript>
          <div align="right"> <a href="<?php echo Helpers::resolveLink(false,'ext_shop','cesta',__('Cesta de la compra'));?>" class="btn btn-primary"><?php echo __('← Volver');?></a>
            <div id="ajaxBtns" style="display:inline;">
              <input type="hidden" name="metodo_envio" id="metodo_envio_elegido" value="<?php echo Helpers::getSesion()->get('shop._metodo_envio_elegido');?>" />
              <?php if ($this->carrito->mostrar_envio() == true && $this->carrito->necesita_envio() == true && !is_null($this->carrito->envio_nombre)){?>
              <?php if (sizeof( $pasarelas_disponibles ) > 0){?>
              <input type="submit" class="btn  btn-primary" value="<?php echo __('Realizar Pedido'); ?>" />
              <?php } ?>
              <?php } ?>
            </div>
            <input type="hidden" name="return" value="<?php echo Helpers::currentURL();?>" />
          </div>
        </div>
        <br clear="all" />
      </div>
    </form>
    <?php } ?>
  </div>
</div>
