<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
global $shop;
global $AppTpl;
$texto_corto = SistemaIdioma::Imprimir($this->fabricante->objeto->texto_corto);
$contenido = $this->fabricante->objeto->contenido_formateado;
$params_vista = $this->fabricante->objeto->parametros_vista;
$titulo = SistemaIdioma::Imprimir($this->fabricante->titulo);
$ico_categoria = $this->fabricante->objeto->getCategoriaParam("icono");
$img_dest = $this->fabricante->objeto->getimagen_destacada();
$params_pro = Helpers::toArray(json_decode($this->fabricante->objeto->params));
if (!empty($img_dest)){
	$img_dest_map = $this->fabricante->objeto->getimagen_destacada(170, 60);
	$img_map_html = "<a href='".$this->fabricante->objeto->url_formateada."'><img src='".$img_dest_map."' width='100%' /></a>";
}
$img_map_html = '';
		
$attr_li = '';
$class_li = '';
if ($params_vista['mostrar_localizacion'] == '1'){
	$class_li = ' item-map';
	$attr_li = ' data-lat="'.$this->fabricante->objeto->latitud.'" data-lng="'.$this->fabricante->objeto->longitud.'" data-icono="'.$ico_categoria.'" data-color="black" data-caption="'.htmlentities($img_map_html, ENT_COMPAT).'<p><a href=\''.$this->fabricante->objeto->url_formateada.'\'> '.htmlentities(strip_tags(SistemaIdioma::Imprimir($this->fabricante->objeto->titulo)), ENT_QUOTES).'</a><br /><span class=\'direccion\'>'.htmlentities($this->fabricante->objeto->localizacion_html, ENT_QUOTES).'</span></small></p>" data-address="'.htmlentities($this->fabricante->objeto->localizacion_formateada, ENT_QUOTES).'"';
}
$loc_off = false;
if (empty($this->fabricante->objeto->latitud) || empty($this->fabricante->objeto->longitud)){
	$loc_off = true;
}
if($this->fabricante->objeto->getimagen_destacada(748,300) != ''){
	$img_dest = $this->fabricante->objeto->getimagen_destacada(748,300);
	$img_full = $this->fabricante->objeto->getimagen_destacada(1024,768);
} /*else {
	$img_dest = "http://maps.googleapis.com/maps/api/streetview?size=748x260&location=".$this->fabricante->objeto->latitud.",".$this->fabricante->objeto->longitud."&fov=120&heading=45&pitch=1&sensor=false";
	
	$img_full = "http://maps.googleapis.com/maps/api/streetview?size=748x260&location=".$this->fabricante->objeto->latitud.",".$this->fabricante->objeto->longitud."&fov=120&heading=45&pitch=1&sensor=false";
}*/
$is_draft_preview = $GLOBALS['item_draft'] === true ? true : false;
  ?>
<?php if ($is_draft_preview){?>
<div class="alert alert-danger"> <?php echo __('<strong>¡ESTÁS VIENDO UNA REVISIÓN DEL ARTÍCULO!</strong> La información que aparece en esta página pertenece a una revisión de un usuario y no son los datos reales del artículo.');?> </div>
<?php } ?>
<div class="shop_fabricante main_item<?php echo $class_li;?>"<?php echo $attr_li;?>>
  <?php if($params_vista["mostrar_titulo"] == '1'){?>
  <h2 class="page-header"><?php echo $this->fabricante->objeto->titulo_formateado;?></h2>
  <?php } ?>
  <div class="row"> 
    <!-- Image Post -->
    <div class="col-md-12">
      <div class="contenido">
        <div class="panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
          <?php if($img_dest !='' && $params_vista["mostrar_imagen"] == '1'){?>
          <div id="carousel-shop-fabricante" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner">
              <div class="item active"> <a href="<?php echo $img_full ;?>" class="fancybox" rel="group"><img src="<?php echo $img_dest ;?>" alt="<?php echo $titulo; ?>" width="100%" /></a> </div>
            </div>
          </div>
          <?php } ?>
          
          <!-- End Mini SLide -->
          
          <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])){?>panel-body<?php } ?>">
            <?php if ($params_vista["mostrar_localizacion"] == '1' && !$loc_off && $params_vista["mostrar_imagen"] == '0'){?>
            <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>"> </div>
            <?php } ?>
            <?php $num_words = str_word_count(strip_tags($contenido)); ?>
            <span>
            <?php if (!empty($contenido)){?>
            <?php echo $contenido; ?>
            <?php } ?>
            </span>
            <?php if (is_array($params_pro['galeria']) && sizeof($params_pro['galeria']) > 0 && $params_vista['mostrar_galeria_imagenes'] == '1'){?>
            <hr>
            <div class="row">
              <ul class="thumbnails list-unstyled">
                <?php foreach ($params_pro['galeria'] as $img){
	  if (is_object($img)) $img = Helpers::toArray($img); ?>
                <?php $tipo = mime_content_type($img['img']); 
  $img['img'] = str_replace(CONF_URL_APP, '', $img['img']);
  ?>
                <li class=" col-md-2">
                  <div class='hover-fader thumbnail'><a class="fancybox" rel="imagenes" href="<?php echo $img['img'];?>"><img class="img-rounded" src="image.php/<?php echo $img['img'];?>?width=306&height=306&cropratio=306:306&image=<?php echo CONF_URL_APP.$img['img'];?>" alt="<?php echo $img['titulo'];?>"><span class='zoom'><i class='icon-zoom-in'></i></span></a></div>
                </li>
                <?php } ?>
              </ul>
            </div>
            <?php } ?>
            <?php if (!empty($this->fabricante->campos_extra) && is_array($this->fabricante->campos_extra) && $params_vista['mostrar_campos_extra'] == '1'){?>
            <h4><?php echo __('Otros datos');?></h4>
            <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?> campos_extra_list">
              <div class="in_campos_extra_list">
                <?php foreach ($this->fabricante->campos_extra as $campo){ ?>
                <div class="panel-body">
                  <div class="row">
                    <div class="col-xs-4">
                      <label><?php echo SistemaIdioma::Imprimir($campo->etiqueta);?></label>
                    </div>
                    <div class="col-xs-8"><?php echo $campo->renderFrontEnd(false); ?></div>
                  </div>
                </div>
                <?php } ?>
              </div>
            </div>
            <?php } ?>
            <?php foreach ($links_relacionados as $lf){?>
            <a class="btn btn-primary btn-xs" href="<?php echo $lf['url'];?>"><?php echo $lf['label'];?></a>
            <?php } ?>
          </div>
          <div class="panel-footer">
            <?php if ($params_vista["mostrar_autor"] == '1' || $params_vista["mostrar_fecha"] == '1' || $params_vista["mostrar_comentarios"] == '1'){?>
            <div class="pull-right"><small >
              <?php if ($params_vista["mostrar_autor"] == '1') { ?>
              <span><i class="fa fa-user"></i> <span><?php echo $this->fabricante->objeto->getcreador(true);?></span></span> /
              <?php } ?>
              <?php if ($params_vista["mostrar_fecha"] == '1') { ?>
              <span><i class="fa fa-calendar"></i> <?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($this->fabricante->objeto->fecha_publicacion));?></span> /
              <?php } ?>
              <?php if ($params_vista["mostrar_comentarios"] == '1') { ?>
              <i class="fa fa-comments"></i> <a href="<?php echo $this->current_url;?>#comentarios"><span><?php echo $this->fabricante->objeto->numero_comentarios;?></span></a>
              <?php } ?>
              </small></div>
            <?php } ?>
            <?php if (($params_vista["mostrar_localizacion"] == '1' && !$loc_off) || ($this->fabricante->objeto->es_propietario() || $this->fabricante->objeto->es_editable()) || (!empty($this->fabricante->objeto->tags) && $params_vista['mostrar_tags'] == '1')){?>
            <?php if ($params_vista["mostrar_titulo"] == '1'){?>
            <h4 class="panel-title"><span><?php echo $titulo;?></span> <small><?php echo $this->fabricante->objeto->getcategorias(true);?></small> </h4>
            <address style="margin-bottom:10px!important;">
            <small> <i class="fa fa-globe"></i> <span> <span><?php echo $this->fabricante->objeto->localizacion_formateada;?></span></span></small>
            </address>
            <?php } ?>
            <?php if (!empty($params_pro['web']) || !empty($params_pro['email']) || !empty($params_pro['telefono'])){?>
            <div class="btn-group">
              <?php if (!empty($params_pro['web'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['web'];?>" data-original-text="<?php echo __('Web');?>" data-toggle="tooltip" title="<?php echo __('Ver Web Oficial');?>"><i class="fa fa-globe"></i> <span><?php echo __('Web');?></span></a>
              <?php } ?>
              <?php if (!empty($params_pro['email'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['email'];?>" data-original-text="<?php echo __('Email');?>" data-toggle="tooltip" title="<?php echo __('Ver Email de Contacto');?>"><i class="fa fa-envelope"></i> <span><?php echo __('Email');?></span></a>
              <?php } ?>
              <?php if (!empty($params_pro['telefono'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['telefono'];?>" data-original-text="<?php echo __('Teléfono');?>" data-toggle="tooltip" title="<?php echo __('Ver Teléfono');?>"><i class="fa fa-phone"></i> <span><?php echo __('Teléfono');?></span></a>
              <?php } ?>
            </div>
            <?php } ?>
            <?php if (!empty($this->fabricante->objeto->tags) && $params_vista['mostrar_tags'] == '1'){?>
            <div class="tags_list">
              <div class="in_tags_list"> <?php echo $this->fabricante->objeto->gettags(true, ' label label-success', ' '); ?> </div>
            </div>
            <?php } ?>
            <?php } ?>
            <div class="clearfix"></div>
          </div>
        </div>
        <?php if (is_array($this->fabricante->items) && sizeof($this->fabricante->items) > 0){?>
        <div class="panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
          <div class="panel-heading">
            <h4 class="panel-title"><?php echo sprintf(__('Productos de %s'), $this->fabricante->objeto->titulo_formateado);?></h4>
          </div>
          <div class="panel-body">
            <div class="manufacturer-products-list row">
              <?php foreach ($this->fabricante->items as $if){
					$ico_categoria = $if->getCategoriaParam("icono");
					$img_dest = $if->getimagen_destacada(200,200);
					$img_dest_map = $if->getimagen_destacada(200,200);
					$img_map_html = "<a href='".$if->url_formateada."'><img src='".$img_dest_map."' width='100%' /></a>";
					$direccion_completa = $if->localizacion_html;
	
					$creador_obj = $if->getcreador(true,true);
					$url_creador = 'javascript:;';
					$nombre_creador = __('Usuario');
					
					if ($creador_obj instanceof Usuario){
						$url_creador = $creador_obj->url_formateada;
						$nombre_creador = $creador_obj->nombre;
					} else {
						$nombre_creador = __('Invitado');
					}
						
					$max_car_cont = empty($params_vista['longitud_contenido']) ? 200 : (int) $params_vista['longitud_contenido'];
					$cont = $params_vista['mostrar_contenido'] == '1' ? Helpers::recortarTexto(strip_tags($if->contenido_formateado), $max_car_cont) : '';
				?>
              <div class="col-lg-4 col-md-4 col-sm-6 col-xs-6">
                <div class="item-map item-producto relative" data-lat="<?php echo $if->latitud;?>" data-lng="<?php echo $if->longitud;?>" data-icono="<?php echo $ico_categoria;?>" data-color="<?php echo $AppTpl->params['color_icono'];?>"  data-caption="<?php echo htmlentities($img_map_html, ENT_QUOTES);?><p><a href='<?php echo $if->url_formateada;?>'> <?php echo htmlentities(strip_tags($if->titulo_formateado), ENT_QUOTES);?></a><br /><span class='direccion'><?php echo htmlentities($direccion_completa, ENT_QUOTES);?></span></small></p>">
                  <?php if (is_array($if->urls_compartir) && sizeof($if->urls_compartir) > 0){?>
                  <div class="absolute top-right">
                    <div> <a class="btn btn-xs btn-blank dropdown-toggle" data-toggle="dropdown"><i class="fa fa-share-alt"></i></a>
                      <ul class="dropdown-menu pull-right" role="menu">
                        <?php foreach ($if->urls_compartir as $app_name=>$share_array){?>
                        <li> <a href="<?php echo $share_array['url'];?>" class="popup"><?php echo $app_name;?></a> </li>
                        <?php } ?>
                      </ul>
                    </div>
                  </div>
                  <?php } ?>
                  <div class="thumbnail thumbnail-xs" > <a href="<?php echo $if->url_formateada;?>">
                    <div><img class="img-responsive" src="<?php echo $img_dest;?>" width="100%" alt=""> </div>
                    </a> </div>
                </div>
              </div>
              <?php } ?>
            </div>
          </div>
        </div>
        <?php } ?>
      </div>
    </div>
  </div>
</div>
