<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper', 'ext_shop/class/pago');
$factura = $this->extra->objeto;

$pasarelas = new Pago();
$pasarelas = $pasarelas->get_available_pasarelas_pago();

$mpago = $pasarelas[$factura->forma_pago];

$datos_empresa = $GLOBALS["opciones"]["ext_shop"]["empresa"];
c_include('loc/localidad', 'loc/provincia', 'loc/pais');
$datos_empresa["localidad"] = Localidad::BuscarObjPorId($datos_empresa["localidad"]);
if ($datos_empresa["localidad"] instanceof Localidad)
	$datos_empresa["localidad"] = $datos_empresa["localidad"]->getlocalidad();
else
	$datos_empresa["localidad"] = __("Sin localidad");
$datos_empresa["provincia"] = Provincia::BuscarObjPorId($datos_empresa["provincia"]);
if ($datos_empresa["provincia"] instanceof Provincia)
	$datos_empresa["provincia"] = $datos_empresa["provincia"]->getprovincia();
else
	$datos_empresa["provincia"] = __("Sin provincia");
$datos_empresa["pais"] = Pais::BuscarPorISO2($datos_empresa["pais"]);
if ($datos_empresa["pais"] instanceof Pais)
	$datos_empresa["pais"] = $datos_empresa["pais"]->getpais();
else
	$datos_empresa["pais"] = __("Sin país");
e_include('ext_shop/class/cliente');
$cliente = new Usuario();
$cliente->setid($factura->usuario_id);
$cliente           = $cliente->BuscarId();
$datos_facturacion = $factura->datos_formateados;
if (is_numeric($datos_facturacion["provincia"])) {
	$prov_tm = Provincia::BuscarObjPorId($datos_facturacion["provincia"]);
	if ($prov_tm instanceof Provincia) {
		$datos_facturacion["provincia_label"] = $prov_tm->getprovincia();
	} else {
		$datos_facturacion["provincia_label"] = $datos_facturacion["provincia"];
	}
} else {
	$datos_facturacion["provincia_label"] = $datos_facturacion["provincia"];
}
if (is_string($datos_facturacion["pais"]) && strlen($datos_facturacion["pais"]) == 2) {
	$pais_tm = Pais::BuscarPorISO2($datos_facturacion["pais"]);
	if ($pais_tm instanceof Pais) {
		$datos_facturacion["pais_label"] = $pais_tm->getpais();
	} else {
		$datos_facturacion["pais_label"] = $datos_facturacion["pais"];
	}
} else {
	$datos_facturacion["pais_label"] = $datos_facturacion["pais"];
}
if (!empty($datos_facturacion['Escalera']))
	$datos_facturacion['direccion'] .= ', ' . $datos_facturacion['Escalera'];
if (!empty($datos_facturacion['Piso']))
	$datos_facturacion['direccion'] .= ', ' . $datos_facturacion['Piso'];
if (!empty($datos_facturacion['Puerta']))
	$datos_facturacion['direccion'] .= ', ' . $datos_facturacion['Puerta'];

$lep = '';
if (empty($lep)){
	$lep = $factura->getestado(true, true);
}
?>

<div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
  <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
    <h2 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <?php echo __('Factura');?> #<?php echo $factura->codigo;?>/<?php echo $factura->ejercicio;?> <small>(<?php echo sprintf(__('emitida el %s'), strftime(__("%d-%m-%Y"), strtotime($factura->fecha)));?>)</small> </h2>
  </div>
  <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>">
    <div class="imprimir">
      <ul class="order_details">
        <li class="order"> <?php echo __('Nº factura')?>: <strong>#<?php echo $factura->codigo;?>/<?php echo $factura->ejercicio;?> </strong> </li>
        <li class="date"> <?php echo __('Fecha');?>: <strong><?php echo strftime(__("%d-%m-%Y"), strtotime($factura->fecha));?></strong> </li>
        <li class="total"> <?php echo __('Total');?>: <strong><span class="amount"><?php echo number_format($factura->total, 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></strong> </li>
        <li class="total"> <?php echo __('Método de pago');?>: <strong><?php echo $mpago->titulo[SistemaIdioma::getIdiomaSesion()];?></strong> </li>
        <li class="method"> <?php echo __('Estado de la Factura');?>: <strong><?php echo $lep;?></strong>
          <p></p>
        </li>
      </ul>
      <div class="row">
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <small><?php echo __('De');?>:</small> <b><?php echo $datos_empresa["razon_social"];?></b> </h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>">
              <p> <?php echo htmlentities($datos_empresa["nif_cif"]).'<br />
					'.htmlentities($datos_empresa['direccion']).'<br />
					'.htmlentities($datos_empresa['codigo_postal']).' '.htmlentities($datos_empresa['localidad']).'<br />
					'.htmlentities($datos_empresa['provincia']).' ('.htmlentities($datos_empresa['pais']).')<br />
					<a href="mailto:'.$datos_empresa["email"].'">'.$datos_empresa["email"].'</a>';?> </p>
            </div>
          </div>
        </div>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <small><?php echo __('Para');?>:</small> <b><?php echo $datos_facturacion['nombre'].' '.$datos_facturacion['apellidos'];?></b> </h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>">
              <p> <?php echo htmlentities($datos_facturacion['nif']).'<br />
					'.htmlentities($datos_facturacion['direccion']).'<br />
					'.htmlentities($datos_facturacion['codigo_postal']).' '.htmlentities($datos_facturacion['localidad']).'<br />
					'.htmlentities($datos_facturacion['provincia_label']).' ('.htmlentities($datos_facturacion['pais_label']).')<br />
					<a href="mailto:'.$cliente->email.'">'.$cliente->email.'</a>';?> </p>
            </div>
          </div>
        </div>
        <div class="clearfix"></div>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <?php echo __('Método de pago');?>: </h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>"> <?php echo $factura->datos['metodo_pago']['titulo'];?>
              <?php if (!empty($factura->vencimiento) && $factura->vencimiento != '0000-00-00 00:00:00'){?>
              <dl class="dl-horizontal">
                <dt><?php echo __('Vencimiento');?></dt>
                <dd><?php echo strftime('%d-%m-%Y', strtotime($factura->vencimiento));?></dd>
              </dl>
              <?php } ?>
              <dl class="dl-horizontal" style="margin-bottom:0;">
                <dt><?php echo __('Forma de pago');?></dt>
                <dd><?php echo $mpago->titulo[SistemaIdioma::getIdiomaSesion()];?> </dd>
                <?php if ($factura->forma_pago == 'transferencia'){?>
                <?php if (!empty($mpago->settings['banco_cuenta'])){?>
                <dt><?php echo __('Banco');?></dt>
                <dd><?php echo $mpago->settings['banco_cuenta'];?></dd>
                <?php } ?>
                <?php if (!empty($mpago->settings['nombre_cuenta'])){?>
                <dt><?php echo __('Titular');?></dt>
                <dd><?php echo $mpago->settings['nombre_cuenta'];?></dd>
                <?php } ?>
                <?php $num_cuenta = trim($mpago->settings['codigo_entidad_cuenta'] . " " . $mpago->settings['codigo_oficina_cuenta'] . " " . $mpago->settings['digito_control_cuenta'] . " " . $mpago->settings['numero_cuenta']);
		  
		  if (!empty($num_cuenta)){?>
                <dt><?php echo __('Cuenta');?></dt>
                <dd><?php echo $num_cuenta;?></dd>
                <?php } ?>
                <?php } ?>
              </dl>
            </div>
          </div>
        </div>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <?php echo __('Observaciones');?>: </h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>"> <?php echo $factura->comentarios;?> </div>
          </div>
        </div>
        <?php if (sizeof( $factura->lineas ) > 0){?>
        <div class="col-md-12 col-sm-12">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div>
              <table class="table table-striped">
                <thead>
                  <tr>
                    <th style="text-align: left;"><?php echo __('Artículo/Servicio');?></th>
                    <th style="text-align: center;"><?php echo __('Cantidad');?></th>
                    <th style="text-align: right;"><?php echo __('Precio ud.');?></th>
                    <th style="text-align: right;"><?php echo __('Impuesto');?></th>
                    <th style="text-align: right;"><?php echo __('Subtotal');?></th>
                  </tr>
                </thead>
                <?php 
				$gastos_de_envio = false;
				$importe_gastos_envio = 0;
				$impuestos = array();
				$subtotal = 0;
				$total = 0;
				  foreach ($factura->lineas as $linea){
					  $perc_impuesto = number_format(($linea->linea_impuesto / $linea->linea_total) * 100, 0);
						$perc_impuesto = number_format($perc_impuesto, 2, '.', '');
						
						if (($linea->nombre_producto == 'Gastos de envío' || $linea->nombre_producto == 'Shipping') && $perc_impuesto == '0'){
							$perc_impuesto = "21.00";
							
							$linea->linea_impuesto = round(($linea->linea_total / 1.21) * 0.21, 2);
							$linea->linea_total = $linea->linea_total - $linea->linea_impuesto;
						}
						
						$subtotal += $linea->linea_total;
						$total += $linea->linea_total + $linea->linea_impuesto;
						
						if (!isset($impuestos[$perc_impuesto])){
							$impuestos[$perc_impuesto] = array('porcentaje'=>$perc_impuesto, 'total_impuesto'=>$linea->linea_impuesto, 'base_imponible'=>$linea->linea_total);
						} else {
							$impuestos[$perc_impuesto]['total_impuesto'] += $linea->linea_impuesto;
							$impuestos[$perc_impuesto]['base_imponible'] += $linea->linea_total;
						}
					  ?>
                <tbody>
                  <tr>
                    <td align="left" valign="top"><strong><?php echo $linea->nombre_producto;?></strong></td>
                    <td align="center" valign="top" ><?php echo $linea->cantidad;?></td>
                    <td align="right" valign="top"><?php echo Helpers::Importe($linea->linea_total / $linea->cantidad);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></td>
                    <td align="right" valign="top"><?php echo $perc_impuesto;?> %</td>
                    <td align="right" valign="top"><span><?php echo Helpers::Importe($linea->linea_total + $linea->linea_impuesto);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                  </tr>
                </tbody>
                <?php } ?>
                <tfoot>
                  <tr>
                    <td colspan="4" align="right"><?php if (is_array($impuestos) && sizeof($impuestos) > 0){?>
                      <?php foreach ($impuestos as $imp){?>
                      <?php echo sprintf(__('Base imponible (%s%%)'), $imp['porcentaje']);?> : <br>
                      <?php } ?>
                      <?php } else {?>
                      <?php echo __('Base imponible');?> : <br>
                      <?php } ?>
                      <small>(<?php echo __('sin impuestos');?>)</small></td>
                    <td align="right" ><span><?php echo number_format($factura->base_imponible, 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                  </tr>
                  <?php if ($factura->total_retencion <> 0){?>
                  <tr>
                    <td colspan="4" align="right"><?php echo sprintf(__('Retención (%s%%)'), number_format($factura->percent_retencion, 2, '.', ''));?> : </td>
                    <td align="right"><?php echo Helpers::Importe($factura->total_retencion);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></td>
                  </tr>
                  <?php } ?>
                  <tr>
                    <td colspan="4" align="right"><?php if (is_array($impuestos) && sizeof($impuestos) > 0){?>
                      <?php foreach ($impuestos as $imp){?>
                      <?php echo sprintf(__('Cuota IVA (%s%%)'), $imp['porcentaje']);?> :
                      <?php } ?>
                      <?php } else {?>
                      <?php echo __('Impuestos');?> :
                      <?php } ?></td>
                    <td align="right"><?php if (is_array($impuestos) && sizeof($impuestos) > 0){?>
                      <?php foreach ($impuestos as $imp){?>
                      <?php echo Helpers::Importe($imp['total_impuesto']);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?>
                      <?php } ?>
                      <?php } else {?>
                      <?php echo Helpers::Importe($factura->total_impuesto);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?>
                      <?php } ?></td>
                  </tr>
                  <?php if ($factura->total_recargo <> 0){
						$perc_recargo = number_format($factura->percent_recargo, 2, '.', '');
						?>
                  <tr>
                    <td colspan="4" align="right"><?php echo sprintf(__('Recargo de equivalencia (%s%%)'), $perc_recargo);?> : </td>
                    <td align="right"><?php echo Helpers::Importe($factura->total_recargo);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></td>
                  </tr>
                  <?php } ?>
                  <?php if ($factura->total_descuento <> 0){
						$perc_descuento = number_format($factura->percent_descuento, 2, '.', '');?>
                  <tr>
                    <td colspan="4" align="right"><?php echo sprintf(__('Descuento (%s%%)'), $perc_descuento);?> : </td>
                    <td align="right"><?php echo Helpers::Importe($factura->total_descuento);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></td>
                  </tr>
                  <?php } ?>
                  <tr class="bg-primary">
                    <td colspan="4" align="right"><strong><big><?php echo __('Suma Total');?></big></strong></td>
                    <td align="right" style="padding:6px 9px"><strong><big><span><?php echo Helpers::Importe($total + $factura->total_descuento + $factura->total_recargo + $factura->total_retencion);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></big></strong></td>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>
        <?php } ?>
        <?php if($factura->comentarios!=''){?>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } else {?>panel<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-title<?php } else {?>panel<?php } ?>"><?php echo __('Notas del Pedido');?></h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>"> <?php echo $factura->comentarios;?> </div>
          </div>
        </div>
        <?php }?>
        <?php $params_ped = $factura;
?>
      </div>
    </div>
    <div align="center"> <a href="<?php echo $factura->getLink();?>/?download=pdf" class="btn btn-default popup"><?php echo __('Descargar factura en PDF');?></a> <a href="javascript:;" class="btn btn-default print-content" onClick="javascript:;"><?php echo __('Imprimir factura');?></a> </div>
  </div>
</div>
<?php 
$GLOBALS['AppDoc']->AddScriptDeclaration("
$(function() {
MideasFunciones.Imprimir('.print-content','.imprimir','".$GLOBALS['opciones']['ext_shop']['empresa']['logotipo']."');
});
");
?>
