<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
?>
<div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
    <?php if ($this->cliente->pedidos != false){?>
    <div class="panel-body" style="padding:0;">
    <table class="table table-bordered" style="margin-bottom:0;">
      <tr>
        <th width="1%"><?php echo __('#');?></th>
        <th width="20%"><?php echo __('Fecha');?></th>
        <th><?php echo __('Enviado a');?></th>
        <th width="20%"><?php echo __('Estado');?></th>
        <th width="15%" style="text-align: right;"><?php echo __('Total');?></th>
        <th>&nbsp;</th>
        <?php 
$cuenta = 1;
foreach ($this->cliente->pedidos as $pedido){
	$lep = '';
	if (is_array($pedido->datos["notas"]) && sizeof($pedido->datos["notas"]) > 0){
		foreach ($pedido->datos["notas"] as $nt){
			if (!empty($nt->estado_id) && empty($lep) && $nt->estado_id == $pedido->getestado()){
				$lep = $pedido->getestado(true, true)->printLabelEstado() . '<br><small>'.strftime("%d-%m-%Y %H:%M", strtotime($nt->fecha)).'</small>';
				continue;
			}
		}
	}
	if (empty($lep)){
		$lep = $pedido->getestado(true, true)->printLabelEstado();
	}
	if (empty($pedido->creador_alias))
		$pedido->creador_alias = $pedido->getemail();
	?>
      <tr>
        <td><?php echo $pedido->id;?></td>
        <td><?php echo strftime("%d-%m-%Y %H:%M", strtotime($pedido->fecha));?></td>
        <td><em><?php echo $pedido->print_envio(false);?></em></td>
        <td><?php echo $lep;?></td>
        <td style="text-align: right;"><?php echo number_format($pedido->datos['total']['total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></td>
        <td><a class="btn btn-default btn-sm" href="<?php echo $pedido->getLink();?>"><?php echo __('Detalles');?></a></td>
      </tr>
      <?php } ?>
    </table>
    </div>
    <?php } else { ?>
    <div class="panel-body" align="center">
      <h4><?php echo __('Aun no has realizado ningún pedido');?></h4>
    </div>
    <?php } ?>
</div>
