<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
if ($this->extra->objeto->datos["metodo_pago"]["id"] == 'transferencia'){
	e_include('ext_shop/class/pago');
	$pasarelas = new Pago();
	$pasarelas = $pasarelas->get_available_pasarelas_pago();
	
	$transf = $pasarelas["transferencia"];
}
$pedido = $this->extra->objeto;
$lep = '';
if (is_array($pedido->datos["notas"]) && sizeof($pedido->datos["notas"]) > 0){
	foreach ($pedido->datos["notas"] as $nt){
		if (!empty($nt->estado_id) && empty($lep) && $nt->estado_id == $pedido->getestado()){
			$lep = $pedido->getestado(true, true)->printLabelEstado() . '<br><small>'.strftime("%d-%m-%Y %H:%M", strtotime($nt->fecha)).'</small>';
			continue;
		}
	}
}
if (empty($lep)){
	$lep = $pedido->getestado(true, true)->printLabelEstado();
}
?>
<div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
  <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
    <h2 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <?php echo __('Su pedido');?> #<?php echo $this->extra->objeto->id;?> <small>(<?php echo sprintf(__('realizado el %s'), strftime(__("%d-%m-%Y a las %H:%M"), strtotime($this->extra->objeto->fecha)));?>)</small> </h2>
  </div>
  <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>">
    <div class="imprimir">
      <ul class="order_details">
        <li class="order"> <?php echo __('Nº pedido')?>: <strong>#<?php echo $this->extra->objeto->id;?> </strong> </li>
        <li class="date"> <?php echo __('Fecha');?>: <strong><?php echo strftime(__("%d-%m-%Y a las %H:%M"), strtotime($this->extra->objeto->fecha));?></strong> </li>
        <li class="total"> <?php echo __('Total');?>: <strong><span class="amount"><?php echo number_format($this->extra->objeto->datos['total']['total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></strong> </li>
        <li class="total"> <?php echo __('Método de pago');?>: <strong><?php echo $this->extra->objeto->datos['metodo_pago']['titulo'];?></strong> </li>
        <li class="method"> <?php echo __('Estado del Pedido');?>: <strong><?php echo $lep;?></strong>
          <p></p>
        </li>
      </ul>
      <div class="row">
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <?php echo __('Información de facturación');?>: </h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>"> <?php echo $this->extra->objeto->print_datos_facturacion_html();?> </div>
          </div>
        </div>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <?php echo __('Método de pago');?>: </h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>"> <?php echo $this->extra->objeto->datos['metodo_pago']['titulo'];?><br clear="all">
              <p><?php echo $this->extra->objeto->datos['metodo_pago']['descripcion']['es'];?></p>
              <?php if (!empty($transf->instrucciones)){
		echo '<p>'.nl2br($transf->instrucciones[SistemaIdioma::getIdiomaSesion()]).'</p>';
	}?>
            </div>
          </div>
        </div>
        <div class="clearfix"></div>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <?php echo __('Información de envío');?>: </h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>"> <?php echo $this->extra->objeto->print_datos_envio_html();?> </div>
          </div>
        </div>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } ?>">
              <h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-<?php } ?>title"> <?php echo __('Método de envío');?>: </h4>
            </div>
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>"> <?php echo SistemaIdioma::Imprimir($this->extra->objeto->datos['total']['envio_nombre']);?> </div>
          </div>
        </div>
        <?php if (sizeof( $this->extra->objeto->lineas ) > 0){?>
        <div class="col-md-12 col-sm-12">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
            <div>
              <table class="table table-striped">
                <thead>
                  <tr>
                    <th ><?php echo __('Artículo');?></th>
                    <th><?php echo __('Código');?></th>
                    <th><?php echo __('Cantidad');?></th>
                    <th><?php echo __('Subtotal');?></th>
                  </tr>
                </thead>
                <?php 
  foreach ($this->extra->objeto->lineas as $linea){
	  $_pr = unserialize($linea->data);
	  ?>
                <tbody>
                  <tr>
                    <td align="left" valign="top" style="padding:3px 9px;""><strong><?php echo SistemaIdioma::Imprimir($_pr->nombre);?></strong>
                      <?php if ($linea->variation_id > 0){
			$variation = Helpers::toArray(json_decode($linea->variation));
			
			if (is_array( $variation ) && sizeof( $variation ) > 0){
				$atributos='';
				$tmp_str='';
				foreach ($variation as $k=>$v){
					$pa = new ProductoAtributo();
					$pa->setid($k);
					
					if ($pa = $pa->BuscarId()){
						if (!empty($v)){
							$pav = new ProductoAtributoValor();
							$pav->setid($v);
							
							if ($pav = $pav->BuscarId()){
								$vt = SistemaIdioma::Imprimir($pav->valor);
							}
						} else {
							$vt = __('Cualquiera');
						}
						
						$tmp_str .= '<dt><strong><em>'.SistemaIdioma::Imprimir($pa->titulo).'</em></strong></dt><dd style="margin:0;padding:0 0 0 9px">'.$vt.'</dd>';
					}
					
				}
				$atributos = $tmp_str;
			?>
                      <dl style="margin:0;padding:0">
                        <?php echo $atributos;?>
                      </dl>
                      <?php } } ?>
                      <?php $params_prod = Helpers::toArray(json_decode($_pr->params)); ?>
                      <?php if (!empty($params_prod['params']['entradas_imagen'])){
			//$coord = explode(';', $params_prod['params']['entradas_area_codigo']);
				$cuenta_linea = (int) $linea->cantidad;
				
				for ($jj=0; $jj < $cuenta_linea; $jj++){
					echo $_pr->imprimir_entrada('img', $this->extra->objeto->id, $jj+1);
				}
			
			 } 
			 ?></td>
                    <td align="left" valign="top" ><?php echo $_pr->sku;?></td>
                    <td align="center" valign="top" ><?php echo $linea->cantidad;?></td>
                    <td align="right" valign="top"><span><?php echo number_format($linea->linea_total, 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                  </tr>
                </tbody>
                <?php } ?>
                <tfoot>
                  <tr>
                    <td colspan="3" align="right"><?php echo __('Subtotal');?><br />
                      <small>(<?php echo __('sin impuestos');?>)</small></td>
                    <td align="right" style="padding:3px 9px;"><span><?php echo number_format($this->extra->objeto->datos['total']['subtotal_ex_impuesto'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                  </tr>
                  <tr>
                    <td colspan="3" align="right"><?php echo __('IVA');?></td>
                    <td align="right" style="padding:3px 9px;"><span><?php echo number_format(($this->extra->objeto->datos['total']['impuesto_total'] + $this->extra->objeto->datos['total']['envio_impuesto_total']), 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                  </tr>
                  <tr>
                    <td colspan="3" align="right"><?php echo __('Gastos de envío');?></td>
                    <td align="right" style="padding:3px 9px;"><span><?php echo number_format($this->extra->objeto->datos['total']['envio_total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                  </tr>
                  <tr>
                    <td colspan="3" align="right"><?php echo __('Descuento');?></td>
                    <td align="right" style="padding:3px 9px;"><span>-<?php echo number_format($this->extra->objeto->datos['total']['descuento_total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                  </tr>
                  <tr bgcolor="#DEE5E8">
                    <td colspan="3" align="right"><strong><big><?php echo __('Suma Total');?></big></strong></td>
                    <td align="right" style="padding:6px 9px"><strong><big><span><?php echo number_format($this->extra->objeto->datos['total']['total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></big></strong></td>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>
        <?php } ?>
        <?php if($this->extra->objeto->comentarios!=''){?>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <div class="<?php if ($parametros['elemento_panel'] != '0' && $parametros['elemento_panel'] != ''){?> panel <?php echo $parametros['elemento_panel']; } elseif ($parametros['elemento_panel'] == '') { ?> panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?><?php } ?>">
          	<div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-heading<?php } else {?>panel<?php } ?>">
            	<h4 class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-title<?php } else {?>panel<?php } ?>"><?php echo __('Notas del Pedido');?></h4>
            </div>
          
            <div class="<?php if ($parametros['elemento_panel'] != '0'){?>panel-body<?php } else {?>panel<?php } ?>">
              <?php echo $this->extra->objeto->comentarios;?>
            </div>
          </div>
        </div>
        <?php }?>
        <?php $params_ped = $this->extra->objeto;
?>
      </div>
    </div>
    <div align="center"> <a href="javascript:;" class="btn btn-default print-content" onClick="javascript:;"><?php echo __('Imprimir pedido');?></a> </div>
  </div>
</div>
<?php 
$GLOBALS['AppDoc']->AddScriptDeclaration("
$(function() {
MideasFunciones.Imprimir('.print-content','.imprimir','".$GLOBALS['opciones']['ext_shop']['empresa']['logotipo']."');
});
");
?>
