<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
global $shop;
$this->checkDownload();
global $AppTpl;
$texto_corto = SistemaIdioma::Imprimir($this->producto->objeto->texto_corto);
$contenido = $this->producto->objeto->contenido_formateado;
$params_vista = $this->producto->objeto->parametros_vista;
$titulo = SistemaIdioma::Imprimir($this->producto->titulo);
$ico_categoria = $this->producto->objeto->getCategoriaParam("icono");
$img_dest = $this->producto->objeto->getimagen_destacada();
$params_pro = Helpers::toArray(json_decode($this->producto->objeto->params));
if (!empty($img_dest)){
	$img_dest_map = $this->producto->objeto->getimagen_destacada($params_vista['ancho_imagen'], $params_vista['alto_imagen']);
	$img_map_html = "<a href='".$this->producto->objeto->url_formateada."'><img src='".$img_dest_map."' width='100%' /></a>";
}
$img_map_html = '';
		
$attr_li = '';
$class_li = '';
if ($params_vista['mostrar_localizacion'] == '1'){
	$class_li = ' item-map';
	$attr_li = ' data-lat="'.$this->producto->objeto->latitud.'" data-lng="'.$this->producto->objeto->longitud.'" data-icono="'.$ico_categoria.'" data-color="black" data-caption="'.htmlentities($img_map_html, ENT_COMPAT).'<p><a href=\''.$this->producto->objeto->url_formateada.'\'> '.htmlentities(strip_tags(SistemaIdioma::Imprimir($this->producto->objeto->titulo)), ENT_QUOTES).'</a><br /><span class=\'direccion\'>'.htmlentities($this->producto->objeto->localizacion_html, ENT_QUOTES).'</span></small></p>" data-address="'.htmlentities($this->producto->objeto->localizacion_formateada, ENT_QUOTES).'"';
}
$loc_off = false;
if (empty($this->producto->objeto->latitud) || empty($this->producto->objeto->longitud)){
	$loc_off = true;
}
if($this->producto->objeto->getimagen_destacada($params_vista['ancho_imagen'],$params_vista['alto_imagen']) != ''){
	$img_dest = $this->producto->objeto->getimagen_destacada($params_vista['ancho_imagen'],$params_vista['alto_imagen']);
	$img_full = $this->producto->objeto->imagen_destacada;
}
$is_draft_preview = $GLOBALS['item_draft'] === true ? true : false;
?>
<?php if ($is_draft_preview){?>
<div class="alert alert-danger"> <?php echo __('<strong>¡ESTÁS VIENDO UNA REVISIÓN DEL ARTÍCULO!</strong> La información que aparece en esta página pertenece a una revisión de un usuario y no son los datos reales del artículo.');?> </div>
<?php } ?>
<?php if(!empty($this->producto->variaciones_atributos) && is_array($this->producto->variaciones_atributos)){ ?>
<script type="text/javascript">
    var product_variations_<?php echo $this->producto->id;?> = <?php echo $this->producto->printVariacionesAtributosJS()?>;
</script>
<?php } ?>
<div class="shop_producto product main_item<?php echo $class_li;?>"<?php echo $attr_li;?>>
  <?php if($params_vista["mostrar_titulo"] == '1'){?>
  <h2 class="page-header"><?php echo $this->producto->objeto->titulo_formateado;?></h2>
  <?php } else { ?>
  <span class="hide"><?php echo $this->producto->objeto->titulo_formateado;?></span>
  <?php } ?>
  <span class="hide"><?php echo $this->producto->objeto->url_formateada;?></span>
  <div class="row"> 
    <!-- Image Post -->
    <div class="col-md-4">
      <?php if($img_dest !='' && $params_vista["mostrar_imagen"] == '1'){?>
      <div id="carousel-articulos-articulo" class="carousel slide images" data-ride="carousel">
        <div class="carousel-inner">
          <div class="item active"> <a href="<?php echo $img_full ;?>" class="fancybox thumbnail" rel="group"><img src="<?php echo $img_dest ;?>" alt="<?php echo $titulo; ?>" width="100%" /></a> </div>
        </div>
      </div>
      <?php } ?>
      <?php if (is_array($params_pro['galeria']) && sizeof($params_pro['galeria']) > 0 && $params_vista['mostrar_galeria_imagenes'] == '1'){?>
      <div class="row">
        <ul class="thumbnails list-unstyled">
          <?php foreach ($params_pro['galeria'] as $img){
	  if (is_object($img)) $img = Helpers::toArray($img); ?>
          <?php $tipo = mime_content_type($img['img']); 
  $img['img'] = str_replace(CONF_URL_APP, '', $img['img']);
  ?>
          <li class=" col-md-3">
            <div class='hover-fader thumbnail'><a class="fancybox" rel="imagenes" href="<?php echo $img['img'];?>"><img class="img-rounded" src="image.php/<?php echo $img['img'];?>?width=306&height=306&cropratio=306:306&image=<?php echo CONF_URL_APP.$img['img'];?>" alt="<?php echo $img['titulo'];?>"><span class='zoom'><i class='icon-zoom-in'></i></span></a></div>
          </li>
          <?php } ?>
        </ul>
      </div>
      <?php } ?>
    </div>
    <div class="col-md-8">
      <div class="contenido relative">
        <div class=" <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
          <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])){?>panel-body<?php } ?>">
            <?php if ($params_vista["mostrar_localizacion"] == '1' && !$loc_off && $params_vista["mostrar_imagen"] == '0'){?>
            <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>"> </div>
            <?php } ?>
            <div class="row">
              <div class="col-md-8">
                <div class="tabbable">
                  <ul id="myTab" class="nav nav-tabs">
                    <li class="active"><a href="<?php echo $this->producto->objeto->getLink();?>#cont" onclick="javascript:return false;"><?php echo __('Descripción');?></a></li>
                    <li><a href="<?php echo $this->producto->objeto->getLink();?>#desc" onclick="javascript:return false;"><?php echo __('Detalles');?></a></li>
                    <?php if (!empty($this->producto->campos_info) && is_array($this->producto->campos_info)){?>
                    <li class="attributes_tab"><a href="<?php echo $this->producto->objeto->getLink();?>#atributos"  onclick="javascript:return false;"><?php echo __('Más Información');?></a></li>
                    <?php } ?>
                    <?php if (!empty($this->producto->vista->productos_relacionados)){?>
                    <li class="relacionados_tab"><a href="<?php echo $this->producto->objeto->getLink();?>#relacionados"  onclick="javascript:return false;"><?php echo __('Productos Relacionados');?></a></li>
                    <?php } ?>
                    <?php /*?>  <?php if (!empty(Helpers::renderWidget(267))){?>
        <li class="comentarios_tab"><a href="<?php echo $this->producto->objeto->getLink();?>#comentarios"  onclick="javascript:return false;"><?php echo __('Comentarios');?></a></li>
            <?php } ?>
        <?php */?>
                  </ul>
                  <div class="tab-content panel-body product_meta">
                    <div class="tab-pane fade in active" id="cont"> <span>
                      <?php if (!empty($contenido)){?>
                      <?php echo $contenido; ?>
                      <?php } ?>
                      </span> </div>
                    <div class="tab-pane fade in" id="desc">
                      <p><strong><?php echo __('Categorías');?>:</strong> <span><?php echo $this->producto->objeto->getcategorias(true);?></span></p>
                      <p><strong><?php echo __('Código');?>:</strong> <span class="value-text sku"><?php echo $this->producto->objeto->sku;?></span></p>
                      <?php if (is_object($this->producto->objeto->fabricante_formateado)){?>
                      <p class="product-brand"><strong><?php echo __('Fabricante');?>:</strong> <a href="<?php echo $this->producto->objeto->fabricante_formateado->getLink();?>"><span><?php echo $this->producto->objeto->fabricante_formateado->titulo_formateado;?></span></a></p>
                      <?php } ?>
                      <p><strong><?php echo __('Disponibilidad');?>:</strong>
                        <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
                        <span class="label value-text disponibilidad label-<?php if ($this->producto->objeto->stock > 0){?>success<?php } else {?>important<?php } ?>">
                        <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
                        <?php if ($this->producto->stock > 0){ echo __('En stock').' ('.$this->producto->stock.' '.__('uds.').')'; } else { echo __('Agotado'); }?>
                        <?php } ?>
                        </span>
                        <?php } ?>
                      </p>
                    </div>
                    <?php if (!empty($this->producto->campos_info) && is_array($this->producto->campos_info)){?>
                    <div class="tab-pane fade in" id="atributos">
                      <?php /*?><h2><?php echo __('Más Información');?></h2><?php */?>
                      <table class="shop_attributes">
                        <?php 
			$c_atrib = 1;
			foreach ($this->producto->campos_info as $atributo){
				$cl_row = '';
				if ($c_atrib % 2 == 0 && $c_atrib > 0)
					$cl_row = 'alt';
				?>
                        <tr class="<?php echo $cl_row;?>">
                          <th><?php echo $atributo['label'];?></th>
                          <td><?php echo $atributo['value'];?></td>
                        </tr>
                        <?php 
			$c_atrib++;
			} ?>
                      </table>
                    </div>
                    <?php } ?>
                    <?php if (!empty($this->producto->vista->productos_relacionados)){?>
                    <div class="tab-pane fade in" id="relacionados">
                      <div class="">
                        <div class="row shop_productos" id="productos_relacionados">
                          <?php 
  $cuenta_pr = 1;
  foreach ($this->producto->vista->productos_relacionados as $pr1){
	  ?>
                          <div class="<?php /*?>col-lg-4 col-md-4 col-sm-6 <?php */?>col-xs-6">
                            <div class="item-map item-producto relative" data-lat="<?php echo $pr1->latitud;?>" data-lng="<?php echo $pr1->longitud;?>" data-icono="" data-color="red" data-caption="<a href='<?php echo $pr1->url_formateada;?>'><img src='<?php echo $pr1->getimagen_destacada(400,400);?>' width='100%' /></a><p><a
href='<?php echo $pr1->url_formateada;?>'> <?php echo $pr1->titulo_formateado;?></a><br
/><span
class='direccion'><?php echo $pr1->localizacion_formateado;?></span></small></p>">
                              <section class="blog-post">
                                <div class="data-info  absolute top-left"></div>
                                <div class="absolute top-right">
                                	<?php if (is_array($pr1->urls_compartir) && sizeof($pr1->urls_compartir) > 0){?>
                                  <div> <a class="btn btn-xs btn-blank dropdown-toggle" data-toggle="dropdown"><i class="fa fa-share-alt"></i></a>
                                    <ul class="dropdown-menu pull-right" role="menu">
                                      <?php foreach ($pr1->urls_compartir as $app_name=>$share_array){?>
                                      <li> <a href="<?php echo $share_array['url'];?>" class="popup"><?php echo $app_name;?></a></li>
                                      <?php } ?>
                                    </ul>
                                  </div>
                                  <?php } ?>
                                </div>
                                <div>
                                  <h4 class="absolute top-left"> <span class="label label-primary">
                                    <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
                                    <strong class="precio pull-right <?php if ($pr1->getprecio_rebajado(true) > 0){?>onsale<?php } else {?> <?php } ?>">
                                    <?php if ($pr1->getprecio_rebajado(true) > 0){?>
                                    <small class="oldprice" style="text-decoration:line-through;"><?php echo Helpers::Importe($pr1->getprecio());?><?php echo ShopHelper::get_shop_moneda_simbolo();?></small>
                                    <?php } ?>
                                    <span class="label label-important precio"><?php echo Helpers::Importe($pr1->getprecio(true));?><?php echo ShopHelper::get_shop_moneda_simbolo();?></span> </strong>
                                    <?php } ?>
                                    </span></h4>
                                  <a href="<?php echo $pr1->url_formateada;?>">
                                  <div><img class="img-responsive" src="<?php echo $pr1->getimagen_destacada(400,400);?>" width="100%" alt="<?php echo $pr1->titulo_formateado;?>"></div>
                                  </a>
                                  <div class="hover">
                                    <div class="caption">
                                      <div class="row">
                                        <div class=" col-md-12">
                                          <h5><?php echo $pr1->titulo_formateado;?> <small><?php echo $pr1->getcategorias(true);?></small></h5>
                                        </div>
                                      </div>
                                      <?php if ($pr1->stock > 0 && $this->config['shop']['solo_catalogo'] == '0'){?>
                                      <a class="shop_addtocart btn btn-mini" href="javascript:;" __id_producto="<?php echo $pr1->id;?>" __url_redirect="<?php echo Helpers::currentUrl();?>"><?php echo __('AÑADIR A LA CESTA');?></a>
                                      <?php } else { ?>
                                      <a href="<?php echo $pr1->getLink();?>" class="btn btn-mini btn-block btn-warning"><?php echo __('VER DETALLES');?></a>
                                      <?php } ?>
                                    </div>
                                    <div class="panel-footer hidden">
                                      <div class="row">
                                        <div class="col-sm-12"> <span class="data-info"> <small><i class="fa fa-folder-open"></i> <?php echo $pr1->getcategorias(true);?></small> | </span></div>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </section>
                            </div>
                          </div>
                          <?php 
	$cuenta_pr++;
	} ?>
                        </div>
                      </div>
                    </div>
                    <?php } ?>
                    <?php /*?><div class="tab-pane fade in" id="comentarios"> 
      <?php echo Helpers::renderWidget(264);?> <?php echo Helpers::renderWidget(279);?></div><?php */?>
                  </div>
                </div>
              </div>
              <div class="col-md-4">
                <div class="productdata row">
                  <div class="col-md-12">
                    <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
                    <p class="product-price"><span class="label label-primary price precio o_precio <?php if ($this->producto->objeto->getprecio_rebajado(true) > 0){?>rojo<?php } ?>">
                      <?php if ($this->producto->objeto->getprecio_rebajado(true) > 0){?>
                      <small class="oldprice"><?php echo Helpers::Importe($this->producto->objeto->getprecio(true,'no_rebajado',true));?><?php echo ShopHelper::get_shop_moneda_simbolo();?></small>
                      <?php } ?>
                      <span class="precio" content="<?php echo $this->producto->objeto->getprecio(true, 'actual', true);?>">
                      <?php if ($this->producto->objeto->getprecio(true) > 0){ echo Helpers::Importe($this->producto->objeto->getprecio(true, 'actual', true));?>
                      <span class="price-value"><?php echo ShopHelper::get_shop_moneda_simbolo();?></span>
                      <?php } else { ?>
                      <span class="precio"> <?php echo __('¡Gratis!'); ?> </span>
                      <?php } ?>
                      </span> </span></p>
                    <?php } ?>
                  </div>
                  <div class="col-md-12">
                    <?php if ($this->config['shop']['solo_catalogo'] == '0'){
						?>
                    <?php if($params_pro['virtual'] == "1" && $params_pro['tipo_virtual'] == 'descargable' && $this->producto->objeto->getprecio() == '0.00'){?>
                    <?php if ($this->producto->getdownload_link('false') == 'false'){?>
                    <div class="alert alert-error"> <?php echo __('Debes estar registrado para poder realizar la descarga!');?> </div>
                    <?php } else {?>
                    <a class="btn btn-large btn-success btn-block" id="downloadbut" onClick="_gaq.push(['_trackEvent', 'Descargas', 'Descargar', '<?php echo SistemaIdioma::Imprimir($this->producto->objeto->nombre);?>']);" href="<?php echo $this->producto->getdownload_link();?>" /><i class="fa fa-download"></i> <?php echo __('Descargar');?> </a>
                    <?php } ?>
                    <?php } else {?>
                    <form id="frmAddCart_<?php echo $this->producto->id;?>" class="variations_form cart product-form" method="post" enctype='multipart/form-data' data-product_id="<?php echo $this->producto->id;?>">
                      <?php if(!empty($this->producto->variaciones) && is_array($this->producto->variaciones)){ ?>
                      <div class="variations">
                        <?php 
				$c_at = 0;
				foreach ($this->producto->variaciones as $variacion){?>
                        <div class="">
                          <?php 
					  //echo $variacion->renderSelect(null, __('Elige una opción'), false, 'atributo', $variacion->valor_parsed);
					  echo $variacion->renderFrontend(null, '', 'atributo', $variacion->valor_parsed);
					  ?>
                          <?php if ($c_at + 1 == count($this->producto->variaciones)){?>
                          <a class="reset_variations" href="#reset"></a>
                          <?php } ?>
                        </div>
                        <?php 
			  $c_at++;
			  } ?>
                      </div>
                      <?php } ?>
                      <div class="single_variation_wrap">
                        <div class="">
                          <div class="variations_button">
                            <input type="hidden" name="variation_id" value="" />
                            <div class="quantity">
                              <?php /*?><span><?php echo __('Cantidad');?>:</span><br><?php */?>
                              <?php if ($this->producto->objeto->stock > 0){?>
                              <div class="input-group">
                                <div class="cantidad form-control">
                                  <input type="text" class="form-control quantityinput cantidad-cesta cantidad-producto" id="quantityinput" name="cantidad" value="1"/>
                                </div>
                                <span class="input-group-btn">
                                <input type="button" class="btn btn-primary single_add_to_cart_button shop_addtocart addtocart" id="addtocart" name="addtocart" value="<?php echo __('Añadir a la cesta');?>" __form="frmAddCart_<?php echo $this->producto->id;?>" __id_producto="<?php echo $this->producto->objeto->id;?>" __url_redirect="<?php echo Helpers::currentUrl();?>" />
                                </span> </div>
                              <?php } ?>
                            </div>
                          </div>
                        </div>
                      </div>
                    </form>
                    <?php } ?>
                    <?php } ?>
                  </div>
                </div>
              </div>
            </div>
            <?php if (is_array($this->producto->campos_info) && sizeof($this->producto->campos_info) > 0 && $params_vista['mostrar_campos_extra'] == '1'){?>
            <hr>
            <h4><?php echo __('Información');?></h4>
            <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?> campos_extra_list" style="margin-bottom:0;">
              <div class="in_campos_extra_list">
                <?php foreach ($this->producto->campos_info as $campo){ ?>
                <div class="panel-body">
                  <div class="row">
                    <div class="col-xs-4">
                      <label><?php echo $campo['label'];?></label>
                    </div>
                    <div class="col-xs-8"><?php echo $campo['value'];?></div>
                  </div>
                </div>
                <?php } ?>
              </div>
            </div>
            <?php } ?>
            <?php foreach ($links_relacionados as $lf){?>
            <a class="btn btn-primary btn-xs" href="<?php echo $lf['url'];?>"><?php echo $lf['label'];?></a>
            <?php } ?>
          </div>
          <div class="panel-footer">
            <?php if ($params_vista["mostrar_autor"] == '1' || $params_vista["mostrar_fecha"] == '1' || $params_vista["mostrar_comentarios"] == '1'){?>
            <div class="pull-right"><small >
              <?php if ($params_vista["mostrar_autor"] == '1') { ?>
              <span><i class="fa fa-user"></i> <span><?php echo $this->producto->objeto->getcreador(true);?></span></span> /
              <?php } ?>
              <?php if ($params_vista["mostrar_fecha"] == '1') { ?>
              <span><i class="fa fa-calendar"></i> <?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($this->producto->objeto->fecha_publicacion));?></span> /
              <?php } ?>
              <?php if ($params_vista["mostrar_comentarios"] == '1') { ?>
              <i class="fa fa-comments"></i> <a href="<?php echo $this->current_url;?>#comentarios"><span><?php echo $this->producto->objeto->numero_comentarios;?></span></a>
              <?php } ?>
              </small></div>
            <?php } ?>
            <?php if (($params_vista["mostrar_localizacion"] == '1' && !$loc_off) || ($this->producto->objeto->es_propietario() || $this->producto->objeto->es_editable()) || (!empty($this->producto->objeto->tags) && $params_vista['mostrar_tags'] == '1')){?>
            <?php if ($params_vista["mostrar_titulo"] == '1'){?>
            <h4 class="panel-title"><?php echo $titulo;?> <small><?php echo $this->producto->objeto->getcategorias(true);?></small> </h4>
            <address style="margin-bottom:10px!important;">
            <small> <i class="fa fa-globe"></i> <?php echo $this->producto->objeto->localizacion_formateada;?></small>
            </address>
            <?php } ?>
            <?php if (!empty($this->producto->objeto->tags) && $params_vista['mostrar_tags'] == '1'){?>
            <div class="tags_list">
              <div class="in_tags_list"> <?php echo $this->producto->objeto->gettags(true, ' label label-success', ' '); ?> </div>
            </div>
            <?php } ?>
            <?php } ?>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
