<?php include(CONF_REALPATH_TEMPLATES_ADMIN.'bootstrap_admin/class/layoutBootstrap.class.php');
$last_url = Helpers::getSesion()->get('lastURL', null, 'admin');
e_include('ext_shop/class/helper');?>
<nav class="navbar <?php echo $GLOBALS['AppAdminTpl']->params['clase_subnavbar'];?> subnavbar-estilo-custom" data-spy="affix" data-offset-top="60" data-offset-bottom="200"role="navigation">
  <div class="container-fluid">
    <div class="navbar-brand">
      <h4> <?php echo $options['titulo'];?></h4>
    </div>
    <?php if ($options['solo_datos'] != 'true'){?>
    <div id="subnav_opts"> <?php echo LayoutBootstrap::renderFormButtons('frmEditarItems',$last_url); ?>
      <?php if ($GLOBALS['opciones']['admin']['edititem_mostrar_traductor'] == '1' && !$GLOBALS['forzar_idioma']){?>
      <div class="btn-toolbar pull-right" id="toolbar">
        <div class="btn-group">
          <div class="dropdown"> <a href="#" class="btn btn-primary btn-sm navbar-btn" data-toggle="dropdown"><i class="fa fa-language"></i> <span class="hidden-xs"><?php echo __('Traducir');?></span> <span class="caret"></span></a>
            <?php $siF = SistemaIdioma::Forms();
			$siC = count($siF);
			$idioma_defecto = SistemaIdioma::getIdiomaDefecto();
			?>
            <ul class="dropdown-menu" role="menu">
              <?php for($si = 0; $si < $siC; $si++)
				{
					if ($siF[$si]->getidioma() != $idioma_defecto){
					?>
              <li><a href="javascript:;" data-lang-source="<?php echo $idioma_defecto;?>" data-lang-target="<?php echo $siF[$si]->getidioma();?>" data-lang-container="form#frmEditarItems" data-toggle="language"><?php echo $siF[$si]->getnombre();?></a>
                <?php } ?>
                <?php } ?>
            </ul>
          </div>
        </div>
      </div>
      <?php } ?>
    </div>
    <?php } ?>
  </div>
</nav>
<div class="container-fluid">
  <div class="row">
    <form id="frmEditarItems" class="form-validate">
      <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12">
        <div class="row">
          <div class="col-md-9">
            <div class="row ibox float-e-margins">
              <div class="col-md-12 ibox-content">
                <div class="row">
                  <div class="col-md-6">
                    <h4><?php echo sprintf(__('Detalles del pedido -- #%s'), $pedido_seleccionado->id);?></h4>
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_estado-lbl" for="ext_pedidos_detalles_estado" class="tip-e" data-original-title="<?php echo __('Estado del pedido::Estado del pedido');?>"><?php echo __('Estado del pedido');?></label>
                          </div>
                          <select name="ext_pedidos[detalles][estado]" id="ext_pedidos_detalles_estado" class="form-control">
                            <?php foreach ($estados_pedidos as $ep){?>
                            <option<?php if ($pedido_seleccionado->estado == $ep->id){?> selected="selected"<?php } ?> value="<?php echo $ep->id;?>"><?php echo SistemaIdioma::Imprimir($ep->nombre);?></option>
                            <?php } ?>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_fecha-lbl" for="ext_pedidos_detalles_fecha" class="tip-e" data-original-title="<?php echo __('Fecha del pedido::Fecha del pedido');?>"><?php echo __('Fecha del pedido');?></label>
                          </div>
                          <div class="controls form-inline">
                            <input type="text" readonly class="form-control input-sm" style="width:45%;" value="<?php echo strftime('%Y-%m-%d', strtotime($pedido_seleccionado->fecha));?>" />
                            @
                            <input type="text" readonly class="form-control input-sm" style="width:45%;" value="<?php echo strftime('%H:%M', strtotime($pedido_seleccionado->fecha));?>" />
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_cliente-lbl" for="ext_pedidos_detalles_cliente" class="tip-e" data-original-title="<?php echo __('Cliente::Cliente del pedido');?>"><?php echo __('Cliente');?></label>
                          </div>
                          <select name="ext_pedidos[detalles][cliente]" id="ext_pedidos_detalles_cliente" style="width:100%;" class="form-control">
                            <?php if (sizeof($clientes) > 0){?>
                            <?php foreach ($clientes as $us){?>
                            <option<?php if ($us->id == $pedido_seleccionado->usuario_id){?> selected="selected"<?php } ?> value="<?php echo $us->id;?>"><?php echo $us->nombre;?> (<?php echo $us->email;?>)</option>
                            <?php } ?>
                            <?php } ?>
                          </select>
                        </div>
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_comentarios-lbl" for="ext_pedidos_detalles_comentarios" class="tip-e" data-original-title="<?php echo __('Comentarios del cliente::Comentarios del cliente del pedido');?>"><?php echo __('Comentarios del cliente');?></label>
                          </div>
                          <textarea name="ext_pedidos[detalles][comentarios]" rows="3" style="width: 100%; min-height: 60px;" class="form-control"><?php echo utf8_decode($pedido_seleccionado->comentarios);?></textarea>
                        </div>
                      </div>
                    </div>
                  </div>
                  <?php $impuesto_nombre = SistemaIdioma::Imprimir($pedido_seleccionado->datos['total']['impuesto_nombre']);
					  if (empty($impuesto_nombre)){
						 $impuesto_nombre = __('Impuestos'); 
					  }
					  ?>
                  <div class="col-md-3">
                    <h4><?php echo __('Datos de facturación');?></h4>
                    <p><?php echo $pedido_seleccionado->print_datos_facturacion_html();?></p>
                    <p><strong><?php echo __('Email');?>:</strong> <a href="mailto:<?php echo $pedido_seleccionado->email;?>"><?php echo $pedido_seleccionado->email;?></a></p>
                    <?php if (!empty($pedido_seleccionado->datos['facturacion']['telefono'])){?>
                    <p><strong><?php echo __('Teléfono');?>:</strong> <?php echo $pedido_seleccionado->datos['facturacion']['telefono'];?></p>
                    <?php } ?>
                    <h4><?php echo __('Método de pago');?></h4>
                    <p><?php echo $pedido_seleccionado->datos['metodo_pago']['titulo'];?> (<?php echo $pedido_seleccionado->datos['metodo_pago']['estado'];?>)</p>
                  </div>
                  <div class="col-md-3">
                    <h4><?php echo __('Datos de envío');?></h4>
                    <?php if ($pedido_seleccionado->envio_a_facturacion == 1){?>
                    <p><?php echo $pedido_seleccionado->print_datos_facturacion_html();?></p>
                    <?php } else {?>
                    <p><?php echo $pedido_seleccionado->print_datos_envio_html();?></p>
                    <?php if (!empty($pedido_seleccionado->datos['envio']['envio_telefono'])){?>
                    <p><strong><?php echo __('Teléfono');?>:</strong> <?php echo $pedido_seleccionado->datos['envio']['envio_telefono'];?></p>
                    <?php } ?>
                    <?php } ?>
                    <h4><?php echo __('Método de envío');?></h4>
                    <p><?php echo SistemaIdioma::Imprimir($pedido_seleccionado->datos['total']['envio_nombre']);?></p>
                  </div>
                </div>
              </div>
            </div>
            <?php if (sizeof( $pedido_seleccionado->lineas ) > 0){?>
            <div class="row ibox float-e-margins">
              <div class="ibox-title">
                <h5><?php echo __('Productos del pedido');?></h5>
              </div>
              <div class="col-md-12 ibox-content">
                <table class="table" >
                  <thead>
                    <tr>
                      <th><?php echo __('Artículo');?></th>
                      <th><?php echo __('Código');?></th>
                      <th class="center"><?php echo __('Cantidad');?></th>
                      <th class="right" align="right" style="text-align:right;"><?php echo __('Subtotal');?></th>
                    </tr>
                  </thead>
                  <?php 
  e_include('ext_shop/class/producto');
  foreach ($pedido_seleccionado->lineas as $linea){
	  $_pr = unserialize($linea->data);
	  ?>
                  <tbody>
                    <tr>
                      <td><strong><?php echo SistemaIdioma::Imprimir($_pr->nombre);?></strong>
                        <?php if ($linea->variation_id > 0){
			$variation = Helpers::toArray(json_decode($linea->variation));
			
			if (is_array( $variation ) && sizeof( $variation ) > 0){
				$atributos='';
				$tmp_str='';
				foreach ($variation as $k=>$v){
					$pa = new ProductoAtributo();
					$pa->setid($k);
					
					if ($pa = $pa->BuscarId()){
						if (!empty($v)){
							$pav = new ProductoAtributoValor();
							$pav->setid($v);
							
							if ($pav = $pav->BuscarId()){
								$vt = SistemaIdioma::Imprimir($pav->valor);
							}
						} else {
							$vt = __('Cualquiera');
						}
						
						$tmp_str .= '<dt><strong><em>'.SistemaIdioma::Imprimir($pa->titulo).'</em></strong></dt><dd style="margin:0;padding:0 0 0 9px">'.$vt.'</dd>';
					}
				}
				$atributos = $tmp_str;
			?>
        <dl style="margin:0;padding:0">
          <?php echo $atributos;?>
        </dl>
        <?php } } ?></td>
                      <td><?php echo $_pr->sku;?></td>
                      <td class="center"><?php echo $linea->cantidad;?></td>
                      <td class="right" align="right"><span><?php echo number_format($linea->linea_total, 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                    </tr>
                  </tbody>
                  <?php } ?>
                  <tfoot>
                    <tr>
                      <td colspan="3" class="right" align="right"><strong><?php echo __('Subtotal');?></strong><br />
                        <small>(<?php echo __('sin impuestos');?>)</small></td>
                      <td class="right" align="right"><span><?php echo number_format($pedido_seleccionado->datos['total']['subtotal_ex_impuesto'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                    </tr>
                    <tr>
                      <td colspan="3" class="right" align="right"><strong><?php echo $impuesto_nombre;?></strong></td>
                      <td class="right" align="right"><span><?php echo number_format(($pedido_seleccionado->datos['total']['impuesto_total'] + $pedido_seleccionado->datos['total']['envio_impuesto_total']), 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                    </tr>
                    <tr>
                      <td colspan="3" class="right" align="right"><strong><?php echo __('Gastos de envío');?></strong></td>
                      <td class="right" align="right"><span><?php echo number_format($pedido_seleccionado->datos['total']['envio_total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                    </tr>
                    <tr>
                      <td colspan="3" class="right" align="right"><strong><?php echo __('Descuento');?></strong></td>
                      <td class="right" align="right"><span>-<?php echo number_format($pedido_seleccionado->datos['total']['descuento_total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
                    </tr>
                    <tr class="well">
                      <td colspan="3" class="right" align="right"><strong><big><?php echo __('Suma Total');?></big></strong></td>
                      <td class="right" align="right"><strong><big><span><?php echo number_format($pedido_seleccionado->datos['total']['total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></big></strong></td>
                    </tr>
                  </tfoot>
                </table>
              </div>
            </div>
            <?php } ?>
          </div>
          <div class="col-md-3">
            <h4><?php echo __('Totales');?></h4>
            <div class="row">
              <div class="col-md-12">
                <div class="ibox float-e-margins">
                  <div class="ibox-title">
                    <h5><?php echo __('Descuentos');?></h5>
                  </div>
                  <div class="ibox-content">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_descuento_carrito-lbl" for="ext_pedidos_detalles_descuento_carrito" class="tip-e" data-original-title="<?php echo __('Descuento en el carrito::Descuento en el carrito');?>"><?php echo __('Dto. en el carrito');?></label>
                          </div>
                          <div class="input-group">
                            <input type="text" name="ext_pedidos[detalles][descuento_carrito]" class="form-control input-xs form-control" value="<?php echo number_format($pedido_seleccionado->datos['total']['descuento_carrito'], 2, '.','');?>" />
                            <span class="input-group-addon"><?php echo ShopHelper::get_shop_moneda_simbolo();?></span> </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_descuento_total-lbl" for="ext_pedidos_detalles_descuento_total" class="tip-e" data-original-title="<?php echo __('Descuento del pedido::Descuento del pedido');?>"><?php echo __('Dto. del pedido');?></label>
                          </div>
                          <div class="input-group">
                            <input type="text" name="ext_pedidos[detalles][descuento_total]" class="form-control input-xs form-control" value="<?php echo number_format($pedido_seleccionado->datos['total']['descuento_total'], 2, '.','');?>" />
                            <span class="input-group-addon"><?php echo ShopHelper::get_shop_moneda_simbolo();?></span> </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="ibox float-e-margins">
                  <div class="ibox-title">
                    <h5><?php echo __('Envío');?></h5>
                  </div>
                  <div class="ibox-content">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_envio_ex_impuestos-lbl" for="ext_pedidos_detalles_envio_ex_impuestos" class="tip-e" data-original-title="<?php echo __('Coste sin impuestos::Coste sin impuestos del envío');?>"><?php echo __('Coste sin impuestos');?></label>
                          </div>
                          <div class="input-group">
                            <input type="text" name="ext_pedidos[detalles][envio_ex_impuestos]" id="ext_pedidos_detalles_envio_ex_impuestos" class="form-control input-xs form-control" value="<?php echo number_format($pedido_seleccionado->datos['total']['envio_total'], 2, '.','');?>" />
                            <span class="input-group-addon"><?php echo ShopHelper::get_shop_moneda_simbolo();?></span> </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_envio_nombre-lbl" for="ext_pedidos_detalles_envio_nombre" class="tip-e" data-original-title="<?php echo __('Método de envío::Método de envío');?>"><?php echo __('Método de envío');?></label>
                          </div>
                          <input type="text" name="ext_pedidos[detalles][envio_nombre]" id="ext_pedidos_detalles_envio_nombre" class="input-block-level form-control" readonly value="<?php echo SistemaIdioma::Imprimir($pedido_seleccionado->datos['total']['envio_nombre']);?>" />
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="ibox float-e-margins">
                  <div class="ibox-title">
                    <h5><?php echo __('Impuestos');?></h5>
                  </div>
                  <div class="ibox-content">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_impuestos_carrito-lbl" for="ext_pedidos_detalles_impuestos_carrito" class="tip-e" data-original-title="<?php echo __('Impuestos del carrito::Impuestos del carrito');?>"><?php echo __('Impuestos del carrito');?></label>
                          </div>
                          <div class="input-group">
                            <input type="text" name="ext_pedidos[detalles][impuestos_carrito]" id="ext_pedidos_detalles_impuestos_carrito" class="form-control input-xs form-control" value="<?php echo number_format($pedido_seleccionado->datos['total']['impuesto_total'], 2, '.','');?>" />
                            <span class="input-group-addon"><?php echo ShopHelper::get_shop_moneda_simbolo();?></span> </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group">
                          <div class="control-label">
                            <label id="ext_pedidos_detalles_impuestos_envio-lbl" for="ext_pedidos_detalles_impuestos_envio" class="tip-e" data-original-title="<?php echo __('Impuestos del envío::Impuestos del envío');?>"><?php echo __('Impuestos del envío');?></label>
                          </div>
                          <div class="input-group">
                            <input type="text" name="ext_pedidos[detalles][impuestos_envio]" id="ext_pedidos_detalles_impuestos_envio" class="form-control input-xs form-control" value="<?php echo number_format($pedido_seleccionado->datos['total']['envio_impuesto_total'], 2, '.','');?>" />
                            <span class="input-group-addon"><?php echo ShopHelper::get_shop_moneda_simbolo();?></span> </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="ibox float-e-margins">
                  <div class="ibox-title">
                    <h5><?php echo __('Total');?></h5>
                  </div>
                  <div class="ibox-content">
                    <div class="row">
                      <div class="col-md-12">
                        <div class="input-group">
                          <input type="text" readonly name="ext_pedidos[detalles][total]" id="ext_pedidos_detalles_total" class="form-control input-lg" value="<?php echo number_format($pedido_seleccionado->datos['total']['total'], 2, '.','');?>" />
                          <span class="input-group-addon"><?php echo ShopHelper::get_shop_moneda_simbolo();?></span> </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <h4><?php echo __('Notas del pedido');?></h4>
            <div class="row">
              <div class="col-md-12">
                <?php if(!empty($pedido_seleccionado->datos['notas']) && is_array($pedido_seleccionado->datos['notas'])){ ?>
                <?php foreach ($pedido_seleccionado->datos['notas'] as $nota){?>
                <div class="well well-small">
                  <?php /*?><button type="button" class="close" data-dismiss="alert">&times;</button><?php */?>
                  <b><?php echo $nota->nota;?></b><br />
                  <small>
                  <?php if ($nota->cliente_id > 0) echo '<i class="fa fa-envelope-alt" title="'.__('Cliente notificado').'"> </i>'; $fecha_ago = Helpers::formatDateTwitter(strtotime($nota->fecha)); echo sprintf(__('añadido %s'), $fecha_ago); ?>
                  </small> </div>
                <?php } ?>
                <?php } ?>
              </div>
            </div>
          </div>
        </div>
      </div>
      <input type="hidden" name="ext_pedidos[detalles][id]" value="<?php echo $pedido_seleccionado->id;?>" />
      <input type="hidden" name="ext_pedidos[detalles][accion]" value="editar" />
    </form>
  </div>
</div>
