<?php
c_include('forms/formField');
/**
 * Form Field class for the Mideas Framework.
 *
 * @package		Mideas.Framework
 * @subpackage	Form
 * @since		1.6
 */
class FormFieldParamsproductoatributo extends FormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'paramsproductoatributo';
	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	public function getInput($valor=null)
	{
		// Initialize variables.
		$html = array();
		$attr = '';
		// Initialize some field attributes.
		$attr .= $this->element['class'] ? ' class="btn '.(string) $this->element['class'].'"' : ' class="btn btn-default"';
		
		$is_modal = $this->element['modal'] == 'false' ? false : true;
		
		$output = '';
		
		$output .= $this->getTablaDatos($valor);
		return $output;
	}
	/**
	 * Method to get the field options.
	 *
	 * @return	array	The field option objects.
	 * @since	1.6
	 */
	protected function getTablaDatos($valor=null){
		global $producto_atributo;
		
		if (!empty($producto_atributo)){
		} else {
			return false;
		}
		
		$tipo_atr = $producto_atributo->getTipoAtributo($valor);
		
		$html = '<div class="row" id="div_'.$this->id.'">';
		
		$html .= $tipo_atr->printFormAdmin($this->name, $this->id);
		
		$html .= '</div>';
		return $html;
	}
}
