<?php
$all_ext = Helpers::getExtensionsElements();
$this_ext = $_GET['extension'];
if (is_array($all_ext[$this_ext]['item'])){
	$titulo_pagina_defecto = Helpers::__xml($all_ext[$this_ext]['item']['name']);
	$class_item = $all_ext[$this_ext]['item']['class'];
	$fileclass_item = $all_ext[$this_ext]['item']['file_class'];
	$vista_item = $all_ext[$this_ext]['item']['vista'];
	
	e_include($this_ext.'/class/'.$fileclass_item);
	
	if (is_array($all_ext[$this_ext]['category'])){
		$class_category = $all_ext[$this_ext]['category']['class'];
		$fileclass_category = $all_ext[$this_ext]['category']['file_class'];
		$vista_category = $all_ext[$this_ext]['category']['vista'];
		
		e_include($this_ext.'/class/'.$fileclass_category);
	}
}
if (!class_exists($class_item)) {
    echo "Error 500: No se ha encontrado la clase de la extensión.";
    return false;
}
$item_seleccionado = new $class_item();
$item_seleccionado->setid($_GET['id']);
$idioma_forzado = $GLOBALS['forzar_idioma'] == true ? SistemaIdioma::getIdiomaSesion(true) : false;
if ($item_seleccionado = $item_seleccionado->BuscarId($idioma_forzado)){
} else {
	echo "Error 500: No se ha encontrado el item.";
	exit;
}
if (!empty($_POST)){
	if ($_POST['accion'] == 'load_grupo_campos_extra'){
		include(CONF_REALPATH_APP_ADMIN.'tools/default/load_grupo_campos_extra.php');
	} elseif ($_POST['accion'] == 'update_var'){
		include(CONF_REALPATH_APP_ADMIN.'tools/default/update_var.php');
	} else {
		if (!empty($_POST['listItem']))
			include(CONF_REALPATH_APP_ADMIN.'tools/default/save_campos_order.php');
		else
			include(CONF_REALPATH_APP_ADMIN.'tools/default/save_item.php');
	}
}
$options = array(
	"titulo" => sprintf(__("Editar %s '%s'"), $titulo_pagina_defecto, $item_seleccionado->titulo_formateado),
	"categoria" => ""
);
if (isset($GLOBALS['custom_menu'])){
	$txt_cm = '&custom_menu='.$GLOBALS['custom_menu']->id;
	if (!empty($GLOBALS['custom_menu']->params)){
		$cm_params = Helpers::toArray(json_decode($GLOBALS['custom_menu']->params));
		
		if (!empty($cm_params['params'])){
			parse_str(trim($cm_params['params']), $parametros_custom);
			
			foreach ($parametros_custom as $kparam=>$param){
				if (array_key_exists($kparam, $options))
					$options[$kparam] = utf8_decode($param);
			}
		}
	}
	$last_url = Helpers::getSesion()->get('lastURL', null, 'admin');
	if (strpos($last_url, $GLOBALS['custom_menu']->enlace)){
		$options['titulo'] = SistemaIdioma::Imprimir($GLOBALS['custom_menu']->titulo);
	}
}
$params_p_sel = Helpers::toArray(json_decode($item_seleccionado->params));
$hide_class = $params_p_sel['tipo_virtual'];
if ($hide_class == 'descargable'){
  $hide_class = 'control-group-accion_conector_extension_virtual_1, .control-group-conector_extension_virtual_1, .control-group-num_creditos_virtual_1';
} elseif ($hide_class == 'extension') {
 $hide_class = 'control-group-url_descargable_virtual_1, .control-group-solo_registrados_descargable_virtual_1, .control-group-num_creditos_virtual_1'; 
} elseif ($hide_class == 'creditos'){
 $hide_class = 'control-group-url_descargable_virtual_1, .control-group-solo_registrados_descargable_virtual_1, .control-group-accion_conector_extension_virtual_1, .control-group-conector_extension_virtual_1'; 
}
if (!empty($hide_class)){
  
  $GLOBALS['AppDoc']->addScriptDeclaration("
$(document).ready(function(e) {
	$('.".$hide_class."').hide();
	
	$('.control-group-tipo_virtual_1 .btn-group label').on('click', function(){
		var este = $(this).find('input');
				
		if (este.val() == 'descargable'){
			$('.control-group-accion_conector_extension_virtual_1, .control-group-conector_extension_virtual_1').hide();
			$('.control-group-num_creditos_virtual_1').hide();
			$('.control-group-url_descargable_virtual_1, .control-group-solo_registrados_descargable_virtual_1').show();
		} else if (este.val() == 'extension'){
			$('.control-group-accion_conector_extension_virtual_1, .control-group-conector_extension_virtual_1').show();
			$('.control-group-num_creditos_virtual_1').hide();
			$('.control-group-url_descargable_virtual_1, .control-group-solo_registrados_descargable_virtual_1').hide();
		} else if (este.val() == 'creditos'){
			$('.control-group-accion_conector_extension_virtual_1, .control-group-conector_extension_virtual_1').hide();
			$('.control-group-num_creditos_virtual_1').show();
			$('.control-group-url_descargable_virtual_1, .control-group-solo_registrados_descargable_virtual_1').hide();
		}
	});
});");
		
} ?>