<?php
$options = array(
	"titulo" => __('Pedidos'),
	"usuario" => ""
);
if (isset($GLOBALS['custom_menu'])){
	if (!empty($GLOBALS['custom_menu']->params)){
		parse_str(trim($GLOBALS['custom_menu']->params), $parametros_custom);
		
		foreach ($parametros_custom as $kparam=>$param){
			if (array_key_exists($kparam, $options))
				$options[$kparam] = utf8_decode($param);
		}
	}
	$options['titulo'] = SistemaIdioma::Imprimir($GLOBALS['custom_menu']->titulo);
}
c_include('usuario');
e_include('ext_shop/class/pedidoShop');
if (!class_exists('PedidoShop')) {
    echo "Error 500: No se ha encontrado la clase de la extensión.";
    return false;
}
$pedidos = new PedidoShop();
$pedidos = $pedidos->Listar('','id','DESC',0,10);
$usr_obj = new Usuario();
$ped_obj = new PedidoShop();
$estadisticas_usuarios = $usr_obj->get_estadisticas('dia');
$estadisticas_pedidos = $ped_obj->get_estadisticas('dia');
$dias = Helpers::createDateRangeArray(strftime("%Y-%m-%d", time()-2592000), strftime("%Y-%m-%d", time()));
$graph = array();
$n_ped = 0;
$total_pedidos = 0;
$importe_pedidos = 0;
foreach ($dias as $dia){
	$graph[$n_ped][0] = strtotime($dia) * 1000;
	$graph[$n_ped][1] = 0;
	foreach ($estadisticas_pedidos as $est){
		if ($est->fecha == $dia){
			$graph[$n_ped][1] = (int) $est->num;
			$total_pedidos += (int) $est->num;
			$importe_pedidos += $est->total;
		}
	}
	$n_ped ++;
}
$graph2 = array();
$n_usr = 0;
foreach ($dias as $dia){
	$graph2[$n_usr][0] = strtotime($dia) * 1000;
	$graph2[$n_usr][1] = 0;
	foreach ($estadisticas_usuarios as $est2){
		if ($est2->fecha == $dia){
			$graph2[$n_usr][1] = (int) $est2->num;
		}
	}
	$n_usr ++;
}
$GLOBALS['AssetBundles']->require_bundle('flot');