<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
	
if ($_POST['accion'] != 'facturar_pedidos'){
	Helpers::Panic(__('Acción no válida'));
}
c_include('sistemaIdioma');
e_include('ext_shop/class/facturaShop','ext_shop/class/pedidoShop');
if (!class_exists('PedidoShop'))
	Helpers::Panic();
	
$respuesta = array();
$sql_excluir_ids_pedidos = "";
	
$fs = new FacturaShop();
$ids_pedidos_facturados = $fs->getIDPedidosFacturados();
if (is_array($ids_pedidos_facturados) && sizeof($ids_pedidos_facturados) > 0){
	$sql_excluir_ids_pedidos = " AND id NOT IN (".implode(",", $ids_pedidos_facturados).")";
}
$ps = new PedidoShop();
$pedidos_sin_facturar = $ps->Listar("(estado='".$GLOBALS['opciones']['ext_shop']['venta']['estado_completado']."')".$sql_excluir_ids_pedidos, "fecha", "ASC");
if (is_array($pedidos_sin_facturar) && sizeof($pedidos_sin_facturar) > 0){
	$cuenta_pedidos = 0;
	$algun_error = false;
	$error_txt = '';
	foreach ($pedidos_sin_facturar as $pedido_sf){
		try {
			$pedido_sf->facturar();
			$cuenta_pedidos ++;
		}catch (Exception $e) {
			$algun_error = true;
			$error_txt .= $e->getMessage().'<br>';
			/*$respuesta["respuesta"] = "error";
			$respuesta["mensaje"] = sprintf(__('Se ha producido un error al intentar facturar el pedido # %s. El proceso por lotes se ha detenido: %s'), $pedido_sf->id, $e->getMessage());
			
			echo json_encode($respuesta);
			exit;*/
		}
	}
	$respuesta["respuesta"] = "ok";
	if ($algun_error == false){
		$respuesta["mensaje"] = sprintf(__("Se han facturado %s pedidos."), $cuenta_pedidos);
	} else {
		$respuesta["mensaje"] = sprintf(__("Se han facturado %s pedidos. Algunos pedidos no han podido facturarse al producirse algún error:"), $cuenta_pedidos).'<br>'.$error_txt;
	}
} else {
	$respuesta["respuesta"] = "error";
	$respuesta["mensaje"] = __('No se ha encontrado ningún pedido a facturar');
}
Helpers::Panic(json_encode($respuesta));
?>