<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
c_include('sistemaIdioma');
e_include('ext_shop/class/impuestoShop');
if (!class_exists('ImpuestoShop'))
	Helpers::Panic();
	
$impuesto = new ImpuestoShop();
if ($_POST['borrar'] == "true"){
	if (!empty($_POST['id'])){
		$impuesto->setid($_POST['id']);
		if ($impuesto=$impuesto->BuscarId()){
			if ($impuesto->Borrar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Se ha producido un error al intentar borrar el impuesto'));
			}
		} else {
			Helpers::Panic();
		}
	} else {
			Helpers::Panic();
	}
} else {
	if ($_POST["ext_shop"]['detalles']['accion'] == 'editar'){
		$impuesto->setid($_POST["ext_shop"]['detalles']['id']);
		if ($impuesto = $impuesto->BuscarId()){
		} else {
			Helpers::Panic();
		}
	}
	
	foreach ($_POST["ext_shop"]["detalles"]["alias"] as $klang=>$lang_alias){
		if (empty($lang_alias))
			$_POST["ext_shop"]["detalles"]["alias"][$klang] = Helpers::parseaTexto($_POST["ext_shop"]["detalles"]["nombre"][$klang]);
	}
	
	$array_nombre = array();
	$array_alias = array();
	$array_paises = array();
	
	$array_nombre = Helpers::to_utf8($_POST["ext_shop"]["detalles"]["nombre"]);
	$array_nombre = json_encode($array_nombre);
	
	$array_alias = Helpers::to_utf8($_POST["ext_shop"]["detalles"]["alias"]);
	$array_alias = json_encode($array_alias);
	
	$array_paises = Helpers::to_utf8($_POST["ext_shop"]["detalles"]["pais"]);
	$array_paises = json_encode($array_paises);
	
	$impuesto->setnombre($array_nombre);
	$impuesto->setpais($array_paises);
	$impuesto->setalias($array_alias);
	$impuesto->setcreador($_POST["ext_shop"]["detalles"]["creador"]);
	$impuesto->setcreador_alias(utf8_decode($_POST["ext_shop"]["detalles"]["creador_alias"]));
	$impuesto->setcodigo_postal($_POST["ext_shop"]["detalles"]["codigo_postal"]);
	$impuesto->settarifa($_POST["ext_shop"]["detalles"]["tarifa"]);
	$impuesto->setenvio($_POST["ext_shop"]["detalles"]["envio"]);
	$impuesto->settipo($_POST["ext_shop"]["detalles"]["tipo"]);
	$impuesto->setactivo($_POST["ext_shop"]["detalles"]["activo"]);
	
	switch ($_POST["ext_shop"]['detalles']['accion']){
		case 'editar':
			if ($impuesto->Modificar()){
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido guardar el impuesto'));
			}
			break;
			
		case 'nuevo':
			if ($impuesto->Guardar()){
					Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido crear el impuesto'));
			}
			break;
	}
}
?>