// JavaScript Document
jQuery(document).ready(function(e) {
	if (jQuery('a.del_cupon').length > 0){
		jQuery('a.del_cupon').each(function(index, element) {
			jQuery(element).on('click', function(){
				var id_coupon = jQuery(element).data('id');
				var url_del = jQuery(element).data('delurl');
				var text = jQuery(element).data('text');
				var token = jQuery(element).data('token');
				
				if (id_coupon > 0){
					bootbox.confirm(text, function(resultado){
						if (resultado == true){
							jQuery.post(url_del, { accion: 'del_coupon', id_coupon: id_coupon, token: token }, function(data){
								if (data == "ok"){
									bootbox.alert("Cupón borrado");
									document.location.reload(true);
								} else {
									bootbox.alert(data);
								}
							});
						}
					});
				}
				return false;
			});
        });
	}
	
    jQuery('.shop_removefromcart').click(function(){
		var este = jQuery(this);
		var id_producto = este.attr('__id_producto');
		var id_linea_cesta = este.attr('__id_linea_cesta');
		var url_redirect = este.attr('__url_redirect');
		var divMsgDel = jQuery('.msgAlert_'+id_producto);
		var txtDivMsgDel = divMsgDel.html();
		
		bootbox.confirm(txtDivMsgDel, function(result) {
			if (result == true){
				document.write('<form method="post" action="'+url_redirect+'" id="frmRemoveFromCart"><input type="hidden" name="id_producto" value="'+id_linea_cesta+'"><input type="hidden" name="accion" value="deletefromcart"></form>');
				jQuery('form#frmRemoveFromCart').submit();
			}
		}); 
		
	});
	
	jQuery('.shop_addtocart').click(function(){
		var este = jQuery(this);
		var id_producto = este.attr('__id_producto');
		var url_redirect = este.attr('__url_redirect');
		var cantidad = este.parent().find('input.cantidad-producto').val();
		var form = este.attr('__form');
		
		if (cantidad == undefined){
			cantidad = 1;
		}
		
		if (form == undefined){
			document.write('<form method="post" action="'+url_redirect+'" id="frmAddToCart"><input type="hidden" name="cantidad" value="'+cantidad+'"><input type="hidden" name="id_producto" value="'+id_producto+'"><input type="hidden" name="accion" value="addtocart"></form>');
			
			jQuery('form#frmAddToCart').submit();
		} else {
			var jForm = jQuery("#"+form);
			jForm.attr("action", url_redirect);
			jForm.append('<input type="hidden" name="id_producto" value="'+id_producto+'"><input type="hidden" name="accion" value="addtocart">');
			jForm.submit();
		}
	});

       jQuery('.shop_addtocart_popup').click(function(){
		var este = jQuery(this);
		var id_producto = este.attr('__id_producto');
		var url_redirect = este.attr('__url_redirect');
		var cantidad = este.parent().find('input.cantidad-producto').val();
		var form = este.attr('__form');
		
		if (cantidad == undefined){
			cantidad = 1;
		}
		
		if (form == undefined){
			if ($("#frmAddToCart").length > 0){
				$("#frmAddToCart").remove();
			}
			
			jQuery('body').append('<form method="post" action="'+url_redirect+'" id="frmAddToCart" target="_blank"><input type="hidden" name="cantidad" value="'+cantidad+'"><input type="hidden" name="id_producto" value="'+id_producto+'"><input type="hidden" name="accion" value="addtocart"></form>');

                        $("#frmAddToCart").submit(function(e) {
	
	var w = screen.width;
	var h = screen.height;
	var left = (screen.width / 2) - (w / 2);
	var top = (screen.height / 2) - (h / 2);
	var targetWin = window.open('', 'popup_muzzim', 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);
	this.target='popup_muzzim';
        //location.reload();
}); 
			
			jQuery('form#frmAddToCart').submit();
		} else {
			var jForm = jQuery("#"+form);
			jForm.attr("action", url_redirect);
                        jForm.attr("target", "_blank");
			jForm.append('<input type="hidden" name="id_producto" value="'+id_producto+'"><input type="hidden" name="accion" value="addtocart">');
			jForm.submit();
		}

               return false;
	});
	
	$(".pasarela_pago_option, #registerForm input#envio_igual_facturacion-checkbox").on("click", function(){
		var este = $(this);
		
		MideasFunciones.openMdlInfo("Actualizando los datos...", 500, 0, function(){
			var valor_pasarela = este.val();
			var url_ajax = este.data("url");
			var token_form = este.data("token");
			
			var frmchk = $("form#registerForm.checkout");
			
			if (valor_pasarela != '' && url_ajax != '' && url_ajax != undefined){
				
				$.post(url_ajax, { token: token_form, accion: 'cambia_pasarela_pago', pasarela: valor_pasarela, posted: frmchk.serialize()  }, function(data){
					if (data == 'ok'){
						$("#ajaxCesta").load(url_ajax+" #ajaxCesta", function(){
							$("#ajaxBtns").load(url_ajax+" #ajaxBtns", function(){
								MideasFunciones.closeMdlInfo("Método de pago y totales actualizados", 500, 3000);
								return false;
							});
						});
						
						//window.location.reload(true);
					} else {
						console.debug(data);
						este.attr("checked", false);
						MideasFunciones.closeMdlInfo("Se ha producido un error al intentar actualizar los datos", 500, 5000);
						return false;
						
					}
				});
			} else {
				MideasFunciones.closeMdlInfo("Se ha producido un error al intentar actualizar los datos", 500, 5000);
				return false;
			}
			
		});
		
		
	});
	
	$("#registerForm select#provincia, #registerForm select#envio_provincia, #registerForm select#pais, #registerForm select#envio_pais").on("change", function(){
		var este = $("#registerForm input#envio_igual_facturacion-checkbox");
		
		MideasFunciones.openMdlInfo("Actualizando los datos...", 500, 0, function(){
			var valor_pasarela = este.val();
			var url_ajax = este.data("url");
			var token_form = este.data("token");
			
			var frmchk = $("form#registerForm.checkout");
			
			if (valor_pasarela != '' && url_ajax != '' && url_ajax != undefined){
				
				$.post(url_ajax, { token: token_form, accion: 'cambia_pasarela_pago', pasarela: valor_pasarela, posted: frmchk.serialize()  }, function(data){
					if (data == 'ok'){
						$("#ajaxCesta").load(url_ajax+" #ajaxCesta", function(){
							$("#ajaxBtns").load(url_ajax+" #ajaxBtns", function(){
								MideasFunciones.closeMdlInfo("Método de pago y totales actualizados", 500, 3000);
								return false;
							});
						});
						
						//window.location.reload(true);
					} else {
						console.debug(data);
						este.attr("checked", false);
						MideasFunciones.closeMdlInfo("Se ha producido un error al intentar actualizar los datos", 500, 5000);
						return false;
						
					}
				});
			} else {
				MideasFunciones.closeMdlInfo("Se ha producido un error al intentar actualizar los datos", 500, 5000);
				return false;
			}
			
		});
	});
	
});
jQuery(function() {
    jQuery("div.cantidad").append('<input type="button" value="-" id="minus1" class="minus"><input type="button" value="+" id="add1" class="plus">');
	
	jQuery(".minus").click(function() {
		var $button = jQuery(this);
		var oldValue = parseFloat($button.parent().find("input[type=text]").val());
		
		// Don't allow decrementing below zero
		if (oldValue > 0) {
		  var newVal = parseFloat(oldValue) - 1;
		  // AJAX save would go here
		} else {
			var newVal = 0;
		}
		$button.parent().find("input[type=text]").val(newVal);
	});
	
	jQuery(".plus").click(function() {
		var $button = jQuery(this);
		var oldValue = $button.parent().find("input[type=text]").val();
		var newVal = parseFloat(oldValue) + 1;
		// AJAX save would go here
		$button.parent().find("input[type=text]").val(newVal);
	});
});