<?php
e_include('ext_shop/class/reglaPrecioCondicion');
class ClientePaisReglaPrecioCondicion extends ReglaPrecioCondicion
{
	protected $grupo = 'cliente';
	protected $id = 'pais';
	protected $nombre = 'Pais del cliente';
	
	
	public function __construct($operacion, $valor){
		if ($this->checkOperacion($operacion) && $this->checkValor($valor)){
			$this->resultado = $this->checkCondicion($operacion,$valor);
		}
	}
	
	private function checkCondicion($op,$val){
		c_include('usuario');
		
		if (!Usuario::isLoged())
			return false;
			
		$usr_sess = Helpers::getSesion()->get('shop.usuario');
			
		if ($usr_sess['envio_igual_facturacion'] == '0'){
			$pais_usr = $usr_sess['envio_pais'];
		} else {
			$pais_usr = $usr_sess['pais'];
		}
		
		if ($this->evaluaOperacion($pais_usr, $val, $op)){
			return true;
		} else {
			return false;
		}
	}
}