<?php
e_include('ext_shop/class/reglaPrecioCondicion');
class ClientePedidosCompletadosReglaPrecioCondicion extends ReglaPrecioCondicion
{
	protected $grupo = 'cliente';
	protected $id = 'pedidosCompletados';
	protected $nombre = 'Número de pedidos completados';
	
	
	public function __construct($operacion, $valor){
		if ($this->checkOperacion($operacion) && $this->checkValor($valor)){
			$this->resultado = $this->checkCondicion($operacion,$valor);
		}
	}
	
	private function checkCondicion($op,$val){
		c_include('usuario');
		e_include('ext_shop/class/pedidoShop');
		
		if (!Usuario::isLoged())
			return false;
			
		$id_usr = Usuario::getLogedId();
		
		$num_pedidos_usr = new PedidoShop();
		$num_pedidos_usr = $num_pedidos_usr->ListarCount("estado='completado' AND usuario_id='".mysql_escape_string($id_usr)."'");
			
		if ($this->evaluaOperacion($num_pedidos_usr, $val, $op)){
			return true;
		} else {
			return false;
		}
	}
}