<?php
defined('CONF_URL_APP') or die;
	
class EstadoPedidoShop extends EntidadModel
{
	protected $dbt_const = "DBT_SHOP_PEDIDOS_ESTADOS";
	protected $dbt = "shop_pedidos_estados";
	
	protected $ext_folder = "ext_shop";
	
	protected $all_vars = array("id","nombre","clase_css","icono","params");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("nombre","clase_css","icono","params");
	
	protected $campos_multilang = array("nombre");
	protected $campos_array = array("params");
	
	public function __construct($id_estado='') {
		parent::__construct();
		
		if (!empty($id_estado)){
			$this->setid($id_estado);
			if ($this->id) {
				$link = new DB();
				$i    = 0;
				$sql  = "
						SELECT 
							*
							
						FROM
							" . DBT_SHOP_PEDIDOS_ESTADOS . "
							
						WHERE
							id = " . $this->id;
				$res  = $link->Query($sql);
				$x    = $link->FetchArray($res);
				$a 	  = $this->get_classvars();
				foreach ($a as $clave) {
					$this->$clave = $this->filtroSalida($x[$clave]);
				}
				$link->Desconectar();
			}
		}
	}
	
    function printLabelEstado(){
		if (!empty($this->id)){
			$html = '<span class="label '.$this->clase_css.'">'.SistemaIdioma::Imprimir($this->nombre).'</span>';
			return $html;
		} else {
			return '';
		}
	}
	
	private function filtroEntrada($contenido) {
        return (Helpers::mres(Helpers::from_utf8($contenido)));
    }
    private function filtroSalida($contenido) {
        return (Helpers::to_utf8($contenido));
    }
}
?>