<?php
defined('CONF_URL_APP') or die;
class FabricanteShop extends ItemModel
{
	protected $dbt_const = "DBT_SHOP_FABRICANTES";
	protected $dbt = "shop_fabricantes";
	
	protected $ext_folder = "ext_shop";
	protected $ext_vista_categoria = "categoria_fabricantes";
	protected $ext_vista_item = "fabricante";
	
	protected $ext_item_class = "FabricanteShop";
	protected $ext_categoria_class = "CategoriaProducto";
	protected $ext_item_campoextra_class = "FabricanteShopCampoExtra";
	
	protected $all_vars = array("id","titulo","alias","contenido","texto_corto","fecha","fecha_publicacion","estado","imagen_destacada","categorias","creador","creador_alias","propietario","params","tags","idioma","lugar","direccion","codigo_postal","localidad","provincia","pais","latitud","longitud","location","acceso","id_original");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("titulo","alias","contenido","texto_corto","fecha_publicacion","estado","imagen_destacada","categorias","creador","creador_alias","propietario","params","tags","idioma","lugar","direccion","codigo_postal","localidad","provincia","pais","latitud","longitud","location","acceso","id_original");
	
	protected $campos_multilang = array("titulo","alias","contenido","texto_corto","lugar");
	protected $campos_array = array("params","categorias");
	
	protected $campo_url_path = 'id';
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_shop/class/categoriaProducto');
	}
}
?>