<?php
defined('CONF_URL_APP') or die;
	
class ImpuestoShop extends EntidadModel
{
	protected $dbt_const = "DBT_SHOP_IMPUESTOS";
	protected $dbt = "shop_impuestos";
	
	protected $ext_folder = "ext_shop";
	
	protected $all_vars = array("id","nombre","alias","pais","fecha","codigo_postal","tarifa","creador","creador_alias","envio","tipo","activo");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("nombre","alias","pais","codigo_postal","tarifa","creador","creador_alias","envio","tipo","activo");
	
	protected $campos_multilang = array("nombre","alias");
	protected $campos_array = array("pais");
	
	public function __construct() {
		parent::__construct();
	}
	
    function getpais($as_array=false)
    {
		if ($as_array == false){
        	return utf8_decode($this->pais);
		} else {
			$tmp = json_decode($this->pais);
			$array_paises = $tmp;
			return $array_paises;
		}
    }
}
?>