<?php
defined('CONF_URL_APP') or die;
if (!function_exists('ext_shop_extension_admin_init')){
	function ext_shop_extension_admin_init(){
		//Para ejecutar scripts en todas las páginas del backend
		c_include('app');
		e_include('ext_shop/class/helper');
		$opts = $GLOBALS['opciones']['ext_shop'];
		
		ShopHelper::renderDynamicAdminWidgets();
		
		if (empty($opts['clientes']['formulario_facturacion']) || empty($opts['clientes']['formulario_envio'])){
			App::setMsg(sprintf(__('Debes seleccionar los formularios de facturación y envío en la pestaña \'Clientes\' de la página de <a href="%s" class="iframe-config">ajustes de la extensión Shop</a>.'), CONF_URL_APP_ADMIN.'?extension=configuracion&load=ext_shop&popup=1'), 'error', 'admin');
		}
		
		if (empty($opts['venta']['pagina_agradecimiento'])){
			App::setMsg(sprintf(__('Debes seleccionar la página de agradecimiento del pedido en la pestaña \'Venta\' de la página de <a href="%s" class="iframe-config">ajustes de la extensión Shop</a>.'), CONF_URL_APP_ADMIN.'?extension=configuracion&load=ext_shop&popup=1'), 'error', 'admin');
		}
	}
}
if (!function_exists('ext_shop_extension_init')){
	function ext_shop_extension_init(){
		//Para ejecutar scripts en todas las páginas del frontend
	}
}