<?php
defined('CONF_URL_APP') or die;
class ProductoAtributoValor extends EntidadModel
{
	protected $dbt_const = "DBT_SHOP_PRODUCTOS_ATRIBUTOS_VALORES";
	protected $dbt = "shop_productos_atributos_valores";
	
	protected $ext_folder = "ext_shop";
	
	protected $all_vars = array("id","atributo_id","valor","params","orden");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("atributo_id","valor","params","orden");
	
	protected $campos_multilang = array("valor");
	protected $campos_array = array("params");
	
	public function __construct() {
		parent::__construct();
	}
	
	function includes() {
        e_include('ext_shop/class/productoAtributoTipo');
    }
	
    public function getInfo(){
	}
	
	public function printTextura($w, $h){
		if (empty($w))
			$w = 32;
			
		if (empty($h))
			$h = 32;
		
		$params = Helpers::toArray(json_decode($this->params));
		$params = $params['opciones'];
		
		if (!empty($params['textura'])){
			return '<img src="'.Helpers::generateImageLink($params['textura'], $w, $h).'" />';
		} elseif (!empty($params['color'])){
			return '<span style="background-color: #'.$params['color'].'; width: '.$w.'px; height: '.$h.'px; display: block;"></span>';
		} else {
			return false;
		}
	}
}
?>