<?php defined('CONF_URL_APP') or die(); 
$config_shop = $GLOBALS['opciones']['ext_shop'];
?>
<?php e_include('ext_shop/class/helper'); ?>
<h3 style="border-bottom:2px solid #eee; font-size:1.05em; padding-bottom:1px; "><?php echo sprintf(__('Detalles del pedido #%s'), $this->id);?> <small><?php echo sprintf(__('(realizado el %s)'), strftime("%d-%m-%Y a las %H:%M", strtotime($this->fecha)));?></small></h3>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
  <thead>
    <tr>
      <th align="left" width="48.5%" bgcolor="--colorprincipal--" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em; color:--colortitulos--"><?php echo __('Información de facturación:');?></th>
      <th width="3%"></th>
      <th align="left" width="48.5%" bgcolor="--colorprincipal--" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em; color:--colortitulos--"><?php echo __('Método de pago:');?></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo $this->print_datos_facturacion_html();?></td>
      <td>&nbsp;</td>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo $this->datos['metodo_pago']['titulo'];?><p><?php echo $this->datos['metodo_pago']['descripcion']['es'];?></p><p><?php echo $instrucciones_pago;?></p></td>
    </tr>
  </tbody>
</table>
<br/>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
  <thead>
    <tr>
      <th align="left" width="48.5%" bgcolor="--colorprincipal--" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em; color:--colortitulos--"><?php echo __('Información de envío:');?></th>
      <th width="3%"></th>
      <th align="left" width="48.5%" bgcolor="--colorprincipal--" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em; color:--colortitulos--"><?php echo __('Método de envío:');?></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo $this->print_datos_envio_html();?> &nbsp; </td>
      <td>&nbsp;</td>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo SistemaIdioma::Imprimir($this->datos['total']['envio_nombre']);?> &nbsp; </td>
    </tr>
  </tbody>
</table>
<br/>
<?php if (sizeof( $this->lineas ) > 0){?>
<table cellspacing="0" cellpadding="0" border="0" width="100%" style="border:1px solid #bebcb7;background:#f8f7f5">
  <thead>
    <tr>
      <th align="left" bgcolor="--colorprincipal--" style="padding:3px 9px;color:--colortitulos--"><?php echo __('Artículo');?></th>
      <th align="left" bgcolor="--colorprincipal--" style="padding:3px 9px;color:--colortitulos--"><?php echo __('Código');?></th>
      <th align="center" bgcolor="--colorprincipal--" style="padding:3px 9px;color:--colortitulos--"><?php echo __('Cantidad');?></th>
      <th align="right" bgcolor="--colorprincipal--" style="padding:3px 9px;color:--colortitulos--"><?php echo __('Subtotal');?></th>
    </tr>
  </thead>
  <?php 
  foreach ($this->lineas as $linea){
	  $_pr = unserialize($linea->data);
	  ?>
  <tbody bgcolor="#eeeded">
    <tr>
      <td align="left" valign="top" style="padding:3px 9px"><strong><?php echo SistemaIdioma::Imprimir($_pr->nombre);?></strong>
        <?php if ($linea->variation_id > 0){
			$variation = Helpers::toArray(json_decode($linea->variation));
			
			if (is_array( $variation ) && sizeof( $variation ) > 0){
				$atributos='';
				$tmp_str='';
				foreach ($variation as $k=>$v){
					$pa = new ProductoAtributo();
					$pa->setid($k);
					
					if ($pa = $pa->BuscarId()){
						if (!empty($v)){
							$pav = new ProductoAtributoValor();
							$pav->setid($v);
							
							if ($pav = $pav->BuscarId()){
								$vt = SistemaIdioma::Imprimir($pav->valor);
							}
						} else {
							$vt = __('Cualquiera');
						}
						
						$tmp_str .= '<dt><strong><em>'.SistemaIdioma::Imprimir($pa->titulo).'</em></strong></dt><dd style="margin:0;padding:0 0 0 9px">'.$vt.'</dd>';
					}
					
				}
				$atributos = $tmp_str;
			?>
        <dl style="margin:0;padding:0">
          <?php echo $atributos;?>
        </dl>
        <?php } } ?></td>
      <td align="left" valign="top" style="padding:3px 9px"><?php echo $_pr->sku;?></td>
      <td align="center" valign="top" style="padding:3px 9px"><?php echo $linea->cantidad;?></td>
      <td align="right" valign="top" style="padding:3px 9px"><span><?php echo number_format($linea->linea_total, 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
  </tbody>
  <?php } ?>
  <tfoot>
    <tr>
      <td colspan="3" align="right" style="padding:3px 9px"><?php echo __('Subtotal');?><br /><small><?php echo __('(sin impuestos)');?></small></td>
      <td align="right" style="padding:3px 9px"><span><?php echo number_format($this->datos['total']['subtotal_ex_impuesto'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
    <?php
		if ($config_shop['impuestos']['activar_impuestos'] == '1' && $config_shop['impuestos']['mostrar_impuestos_carrito'] == '1'){
		if ($config_shop["mostrar_impuestos_cero"]!="0" && $this->datos['total']['impuesto_total'] > 0){?>
    <tr>
      <td colspan="3" align="right" style="padding:3px 9px"><?php echo SistemaIdioma::Imprimir($this->datos['total']['impuesto_nombre']);?></td>
      <td align="right" style="padding:3px 9px"><span><?php echo number_format(($this->datos['total']['impuesto_total'] + $this->datos['total']['envio_impuesto_total']), 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
    <?php } } ?>
    <?php if ($this->datos['total']['envio_total'] > 0){?>
    <tr>
      <td colspan="3" align="right" style="padding:3px 9px"><?php echo SistemaIdioma::Imprimir($this->datos['total']['envio_nombre']);?></td>
      <td align="right" style="padding:3px 9px"><span><?php echo number_format($this->datos['total']['envio_total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
    <?php } ?>
    <tr>
      <td colspan="3" align="right" style="padding:3px 9px"><?php echo __('Descuento');?></td>
      <td align="right" style="padding:3px 9px"><span>-<?php echo number_format($this->datos['total']['descuento_total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
    <tr bgcolor="#DEE5E8">
      <td colspan="3" align="right" style="padding:3px 9px"><strong><big><?php echo __('Suma Total');?></big></strong></td>
      <td align="right" style="padding:6px 9px"><strong><big><span><?php echo number_format($this->datos['total']['total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></big></strong></td>
    </tr>
  </tfoot>
</table>
<br/>
<?php } ?>
<?php echo utf8_decode($this->comentarios);?>