<?php
class Cesta_pago_formModel{
	protected $ext_folder = "ext_shop_cesta_pago_form";
	
	function __construct(){
		//Incluimos los archivos necesarios
		self::includes();
		
		//Recuperamos los parámetros de la vista
		$this->get_params();
		
		$this->get_opts();
	}
	
	public function getTitulo(){
		return __('Finalizar pago');
	}
	
	private function includes(){
		//Clase requerida
		e_include('ext_shop/class/checkout');
	}
	
	private function get_params(){
		global $shop;
		
		$this->pago = $shop->pago;
	}
	
	private function get_opts(){
		$this->met_pag_sel = Helpers::getSesion()->get('shop._metodo_pago_elegido');
		$this->pedido_id = Helpers::getSesion()->get('shop.pedido_esperando_pago');
		// Payment Method
		$this->available_gateways = $this->pago->get_available_pasarelas_pago();
		
		if ( ! isset( $this->available_gateways[ $this->met_pag_sel ] ) ) {
			$this->metodo_pago = '';
			App::setMsg( __( 'Invalid payment method.' ), 'error' );
		} else {
			$this->metodo_pago = $this->available_gateways[ $this->met_pag_sel ];
			//$this->metodo_pago->validate_campos();
		}
		
		$this->pedido = new PedidoShop();
		$this->pedido->setid($this->pedido_id);
		$this->pedido = $this->pedido->BuscarId();
	}
	
	/**
     * Returns a property of the object or the default value if the property is not set.
     *
     * @param   string  $property  The name of the property.
     * @param   mixed   $default   The default value.
     *
     * @return  mixed    The value of the property.
     *
     * @since   11.1
     *
     * @see     getProperties()
     */
    public function get($property, $default = null) {
        if (isset($this->$property)) {
            return $this->$property;
        }
        return $default;
    }
    /**
     * Returns a property of the object or the default value if the property is not set.
     *
     * @param   string  $property  The name of the property.
     * @param   mixed   $default   The default value.
     *
     * @return  mixed    The value of the property.
     *
     * @since   11.1
     *
     * @see     getProperties()
     */
    public function set($property, $default = null) {
        $this->$property = $default;
        return $default;
    }
	
}