<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
	
e_include('ext_shop/models/reglas');
if (!class_exists('ReglasPreciosModel')){
	$msg = __("No se ha encontrado la clase de la extensión");
	echo App::printErrorPage('500', $msg );
	Helpers::Panic();
}
$reglas_model = new ReglasPreciosModel();
$reglas_model->init();
$redirect_url = Helpers::resolveLink(false,'ext_shop','cesta');
$sess_cesta = Helpers::getSesion()->get('shop.cesta');
if (!isset($sess_cesta) || empty($sess_cesta)){
	App::setMsg(__('La cesta de la compra no existe!'), 'error');
	Helpers::redirect($redirect_url);
	exit;
}
if ($_POST['accion'] == 'del_coupon'){
	if ($_POST['token'] != Helpers::getFormToken()){
		Helpers::Panic(__('Token no válido'));
	}
	if (empty($_POST['id_coupon'])){
		Helpers::Panic(__('No se puede quitar el cupón.'));
	}
	
	if (is_array($reglas_model->cupones_aplicables) && sizeof($reglas_model->cupones_aplicables) > 0){
		foreach ($reglas_model->cupones_aplicables as $cupon_aplicable){
			if ($cupon_aplicable->id == $_POST['id_coupon']){
				$quitado = $cupon_aplicable->quitarCuponSesion($_POST['id_coupon']);
			}
		}
	} else {
		Helpers::Panic(__('Se ha producido un error al intentar quitar el cupón'));
	}
	
	if ($quitado === true)
		Helpers::Panic('ok');
	else
		Helpers::Panic($quitado);
		
}
if (!empty($_POST['coupon_code'])){
	if (is_array($reglas_model->cupones_aplicables) && sizeof($reglas_model->cupones_aplicables) > 0){
		foreach ($reglas_model->cupones_aplicables as $cupon_aplicable){
			$aplicado = $cupon_aplicable->aplicarCuponSesion($_POST['coupon_code']);
			if ($aplicado === true){
				App::setMsg(__('¡El cupón se ha aplicado correctamente!'), 'error');
				Helpers::redirect($redirect_url);
				exit;
			} elseif ($aplicado != false){
				App::setMsg($aplicado, 'error');
				Helpers::redirect($redirect_url);
				exit;
			}
		}
	}
}
App::setMsg(__('No hay ningún cupón que aplicar o no se cumplen las condiciones necesarias para aplicar el cupón.'), 'error');
Helpers::redirect($redirect_url);
exit;