<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
e_include('ext_shop/class/producto','ext_shop/class/envio','ext_shop/class/envioShop','ext_shop/class/metodoEnvio');
if (!class_exists('Producto')){
	$msg = __("No se ha encontrado la clase de la extensión");
	echo App::printErrorPage('500', $msg );
	Helpers::Panic();
}
$redirect_url = Helpers::resolveLink(false,'ext_shop','cesta');
$sess_cesta = Helpers::getSesion()->get('shop.cesta');
if (!isset($sess_cesta) || empty($sess_cesta)){
	App::setMsg(__('La cesta de la compra no existe!'), 'error');
	Helpers::redirect($redirect_url);
	exit;
}
$sess_usr = Helpers::getSesion()->get('shop.usuario');
if (!empty($_POST['localizacion_envio'])){
	$parsed_loc = explode('.',$_POST['localizacion_envio']);
	
	$sess_usr['pais'] = $parsed_loc[0];
	$sess_usr['provincia'] = $parsed_loc[1];
} else {
	if (!empty($_POST['pais_envio'])){
		$sess_usr['pais'] = $_POST['pais_envio'];
	} else {
		unset($sess_usr['pais']);
	}
	if (!empty($_POST['provincia_envio'])){
		$sess_usr['provincia'] = $_POST['provincia_envio'];
	} else {
		unset($sess_usr['provincia']);
	}
}
if (!empty($_POST['codigo_postal_envio'])){
	$sess_usr['codigo_postal'] = $_POST['codigo_postal_envio'];
} else {
	unset($sess_usr['codigo_postal']);
}
Helpers::getSesion()->set('shop.usuario', $sess_usr);
$envios_calc = $this->carrito->calcular_envio();
$this->carrito->set_session();
if (!empty($this->carrito->envio_total)){
	App::setMsg(__('El envío se ha calculado correctamente.'), 'info');
	Helpers::redirect($redirect_url);
	exit;
} else {
	//App::setMsg(__('No se ha encontrado ningún envío'), 'error');
	Helpers::redirect($redirect_url);
	exit;
}
?>