<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
	
e_include('ext_shop/class/producto');
if (!class_exists('Producto')){
	$msg = __("No se ha encontrado la clase de la extensión");
	echo App::printErrorPage('500', $msg );
	Helpers::Panic();
}
$sess_cart = Helpers::getSesion()->get('shop.cesta');
if (!isset($sess_cart[$_POST['id_producto']])){
	App::setMsg(__('El producto no se encuentra en la cesta de la compra'), 'error');
	Helpers::redirect($redirect_url);
	exit;
} else {
	$this->carrito->set_cantidad($_POST['id_producto'], 0);
}
$redirect_url = Helpers::resolveLink(false,'ext_shop','cesta');
App::setMsg(__('El producto se ha eliminado de la cesta de la compra'), 'info');
Helpers::redirect($redirect_url);
exit;
?>