<?php
defined('CONF_URL_APP') or die;
if (empty($_POST))
	Helpers::Panic();
	
e_include('ext_shop/class/producto');
if (!class_exists('Producto')){
	$msg = __("No se ha encontrado la clase de la extensión");
	echo App::printErrorPage('500', $msg );
	Helpers::Panic();
}
$redirect_url = Helpers::resolveLink(false,'ext_shop','cesta');
$sess_cesta = Helpers::getSesion()->get('shop.cesta');
if (!isset($sess_cesta) || empty($sess_cesta)){
	App::setMsg(__('La cesta de la compra no existe!'), 'error');
	Helpers::redirect($redirect_url);
	exit;
}
$error_txt = '';
foreach ($this->carrito->get_carrito() as $kpcesta=>$prod_cesta){
	if ($_POST['cart'][$kpcesta]['cantidad'] == "0"){
		$this->carrito->set_cantidad($kpcesta, 0);
	} else {
		$append_txt = '';
		
		if (!is_array($prod_cesta['variation'])){
			$producto = new Producto();
			$producto->setid($prod_cesta['product_id']);
			
			if ($producto = $producto->BuscarId()){
			} else {
				App::setMsg(__('No se ha encontrado el producto.'), 'error');
				Helpers::redirect($redirect_url);
				exit;
			}
		} else {
			$producto = $prod_cesta['data'];
			
			foreach ($prod_cesta['variation'] as $kvar=>$var){
				$append_txt .= ' - '. $kvar .': '.$var;
			}
		}
		
		$sess_cart = Helpers::getSesion()->get('shop.cesta');
		if (isset($sess_cart[$kpcesta]['cantidad'])){
			$cantidad_total = (int) $_POST['cart'][$kpcesta]['cantidad'];
		} else {
			$cantidad_total = 0;
		}
		if ($cantidad_total > (int) $producto->stock){
			$error_txt .= sprintf(__('No hay stock suficiente del producto "%s". Por favor, elige una cantidad inferior de este producto.'), SistemaIdioma::Imprimir($producto->nombre).$append_txt).'<br>';
		} else {
			$this->carrito->set_cantidad($kpcesta, $_POST['cart'][$kpcesta]['cantidad']);
		}
	}
}
if (!empty($error_txt)){
	App::setMsg($error_txt, 'error');
	Helpers::redirect($redirect_url);
	exit;
} else {
	App::setMsg(__('La cesta de la compra se ha actualizado correctamente'), 'info');
	Helpers::redirect($redirect_url);
	exit;
}
?>