<?php
defined('CONF_URL_APP') or die;

global $AppTpl;
if (!empty($this->categoria_fabricantes->titulo_dinamico))
	$titulo_pagina = $this->categoria_fabricantes->titulo_dinamico;
else
	if (empty($titulo_html))
		$titulo_pagina = SistemaIdioma::Imprimir($this->categoria_fabricantes->nombre);
	else
		$titulo_pagina = $titulo_html;
		
	$mensaje_cargando = $GLOBALS['params_enlace_actual']['listado']['mensaje_cargando'][SistemaIdioma::getIdiomaSesion()];
	$img_cargando = $GLOBALS['params_enlace_actual']['listado']['imagen_cargando'];

?>
<?php if (count($this->categoria_fabricantes->items) == 1){ $title = __('articulo'); } else { $title = __('articulos'); }?>
<?php if ($this->categoria_fabricantes->items != false){?>
<div data-infinitescroll="true" <?php if (!empty($mensaje_cargando)){?>data-infinitescroll-msg="<?php echo $mensaje_cargando;?>"<?php } ?> <?php if (!empty($img_cargando)){?>data-infinitescroll-img="<?php echo $img_cargando;?>"<?php } ?> id="is_ext_shop_fabricantes_<?php echo $_GET['linkId'];?>">

<div class="row ext_shop_fabricantes">
  <?php  $cuenta = 0;
foreach ($this->categoria_fabricantes->items as $item){
	$params_vista = $item->parametros_vista;
	
	$ico_categoria = $item->getCategoriaParam("icono");
	
	if ($params_vista["mostrar_imagen"] == "1") {
		$ancho_img = $params_vista["ancho_imagen"];
		$alto_img = $params_vista["alto_imagen"];

		if (empty($ancho_img))
			$ancho_img = '350';

		if (empty($alto_img))
			$ancho_img = '274';

		$img_dest = $item->getimagen_destacada($ancho_img, $alto_img);

		$img_dest_map = $item->getimagen_destacada(170, 60);

		$img_map_html = '';
		if (!empty($img_dest_map)) {
			$img_map_html = "<a href='" . $item->url_formateada . "'><img src='" . $img_dest_map . "' width='100%' /></a>";
		}
	} else {
		$img_dest = Helpers::generateImageLink($AppTpl->params["noimage"], 222, 256);
		$img_map_html = '';
	}
	
	$direccion_completa = $item->localizacion_html;
	
	$creador_obj = $item->getcreador(true,true);
	$url_creador = 'javascript:;';
	$nombre_creador = __('Usuario');
	
	if ($creador_obj instanceof Usuario){
		$url_creador = $creador_obj->url_formateada;
		$nombre_creador = $creador_obj->nombre;
	} elseif ($creador_obj instanceof AdminUsuario){
		$nombre_creador = $creador_obj->nombre;
	}
        
        $max_car_cont = empty($params_vista['longitud_contenido']) ? 200 : (int) $params_vista['longitud_contenido'];
	$cont = $params_vista['mostrar_contenido'] == '1' ? Helpers::recortarTexto(strip_tags($item->contenido_formateado), $max_car_cont) : '';
        
        $large_col = 12/$params_vista['numero_columnas'];
	$medium_col = 12/$params_vista['numero_columnas'];
	
	$cuenta++;
	?>
  <div class="col-lg-<?php echo $large_col?> col-md-<?php echo $medium_col?> col-sm-6 col-xs-6">
    <div class="item-map item-fabricante relative" data-lat="<?php echo $item->latitud;?>" data-lng="<?php echo $item->longitud;?>" data-icono="<?php echo $ico_categoria;?>" data-color="<?php echo $AppTpl->params['color_icono'];?>"  data-caption="<?php echo htmlentities($img_map_html, ENT_QUOTES);?><p><a href='<?php echo $item->url_formateada;?>'> <?php echo htmlentities(strip_tags($item->titulo_formateado), ENT_QUOTES);?></a><br /><span class='direccion'><?php echo htmlentities($direccion_completa, ENT_QUOTES);?></span></small></p>"> 
      
      <!--ABSOLUTE TOP LEFT-->
      <div class="data-info  absolute top-left">
        <?php if ($item->get_distancia() != false && $params_vista["mostrar_distancia"] == '1' && $params_vista["mostrar_localizacion"] == '1'){?>
        <small class="label label-success" title="<?php echo __('Distancia');?>" data-toggle="tooltip"><i class="fa fa-compass"></i> <?php echo $item->get_distancia(true);?></small>
        <?php } ?>
        <?php if ($params_vista["mostrar_karma"] == '1'){?>
        <small class="label label-success" title="<?php echo __('karma');?>" data-toggle="tooltip"><i class="fa fa-fire"></i> <?php echo $item->karma;?></small>
        <?php } ?>
        <?php if ($params_vista["mostrar_comentarios"] == '1'){?>
        <a href="<?php echo $item->url_formateada;?>#comentarios"><span class="label label-success"> <i data-toggle="tooltip" title="<?php echo $item->numero_comentarios;?> <?php echo __('Comentarios');?>" class="fa fa-comment"><span class="hide"><?php echo __('Comentarios');?>:</span> </i> <?php echo $item->numero_comentarios;?> </span> </a>
        <?php } ?>
      </div>
      <!--FIN ABSOLUTE TOP LEFT--> 
      
      <!--ABSOLUTE TOP RIGHT-->
      <div class="absolute top-right btn-group"> 
        
        <!--FAVORITOS-->
        <?php if ($ext_favoritos = Extension::BuscarPorCarpeta('ext_favoritos','extension')){
             e_include('ext_favoritos/class/favoritosHelper');
             $frm_favoritos = favoritosHelper::render_form('nuevo', 'button-list', '<i class="fa fa-folder-open" rel="tooltip" data-placement="bottom" title="'.__('Guardar').'"> </i>', 'class="btn btn-xs dropdown-toggle btn-default btn-group-item"', array('dropdown_class'=>'pull-right', 'imagen'=>$img_dest, 'url'=>$item->url_formateada, 'titulo'=>$item->titulo_formateado, 'multiple'=>true, 'extension'=>$item->get('ext_folder'), 'vista'=>$item->get('ext_vista_item'), 'id'=>$item->id));
			 ?>
        <span  class="auto-open-drop"><?php echo $frm_favoritos;?> </span>
        <?php  } ?>
        
        <!--COMPARTIR-->
        <?php if (is_array($item->urls_compartir) && sizeof($item->urls_compartir) > 0){?>
        <span class="auto-open-drop"> <a class="btn btn-xs  btn-group-item btn btn-default  dropdown-toggle" data-toggle="dropdown"><i class="fa fa-share-alt"></i></a>
        <ul class="dropdown-menu pull-right" role="menu">
          <?php foreach ($item->urls_compartir as $app_name=>$share_array){?>
          <li> <a href="<?php echo $share_array['url'];?>" class="popup"><?php echo $app_name;?></a> </li>
          <?php } ?>
        </ul>
        </span>
        <?php } ?>
      </div>
      <!--FIN ABSOLUTE TOP RIGHT-->
      
      <div class="<?php echo $GLOBALS['AppTpl']->params['contenedor_item']; ?> thumbnail-xs"> <a href="<?php echo $item->url_formateada;?>"><img class="<?php echo $GLOBALS['AppTpl']->params['clase_imagen']; ?>" src="<?php echo $img_dest;?>" width="100%" alt="<?php echo SistemaIdioma::Imprimir($item->titulo);?>"></a>
        <div class="caption absolute bottom bg-custom"> <a href="<?php echo $item->url_formateada;?>">
          <div class="row">
            <div class=" col-md-12">
              <?php if ($params_vista["mostrar_titulo"] == '1'){?>
              <h4><?php echo SistemaIdioma::Imprimir($item->titulo);?></h4>
              <?php } ?>
            </div>
            <?php if ($params_vista["mostrar_localizacion"] == '1'){?>
            <div class=" col-md-12">
              <address>
              <?php 
				if (!empty($lugar)){?>
              <strong><?php echo $lugar;?></strong>
              <?php } ?>
              <?php if (!empty($item->direccion)){?>
              <?php echo $item->direccion;?>
              <?php } ?>
              <?php if (!empty($item->codigo_postal)){?>
              <?php echo $item->codigo_postal;?>
              <?php } ?>
              <?php if (!empty($item->localidad_name)){?>
              <?php echo $item->localidad_name;?>
              <?php } ?>
              <?php if (!empty($item->provincia_name)){?>
              (<?php echo $item->provincia_name;?>)
              <?php } ?>
              <?php if (!empty($item->pais_name)){?>
              <?php echo $item->pais_name;?>
              <?php } ?>
              </address>
            </div>
            <?php } ?>
            <?php if (!empty($cont)){?>
            <div class="col-md-12">
              <p><?php echo $cont;?></p>
            </div>
            <?php } ?>
          </div>
          </a>
          <div>
            <?php if ($params_vista["mostrar_fecha"] == '1'){?>
            <small class="label label-success"> <i class="fa fa-calendar"></i> <?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($item->fecha_publicacion));?> </small>
            <?php } ?>
            <?php if ($params_vista["mostrar_autor"] == '1'){?>
            <a href="<?php echo $url_creador;?>"><small class="label label-success"><i title="<?php echo __('Autor');?>" class="fa fa-user"><span class="hide"><?php echo __('Por');?>:</span></i> <?php echo $nombre_creador;?></small></a>
            <?php } ?>
            <?php if ($params_vista["mostrar_categorias"] == '1'){?>
            <small class="label label-success"> <i class="fa fa-folder-open"></i> <?php echo $item->getcategorias(true);?> </small>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php } ?>
</div>
<?php if ($this->categoria_fabricantes->paginacion != false){?>
<div align="center">
  <ul class="pagination">
    <?php if ($this->categoria_fabricantes->paginacion['actual'] > 1){?>
    <li><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->categoria_fabricantes->paginacion['actual']-1));?>"><?php echo __('«');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('«');?></a></li>
    <?php } ?>
    <?php for ($i=$this->categoria_fabricantes->paginacion['seccion_inicio']; $i <= $this->categoria_fabricantes->paginacion['seccion_final']; $i++){?>
    <li<?php if ($i==$this->categoria_fabricantes->paginacion['actual']){?> class="active"<?php } ?>><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$i));?>"><?php echo $i;?></a></li>
    <?php } ?>
    <?php if ($this->categoria_fabricantes->paginacion['actual'] < $this->categoria_fabricantes->paginacion['total']){?>
    <li><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->categoria_fabricantes->paginacion['actual']+1));?>"><?php echo __('»');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('»');?></a></li>
    <?php } ?>
  </ul>
</div>
<?php } ?>
</div>
<?php } else { ?>
<div class="row">
  <div class="col-md-12">
    <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
      <div class="panel-body" align="center">
        <h4 style="margin-bottom:0;"><?php echo __('No hay ningún artículo')?></h4>
      </div>
    </div>
  </div>
</div>
<?php } ?>
