<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
$usr_sess = Helpers::getSesion()->get('shop.usuario');
?>
<div class="ext_shop_cesta row">
    <?php if (($this->config['envios']['activar_envios'] == '1' || $this->config['impuestos']['activar_impuestos'] == '1') && ($this->config['envios']['activar_calculadora_carrito'] == '1')){?>
    <div class="cart-collaterals col-md-3">
      <form id="frmEnvio" method="post" action="<?php echo Helpers::currentUrl(array(), true);?>" class="jqtransform shipping_calculator" >
        <h5><?php echo __('Calcular impuestos y gastos de envío');?></h5>
        <br clear="all">
        <section class="shipping-calculator-form">
          <?php /*?><label for="pais_envio"><?php echo __('País');?></label><?php */?>
          <select id="localizacion_envio" name="localizacion_envio" class="country_to_state select2"  rel="calc_shipping_state">
            <option value=""><?php echo __('Elige un destino');?></option>
            <?php foreach ($this->extra->paises_envio as $kpe=>$pe){
			  $prov_usr = $usr_sess['provincia'];
			  
			  if (empty($prov_usr) || !is_numeric($prov_usr)){
				  $prov_usr = '0';
			  }
			  
			  ?>
            <option <?php if ($kpe == $usr_sess['pais'].'.'.$prov_usr){?>selected="selected"<?php } ?> value="<?php echo $kpe;?>"><?php echo $pe;?></option>
            <?php } ?>
          </select>
          <div class="clearfix"></div>
          <input type="submit" value="<?php echo __('Calcular');?>" id="submitcoupon" name="submitcoupon" class="btn  btn-primary" />
        </section>
        <input type="hidden" value="calcshipping" name="accion">
      </form>
      <hr />
      <form id="frmCoupon" method="post" action="<?php echo Helpers::currentUrl(array(), true);?>" class="jqtransform shipping_calculator" >
        <div class="coupon">
          <label for="coupon_code"><?php echo __('Cupón de Descuento');?></label>
          <input name="coupon_code" class="form-control form-control" id="coupon_code" placeholder="<?php echo __('Código del cupón');?>" value="" size="100">
          <input type="submit" class="btn btn-primary" name="apply_coupon" value="<?php echo __('Applicar Cupón');?>">
          <input type="hidden" value="applycoupon" name="accion">
        </div>
      </form>
    </div>
    <?php } ?>
    <form id="frmCart" method="post" action="<?php echo Helpers::currentUrl(array(), true);?>" class="col-md-9" >
      <table width="85%" border="0" cellpadding="5" class="cesta table table-bordered table-striped shop_table cart">
        <tr>
          <th scope="col"></th>
          <th scope="col"></th>
          <th scope="col"><?php echo __('Producto');?></th>
          <th scope="col"><?php echo __('Precio/unidad');?></th>
          <th scope="col"><?php echo __('Cantidad');?></th>
          <th scope="col" align="right"><?php echo __('Precio');?></th>
        </tr>
        <?php if ( sizeof( $this->carrito->get_carrito() ) > 0 ) {?>
        <?php 
	$total_cesta = 0;
	
	$reglas_aplicadas_sistema = $this->carrito->reglas_aplicadas;
	$reglas_no_aplicadas = array();
	
	$ids_productos_anadidos = array();
	
	foreach ($this->carrito->get_carrito() as $cart_item_key=>$prod_cesta){
		$producto = new Producto();
		$producto->setid($prod_cesta['product_id']);
		$producto = $producto->BuscarId();
		
		$ids_productos_anadidos[] = $prod_cesta['product_id'];
		
		if (!empty($prod_cesta['variation_id']))
			$producto = $this->carrito->parseaVariacion($producto, $prod_cesta['variation_id']);
		
		$atributos = '';
		if (!empty($prod_cesta["variation"]) && is_array($prod_cesta["variation"])){
			$tmp_str='';
			foreach ($prod_cesta["variation"] as $k=>$v){
				$pa = new ProductoAtributo();
				$pa->setid($k);
				
				if ($pa = $pa->BuscarId()){
					if (!empty($v)){
						$pav = new ProductoAtributoValor();
						$pav->setid($v);
						
						if ($pav = $pav->BuscarId()){
							$vt = SistemaIdioma::Imprimir($pav->valor);
						}
					} else {
						$vt = __('Cualquiera');
					}
					
					$tmp_str .= SistemaIdioma::Imprimir($pa->titulo).': '.$vt.'<br>';
				}
				
			}
			$atributos = $tmp_str;
		}
		
		$precio_total_producto = (float) $prod_cesta['linea_total'] + (float) $prod_cesta['linea_impuesto'];
		
		$precio_ud_producto = (float) $prod_cesta['linea_total'] / $prod_cesta['cantidad'];
		
		$total_cesta += $precio_total_producto;
		
		?>
        <tr>
          <td class="borrar_producto_cesta"><a href="javascript:;" class="remove shop_removefromcart" __id_producto="<?php echo $producto->id;?>" __id_linea_cesta="<?php echo $cart_item_key;?>" __url_redirect="<?php echo Helpers::currentUrl();?>" title="<?php echo __('Borrar este producto');?>">×</a>
            <div class="msgAlert_<?php echo $producto->id;?>" style="display:none;">
              <p align="center"><?php echo __('¿Seguro que quieres borrar este producto de la cesta de la compra?');?></p>
            </div>
            <input name="cart[<?php echo $cart_item_key;?>][producto]" value="<?php echo $prod_cesta['producto'];?>" type="hidden" /></td>
          <td class="imagen_cesta"><a href="<?php echo $producto->getLink();?>" style="width: 90px;"> <img width="90" height="90" src="<?php echo $producto->getimagen_destacada(90,90);?>" alt="<?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?>" title="<?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?>"> </a></td>
          <td class="nombre_cesta"><a href="<?php echo $producto->getLink();?>"><?php echo Sistemaidioma::Imprimir($producto->nombre);?></a><br />
            <small><b><?php echo __('SKU');?>: <?php echo $producto->sku;?>
            <?php if (!empty($atributos)){?>
            <br />
            <?php echo $atributos;?>
            <?php } ?>
            </b></small></td>
          <td class="precio_unidad_cesta"><span class="importe"><?php echo Helpers::Importe($precio_ud_producto/*$producto->getprecio(true,'actual',false)*/);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?>
            <?php if ($producto->getprecio_rebajado(true) > 0){?>
            <br />
            <span class="price_stroke"><?php echo Helpers::Importe($producto->getprecio(false,'actual',false));?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span>
            <?php } ?>
            </span></td>
          <td class="cantidad_cesta"><div class="cantidad">
              <input type="text" name="cart[<?php echo $cart_item_key;?>][cantidad]" value="<?php echo $prod_cesta['cantidad'];?>" size="4" title="Cantidad" class="form-control cantidad-cesta" maxlength="12">
            </div></td>
          <td class="precio_cesta" align="right"><span class="importe"><?php echo Helpers::Importe($precio_total_producto);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
        </tr>
        <?php 
	}
	
	if (is_array($reglas_aplicadas_sistema) && sizeof($reglas_aplicadas_sistema) > 0){
		foreach ( $reglas_aplicadas_sistema as $kregla=>$regla1 ) {
			if ($regla1['accion']['tipo'] == 'producto' && $regla1['estado'] == '1'){
				$reglas_no_aplicadas[$kregla] = $regla1;
				unset($reglas_aplicadas_sistema[$kregla]);
			}
		}
	}
	
	if (is_array($reglas_no_aplicadas) && sizeof($reglas_no_aplicadas) > 0){
		foreach ($ids_productos_anadidos as $idp){
			foreach ( $reglas_no_aplicadas as $kregla=>$regla1 ) {
					
				if ($regla1['accion']['tipo'] == 'cesta.producto' && $regla1['estado'] == '1'){
					
					$regla_aplicada = false;
					
					$ids_productos_disponibles = explode(',', $regla1['accion']['cantidad_descuento']);
	
						if (in_array($idp,$ids_productos_disponibles)){
							$reglas_aplicadas_sistema[$kregla] = $regla1;
							unset($reglas_no_aplicadas[$kregla]);
							$regla_aplicada = true;
							continue;
						}
				}
			}
		}
	}
	?>
        <div class="clearfix"></div>
        <?php 
  if ( sizeof( $this->carrito->get_carrito() ) > 0 ) {
	  ?>
        <tr>
          <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo __('Sub Total');?></span><br />
            <small>(<?php echo __('sin impuestos');?>)</small></td>
          <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->subtotal_ex_impuesto);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
        </tr>
        <?php if ($this->config['impuestos']['activar_impuestos'] == '1' && $this->config['impuestos']['mostrar_impuestos_carrito'] == '1'){
		if ($this->config["mostrar_impuestos_cero"]!="0" && $this->carrito->impuesto_total > 0){
		$tarifa_obj = $this->carrito->impuesto->get_tarifas('estandar');
		?>
        <tr>
          <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo SistemaIdioma::Imprimir($tarifa_obj[0]['nombre']);?></span></td>
          <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->impuesto_total);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
        </tr>
        <?php } } ?>
        <?php 
	if ($this->carrito->mostrar_envio() == true && $this->carrito->necesita_envio() == true && !is_null($this->carrito->envio_nombre)){
		?>
        <tr>
          <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo SistemaIdioma::Imprimir($this->carrito->envio_nombre);?>
            <?php if ($this->carrito->envio_tipo == 'tarifaPorPeso'){?>
            <br />
            <small><?php echo sprintf(__('Peso total de la cesta: <b>%s</b>'), $this->carrito->get_peso_formateado_carrito());?></small>
            <?php } ?>
            </span></td>
          <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->envio_total);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
        </tr>
        <?php if ($this->config['impuestos']['activar_impuestos'] == '1' && $this->config['impuestos']['mostrar_impuestos_carrito'] == '1'){
		if ($this->config["mostrar_impuestos_cero"]!="0" && $this->carrito->envio_impuesto_total > 0){?>
        <tr>
          <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo sprintf(__('IVA %s'),SistemaIdioma::Imprimir($this->carrito->envio_nombre));?></span></td>
          <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->envio_impuesto_total);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
        </tr>
        <?php } } ?>
        <?php } ?>
        <?php if (is_array($reglas_aplicadas_sistema) && sizeof($reglas_aplicadas_sistema) > 0){?>
        <tr>
          <td colspan="5" class="total_cesta_lbl" align="right"><?php /*?><b><?php echo __('Promociones aplicadas');?></b><br /><?php */?>
            <?php foreach ($reglas_aplicadas_sistema as $promo){
		$obj_regla = new ReglaPrecio();
		$obj_regla->setid($promo['id']);
		$obj_regla = $obj_regla->BuscarId();
		
		$params_regla = Helpers::toArray(json_decode($obj_regla->params));
		
		if ($params_regla['ocultar_cesta'] != '1'){
		
		$cupon_html = '';
		$cupon_del_btn = '';
		if ($obj_regla->esCupon()){
			$cupon_html = __('CUPÓN: ');
			$cupon_del_btn = ' <a href="#" class="del_cupon" data-id="'.$obj_regla->id.'" data-text="'.sprintf(__('¿Quitar cupón %s?'), $promo['nombre']).'" data-delurl="'.Helpers::currentUrl().'" data-token="'.Helpers::getFormToken().'"><i class="fa fa-times"></i></a>';
		}
	?>
            <i><b><?php echo $cupon_html.$promo['nombre'].$cupon_del_btn;?></b><br> <small><?php echo strip_tags($promo['descripcion'], '<a><b><strong>');?></small></i><br />
            <?php } ?>
            <?php } ?></td>
            <?php $pre_sg = '-';
		$importe_desc = Helpers::Importe($this->carrito->descuento_total);
		if (substr($importe_desc, 0, 1) == '-'){
			$importe_desc = substr($importe_desc, 1);
			$pre_sg = '';
		}
		?>
          <td class="total_cesta_importe"><span class="importe"><?php if ((string) $importe_desc != '0,00'){?><span class="importe"><?php echo $pre_sg.$importe_desc;?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span><?php } ?></td>
        </tr>
        <?php } ?>
        <?php if (is_array($reglas_no_aplicadas) && sizeof($reglas_no_aplicadas) > 0){?>
        <tr>
          <td colspan="5" class="total_cesta_lbl" align="right"><b><?php echo __('Promociones no aplicadas');?></b><br />
            <?php foreach ($reglas_no_aplicadas as $promo){
	?>
            <i><b><?php echo $promo['nombre'];?></b> <small><?php echo strip_tags($promo['descripcion'], '<a><b><strong>');?></small></i><br />
            <?php } ?></td>
          <td class="total_cesta_importe"><span class="importe"></span></td>
        </tr>
        <?php } ?>
        <tr>
          <td colspan="5" class="total_cesta_lbl importe_total" align="right"><span class="importe"><?php echo __('Total');?></span></td>
          <td class="total_cesta_importe importe_total"><span class="importe"><?php echo Helpers::Importe($this->carrito->total);?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
        </tr>
        <?php } else { ?>
        <tr>
          <td colspan="6" align="center" class="noproducts"><?php echo __('No hay productos en la cesta');?></td>
        </tr>
        <?php } ?>
        
        <?php if ($this->carrito->recargo_metodo_pago > 0 && is_object($this->carrito->metodo_pago_elegido)){?>
        <tr>
        	<td colspan="6" align="right"><small><i><?php echo sprintf(__('El método de pago elegido (%s) conlleva un recargo del %s%%.'), $this->carrito->metodo_pago_elegido->titulo[SistemaIdioma::getIdiomaSesion()], $this->carrito->metodo_pago_elegido->recargo);?></i></small></td>
        </tr>
        <?php } ?>
        
          <td colspan="6" class="actions"><a href="<?php echo Helpers::resolveLink(false,'ext_shop','categoria_productos',__('Tienda'),$GLOBALS['opciones']['ext_shop']['shop']['categoria_defecto'][0],'',SistemaIdioma::getIdiomaSesion());?>" class="btn btn-primary "><?php echo __('← Continuar comprando');?></a>
            <?php if (count($this->carrito->contenido_carrito) > 0 && !empty($this->carrito->contenido_carrito)){?>
            <input type="submit" class="btn btn-primary" value="<?php echo __('Actualizar');?>" id="refresh_cart" name="updater" />
            <?php } ?>
            <?php if (count($this->carrito->contenido_carrito) > 0 && !empty($this->carrito->contenido_carrito)){?>
            <?php if ($this->carrito->continuar_pedido() == true){?>
            <a href="<?php echo Helpers::resolveLink(false,'ext_shop','cesta_pago',__('Seleccionar_metodo_de_pago'));?>" class="btn btn-primary"><?php echo __('Finalizar →');?></a>
            <?php } } ?></td>
      </table>
      <input type="hidden" value="refreshcart" name="accion">
    
    <?php } else { ?>
    <tr>
      <td colspan="8" align="center"><?php echo __('No hay productos en la cesta');?></td>
    </tr>
    <tr>
      <td colspan="6" class="actions"><a href="<?php echo Helpers::resolveLink(false,'ext_shop','categoria_productos',__('Tienda'),$GLOBALS['opciones']['ext_shop']['shop']['categoria_defecto'][0],'',SistemaIdioma::getIdiomaSesion());?>" class="btn  btn-primary"><?php echo __('← Continuar comprando');?></a></td>
    </tr>
    <?php } ?>
    </table>
    </form>
</div>
