<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
?>
<div class="imprimir">
<p><?php echo sprintf(__('El número de tu pedido es el # %s.'), $this->extra->pedido_finalizado->id);?> <?php echo sprintf(__('Puedes <a href="%s">ver tu pedido</a> en la página de tu cuenta cuando estés identificado.'), Helpers::resolveLink(false, 'ext_shop', 'lista_pedidos', __('Historico_de_pedidos')));?></p>
<ul class="order_details">
      <li class="order">
        <?php echo __('Nº pedido')?>: <strong>#<?php echo $this->extra->pedido_finalizado->id;?> </strong>
      </li>
      <li class="date">
        <?php echo __('Fecha');?>: <strong><?php echo strftime("%d-%m-%Y a las %H:%M", strtotime($this->extra->pedido_finalizado->fecha));?></strong>
      </li>
      <li class="total">
        <?php echo __('Total');?>: <strong><span class="amount"><?php echo number_format($this->extra->pedido_finalizado->datos['total']['total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></strong>
      </li>
      <li class="total">
      <?php echo __('M&eacute;todo de pago');?>: <strong><?php echo $this->extra->pedido_finalizado->datos['metodo_pago']['titulo'];?></strong>
      </li>
      
      <li class="method">
      <?php echo __('Estado del Pedido');?>: <strong><?php echo $this->extra->pedido_finalizado->datos['metodo_pago']['estado'];?></strong>
      <p></p>
      </li> 
      
    </ul>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
  <thead>
    <tr>
      <th align="left" width="48.5%" bgcolor="#d9e5ee" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em;">Informaci&oacute;n de facturaci&oacute;n:</th>
      <th width="3%"></th>
      <th align="left" width="48.5%" bgcolor="#d9e5ee" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em;">M&eacute;todo de pago:</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo $this->extra->pedido_finalizado->print_datos_facturacion_html();?></td>
      <td>&nbsp;</td>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo $this->extra->pedido_finalizado->datos['metodo_pago']['titulo'];?><br clear="all"><p><?php echo $this->extra->pedido_finalizado->datos['metodo_pago']['contenido'];?></p></td>
    </tr>
  </tbody>
</table>
<br/>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
  <thead>
    <tr>
      <th align="left" width="48.5%" bgcolor="#d9e5ee" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em;">Informaci&oacute;n de env&iacute;o:</th>
      <th width="3%"></th>
      <th align="left" width="48.5%" bgcolor="#d9e5ee" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em;">M&eacute;todo de env&iacute;o:</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo $this->extra->pedido_finalizado->print_datos_envio_html();?> &nbsp; </td>
      <td>&nbsp;</td>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo SistemaIdioma::Imprimir($this->extra->pedido_finalizado->datos['total']['envio_nombre']);?> &nbsp; </td>
    </tr>
  </tbody>
</table>
<br/>
<?php if (sizeof( $this->extra->pedido_finalizado->lineas ) > 0){?>
<table cellspacing="0" cellpadding="0" border="0" width="100%" style="border:1px solid #bebcb7;background:#f8f7f5">
  <thead>
    <tr>
      <th align="left" bgcolor="#d9e5ee" style="padding:3px 9px">Artículo</th>
      <th align="left" bgcolor="#d9e5ee" style="padding:3px 9px">Código</th>
      <th align="center" bgcolor="#d9e5ee" style="padding:3px 9px">Cantidad</th>
      <th align="right" bgcolor="#d9e5ee" style="padding:3px 9px">Subtotal</th>
    </tr>
  </thead>
  <?php 
  foreach ($this->extra->pedido_finalizado->lineas as $linea){
	  $_pr = unserialize($linea->data);
	  ?>
  <tbody bgcolor="#eeeded">
    <tr>
      <td align="left" valign="top" style="padding:3px 9px"><strong><?php echo SistemaIdioma::Imprimir($_pr->nombre);?></strong>
        <?php if ($linea->variation_id > 0){
			$variation = Helpers::toArray(json_decode($linea->variation));
			
			if (is_array( $variation ) && sizeof( $variation ) > 0){
				$atributos='';
				$tmp_str='';
				foreach ($variation as $k=>$v){
					$pa = new ProductoAtributo();
					$pa->setid($k);
					
					if ($pa = $pa->BuscarId()){
						if (!empty($v)){
							$pav = new ProductoAtributoValor();
							$pav->setid($v);
							
							if ($pav = $pav->BuscarId()){
								$vt = SistemaIdioma::Imprimir($pav->valor);
							}
						} else {
							$vt = __('Cualquiera');
						}
						
						$tmp_str .= '<dt><strong><em>'.SistemaIdioma::Imprimir($pa->titulo).'</em></strong></dt><dd style="margin:0;padding:0 0 0 9px">'.$vt.'</dd>';
					}
					
				}
				$atributos = $tmp_str;
			?>
        <dl style="margin:0;padding:0">
          <?php echo $atributos;?>
        </dl>
        <?php } } ?>
        <?php $params_prod = Helpers::toArray(json_decode($_pr->params)); ?>
        <?php if (!empty($params_prod['params']['entradas_imagen'])){
			//$coord = explode(';', $params_prod['params']['entradas_area_codigo']);
				$cuenta_linea = (int) $linea->cantidad;
				
				for ($jj=0; $jj < $cuenta_linea; $jj++){
					echo $_pr->imprimir_entrada('img', $pedido_finalizado->id, $jj+1);
				}
			
			 } ?>
        
        </td>
      <td align="left" valign="top" style="padding:3px 9px"><?php echo $_pr->sku;?></td>
      <td align="center" valign="top" style="padding:3px 9px"><?php echo $linea->cantidad;?></td>
      <td align="right" valign="top" style="padding:3px 9px"><span><?php echo number_format($linea->linea_total, 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
  </tbody>
  <?php } ?>
  <tfoot>
    <tr>
      <td colspan="3" align="right" style="padding:3px 9px">Subtotal<br /><small>(sin impuestos)</small></td>
      <td align="right" style="padding:3px 9px"><span><?php echo number_format($this->extra->pedido_finalizado->datos['total']['subtotal_ex_impuesto'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
    <tr>
      <td colspan="3" align="right" style="padding:3px 9px">IVA</td>
      <td align="right" style="padding:3px 9px"><span><?php echo number_format(($this->extra->pedido_finalizado->datos['total']['impuesto_total'] + $this->extra->pedido_finalizado->datos['total']['envio_impuesto_total']), 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
    <tr>
      <td colspan="3" align="right" style="padding:3px 9px">Gastos de envío</td>
      <td align="right" style="padding:3px 9px"><span><?php echo number_format($this->extra->pedido_finalizado->datos['total']['envio_total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
    <tr>
      <td colspan="3" align="right" style="padding:3px 9px">Descuento</td>
      <td align="right" style="padding:3px 9px"><span>-<?php echo number_format($this->extra->pedido_finalizado->datos['total']['descuento_total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></td>
    </tr>
    <tr bgcolor="#DEE5E8">
      <td colspan="3" align="right" style="padding:3px 9px"><strong><big>Suma Total</big></strong></td>
      <td align="right" style="padding:6px 9px"><strong><big><span><?php echo number_format($this->extra->pedido_finalizado->datos['total']['total'], 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span></big></strong></td>
    </tr>
  </tfoot>
</table>
<br/>
<?php } ?>
<?php if($pedido_finalizado->comentarios!=''){?>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
  <thead>
    <tr>
      <th align="left" bgcolor="#d9e5ee" style="padding:5px 9px 6px 9px; border:1px solid #bebcb7; border-bottom:none; line-height:1em;">Notas del Pedido</th>
      </tr>
  </thead>
  <tbody>
    <tr>
      <td valign="top" style="padding:7px 9px 9px 9px; border:1px solid #bebcb7; border-top:0; background:#f8f7f5;"><?php echo utf8_decode($this->extra->pedido_finalizado->comentarios);?></p></td>
      </tr>
  </tbody>
</table>
<?php }?>
<?php $params_ped = $pedido_finalizado;
?>
</div>
<a href="javascript:;" class="btn btn-default print-content" onClick="javascript:;"><?php echo __('Imprimir pedido');?></a>
<br clear="all">
<br clear="all">