<?php defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
if (!empty($this->extra->usuario_activo->imagen)) {
	$imagen_parseada_profile = CONF_URL_APP.'image.php/'.$this->extra->usuario_activo->imagen.'?width=500&height=500&cropratio=1:1&image='.CONF_URL_APP.$this->extra->usuario_activo->imagen;
} else {
	$imagen_parseada_profile =  $GLOBALS['AppTpl']->params['favicon'];
} 
if(!empty($GLOBALS['enlace_actual']) && is_object($GLOBALS['enlace_actual'])){
	$titulo_pagina = SistemaIdioma::Imprimir($GLOBALS['enlace_actual']->titulo);
} else {
	$titulo_pagina = __('Cuenta de usuario');
}
$params_usr = Helpers::toArray(json_decode($this->extra->usuario_activo->params));
?>
<div class="tab-content">
  <div class="active" id="config-general" style="padding-top: 0;">
    <div class="panel panel-default ">
      <div class="panel-body">
        <form method="post" enctype="multipart/form-data" class="" name="frmProfile" id="frmProfile">
          <input type="hidden" value="<?php echo stripslashes(utf8_encode($this->extra->usuario_activo->imagen)); ?>" name="imagen_img_src" />
          <input name="accion" type="hidden" value="guardar" />
          <input name="id_usuario" type="hidden" value="<?php echo $this->extra->usuario_activo->id; ?>" />
          <input type="hidden" value="<?php echo Helpers::getFormToken();?>" name="token">
          <div class="row">
            <div class="col-md-12">
              <label class="control-label" for="envio_direccion_fieldset"><?php echo __('Dirección de facturación');?></label>
              <div class="row form-group" id="ubicacion">
                <?php $campos_facturacion = $this->formularios['facturacion']->getCampos();
		
		foreach ($campos_facturacion as $c_f){
			$alias_var = Helpers::parseaTexto($c_f->nombre, false, '_');
			
			?>
                <div class="col-md-6 form-group"> <?php echo $c_f->renderCampo($this->extra->cliente_activo->_object->facturacion->$alias_var, '<label class="control-label" for="##ID##">##LABEL##</label>', '##INPUT##'); ?> </div>
                <?php } ?>
              </div>
              <label class="control-label" for="envio_direccion_fieldset"><?php echo __('Dirección de envío');?></label>
              <div class="row form-group" id="envio_direccion_fieldset">
                <div class="col-md-12">
                  <label>
                    <input type="checkbox" style="width: auto; display: inline-block;" name="envio_igual_facturacion" id="envio_igual_facturacion" value="1"<?php if ($this->extra->cliente_activo->_object->direccion_envio_igual_facturacion == "1"){?> checked="checked"<?php } ?> />
                    <?php echo __("La misma que la dirección de facturación");?></label>
                  <br />
                </div>
                <?php $GLOBALS['AppDoc']->AddScriptDeclaration('
			jQuery(document).ready(function(e) {
                jQuery("#envio_igual_facturacion").change(function(e) {
                    if (jQuery(this).is(":checked")){
						jQuery("#campos_envio").slideUp(200);
					} else {
						jQuery("#campos_envio").slideDown(200);
					}
					return false;
                });
            });');?>
            
                <div id="campos_envio"<?php if ($this->extra->cliente_activo->_object->direccion_envio_igual_facturacion == "1"){?> style="display: none;"<?php } ?>>
                  <?php $campos_envio = $this->formularios['envio']->getCampos();
		
		foreach ($campos_envio as $c_e){
			$alias_var_envio = Helpers::parseaTexto($c_e->nombre, false, '_');
			?>
                  <div class="col-md-6 form-group"> <?php echo $c_e->renderCampo($this->extra->cliente_activo->_object->envio->$alias_var_envio, '<label class="control-label" for="##ID##">##LABEL##</label>', '##INPUT##'); ?> </div>
                  <?php } ?>
                </div>
              </div>
              
            </div>
          </div>
          <div class="submit-btn" align="right">
            <input type="submit" class="btn btn-primary" value="Guardar cambios">
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
