<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
$productos = $this->home->ultimos_items;
if (count($productos) == 1 )
	$lbl_count = __('Item');
else
	$lbl_count = __('Items');
?>
<!-- Post Category Details -->
<div class="grid_12">
  <h1 class="category_title"><?php echo SistemaIdioma::Imprimir($cat_sel->nombre);?></h1>
  <div class="num_posts"> <span><?php echo count($productos);?></span> <?php echo $lbl_count;?> </div>
  <ul class="post_categories_list" id="portfolio_categories_menu">
    <li> <a href="javascript:;" class="active" data-category="all"><?php echo __('Todo');?></a> </li>
        <?php if ($subcategorias != false){?>
      	<?php foreach ($subcategorias as $sub){?>
        	<li> <a href="javascript:;" data-category="<?php echo SistemaIdioma::Imprimir($sub->alias);?>"><?php echo SistemaIdioma::Imprimir($sub->nombre);?></a> </li>
        <?php } ?>
        <?php } ?>
  </ul>
</div>
<!-- End of: Post Category Details --> 
<!-- Post Categories -->
<div class="grid_12"> </div>
<!-- End of: Post Categories -->
<div class="clear"></div>
<!-- Posts -->
<div class="posts" id="portfolio_posts">
  <?php if ($productos != false){?>
  <?php 
$cuenta = 1;
foreach ($productos as $producto){
	if (empty($producto->creador_alias))
		$producto->creador_alias = $producto->getcreador(true);
		
	if (strlen(strip_tags(SistemaIdioma::Imprimir($producto->texto_corto))) > 100){
		$desc = substr(strip_tags(SistemaIdioma::Imprimir($producto->texto_corto)),0,100).'...';
	} else {
		$desc = strip_tags(SistemaIdioma::Imprimir($producto->texto_corto));
	}
	?>
  <!-- Post Item -->
    <div class="grid_4" data-id="<?php echo $cuenta;?>" data-category="<?php echo $producto->getCategoriasAlias();?>">
      <div class="post_item"> <a href="<?php echo $producto->getLink();?>" class="overlay"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $producto->imagen_destacada;?>?width=280&height=194&cropratio=280:194&image=<?php echo CONF_URL_APP.$producto->imagen_destacada;?>" alt="post-img-1" width="280" height="194">
        </a>
        <h1> <a href="<?php echo $producto->getLink();?>"><?php echo SistemaIdioma::Imprimir($producto->nombre);?></a> </h1>
        <p><?php echo $desc;?>
        <a href="<?php echo $producto->getLink();?>"><?php echo __('Ver más');?></a>
        </p>
        <div class="post_details">
        	<div class="author_date precio"> <?php echo Helpers::Importe($producto->getprecio(true));?> <?php echo ShopHelper::get_shop_moneda_simbolo();?> <?php if ($producto->getprecio_rebajado(true) > 0){?><span class="price_stroke"><?php echo Helpers::Importe($producto->getprecio());?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></span><?php } ?></div>
          <?php /*?><div class="author_date"> <?php echo __('Por');?> <?php echo $producto->creador_alias;?> <?php echo __('el');?> <?php echo strftime('%d/%m/%Y', strtotime($producto->fecha_publicacion));?></div><?php */?>
          <a class="shop_addtocart addtocart_box" __id_producto="<?php echo $producto->id;?>" __url_redirect="<?php echo Helpers::currentUrl();?>" href="javascript:;"><span><?php echo __('Añadir al carrito');?></span></a> </div>
      </div>
      <div class="post_shadow"></div>
    </div>
    <!-- Post Item --> 
  <?php $cuenta++;?>
  <?php } ?>
  <?php } else { ?>
  <h2><?php echo __('No hay productos asociados a esta categoría');?></h2>
  <?php } ?>
</div>
<div class="clear"></div>
<!-- end #portfolio-items -->