<?php
defined('CONF_URL_APP') or die;
e_include('ext_shop/class/helper');
//e_include('ext_shop/class/facturaShop');
?>
<div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
  <div class="panel-body" style="padding:0;">
    <?php //var_dumpre($this->cliente); 
	if ($this->cliente->facturas != false){?>
    <div class="table-responsive">
      <table class="table table-condensed table-striped table-bordered table-hover no-margin">
        <thead>
          <tr>
            <th width="1%"><?php echo __('#');?></th>
            <th width="15%"><?php echo __('Fecha');?></th>
            <th><?php echo __('Asunto');?></th>
            <th width="15%"><?php echo __('Estado');?></th>
            <th width="15%" style="text-align: right;"><?php echo __('Total');?></th>
            <th style="width:10%" class="hidden-phone"><?php echo __('Opciones');?></th>
          </tr>
        </thead>
        <tbody>
          <?php 
$cuenta = 1;
foreach ($this->cliente->facturas as $factura){
 $campos_cliente  = Helpers::toArray(json_decode($factura->datos_facturacion));
	?>
          <tr>
            <td><?php echo $factura->codigo;?>/<?php echo $factura->ejercicio;?></td>
            <td><?php echo strftime("%d-%m-%Y", strtotime($factura->fecha));?></td>
            <td><?php echo $factura->titulo;?> <br><em><small><?php echo $campos_cliente['nombre'];?> <?php echo $campos_cliente['apellidos'];?> <?php echo $campos_cliente['email'];?></small> </em></td>
            <td><?php echo $factura->estado;?></td>
            <td style="text-align: right;"><?php echo number_format($factura->total, 2, ',', '.');?> <?php echo ShopHelper::get_shop_moneda_simbolo();?></td>
            <td class="hidden-phone"><div class="btn-group">
                <button data-toggle="dropdown" class="btn btn-xs btn-default dropdown-toggle" data-original-title="" title=""> <?php echo __('Opciones');?> <span class="caret"> </span> </button>
                <ul class="dropdown-menu pull-right">
                  <li><a href="<?php echo $factura->getLink();?>"><?php echo __('Detalles');?></a></li>
                  <li><a href="<?php echo $factura->getLink();?>/?download=pdf" class="popup"><?php echo __('Descargar en PDF');?></a></li>
                </ul>
              </div></td>
          </tr>
          <?php } ?>
        </tbody>
      </table>
      
    </div>
    <?php } else { ?>
      <div align="center">
        <h4><?php echo __('Aun no tiene ninguna factura');?></h4>
      </div>
      <?php } ?>
  </div>
</div>
